#line 1 "ad_x86_gen.cpp"
//
// Copyright (c) 1997, 2022, Oracle and/or its affiliates. All rights reserved.
// DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
//
// This code is free software; you can redistribute it and/or modify it
// under the terms of the GNU General Public License version 2 only, as
// published by the Free Software Foundation.
//
// This code is distributed in the hope that it will be useful, but WITHOUT
// ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
// FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
// version 2 for more details (a copy is included in the LICENSE file that
// accompanied this code).
//
// You should have received a copy of the GNU General Public License version
// 2 along with this work; if not, write to the Free Software Foundation,
// Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
//
// Please contact Oracle, 500 Oracle Parkway, Redwood Shores, CA 94065 USA
// or visit www.oracle.com if you need additional information or have any
// questions.
//
//

// Machine Generated File.  Do Not Edit!

#include "precompiled.hpp"
#include "adfiles/ad_x86.hpp"
#include "opto/cfgnode.hpp"
#include "opto/locknode.hpp"
#include "opto/rootnode.hpp"


//------------------------- MachOper Generator ---------------
// A switch statement on the dense-packed user-defined type system
// that invokes 'new' on the corresponding class constructor.

MachOper *State::MachOperGenerator(int opcode){

  switch(opcode) {
  case UNIVERSE:
    return new UniverseOper( );
  case LABEL:
    return new labelOper( );
  case SREGI:
    return new sRegIOper( );
  case SREGP:
    return new sRegPOper( );
  case SREGF:
    return new sRegFOper( );
  case SREGD:
    return new sRegDOper( );
  case SREGL:
    return new sRegLOper( );
  case METHOD:
    return new methodOper( );
  case IMMI:
    return new immIOper(_leaf->get_int() );
  case IMMI_0:
    return new immI_0Oper(_leaf->get_int() );
  case IMMI_1:
    return new immI_1Oper(_leaf->get_int() );
  case IMMI_M1:
    return new immI_M1Oper(_leaf->get_int() );
  case IMMI2:
    return new immI2Oper(_leaf->get_int() );
  case IMMI8:
    return new immI8Oper(_leaf->get_int() );
  case IMMU8:
    return new immU8Oper(_leaf->get_int() );
  case IMMI16:
    return new immI16Oper(_leaf->get_int() );
  case IMMU31:
    return new immU31Oper(_leaf->get_int() );
  case IMMI_32:
    return new immI_32Oper(_leaf->get_int() );
  case IMMI_1_31:
    return new immI_1_31Oper(_leaf->get_int() );
  case IMMI_32_63:
    return new immI_32_63Oper(_leaf->get_int() );
  case IMMI_2:
    return new immI_2Oper(_leaf->get_int() );
  case IMMI_3:
    return new immI_3Oper(_leaf->get_int() );
  case IMMI_4:
    return new immI_4Oper(_leaf->get_int() );
  case IMMI_8:
    return new immI_8Oper(_leaf->get_int() );
  case IMMP:
    return new immPOper(_leaf->bottom_type()->is_ptr() );
  case IMMP0:
    return new immP0Oper(_leaf->bottom_type()->is_ptr() );
  case IMML:
    return new immLOper(_leaf->get_long() );
  case IMML0:
    return new immL0Oper(_leaf->get_long() );
  case IMML_M1:
    return new immL_M1Oper(_leaf->get_long() );
  case IMML_127:
    return new immL_127Oper(_leaf->get_long() );
  case IMML_32BITS:
    return new immL_32bitsOper(_leaf->get_long() );
  case IMML32:
    return new immL32Oper(_leaf->get_long() );
  case IMMDPR0:
    return new immDPR0Oper(_leaf->getd() );
  case IMMDPR1:
    return new immDPR1Oper(_leaf->getd() );
  case IMMDPR:
    return new immDPROper(_leaf->getd() );
  case IMMD:
    return new immDOper(_leaf->getd() );
  case IMMD0:
    return new immD0Oper(_leaf->getd() );
  case IMMFPR0:
    return new immFPR0Oper(_leaf->getf() );
  case IMMFPR1:
    return new immFPR1Oper(_leaf->getf() );
  case IMMFPR:
    return new immFPROper(_leaf->getf() );
  case IMMF:
    return new immFOper(_leaf->getf() );
  case IMMF0:
    return new immF0Oper(_leaf->getf() );
  case IMMI_16:
    return new immI_16Oper(_leaf->get_int() );
  case IMMI_24:
    return new immI_24Oper(_leaf->get_int() );
  case IMMI_255:
    return new immI_255Oper(_leaf->get_int() );
  case IMMI_65535:
    return new immI_65535Oper(_leaf->get_int() );
  case KREG:
    return new kRegOper( );
  case KREG_K1:
    return new kReg_K1Oper( );
  case KREG_K2:
    return new kReg_K2Oper( );
  case KREG_K3:
    return new kReg_K3Oper( );
  case KREG_K4:
    return new kReg_K4Oper( );
  case KREG_K5:
    return new kReg_K5Oper( );
  case KREG_K6:
    return new kReg_K6Oper( );
  case KREG_K7:
    return new kReg_K7Oper( );
  case RREGI:
    return new rRegIOper( );
  case XREGI:
    return new xRegIOper( );
  case EAXREGI:
    return new eAXRegIOper( );
  case EBXREGI:
    return new eBXRegIOper( );
  case ECXREGI:
    return new eCXRegIOper( );
  case EDXREGI:
    return new eDXRegIOper( );
  case EDIREGI:
    return new eDIRegIOper( );
  case NAXREGI:
    return new naxRegIOper( );
  case NADXREGI:
    return new nadxRegIOper( );
  case NCXREGI:
    return new ncxRegIOper( );
  case ESIREGI:
    return new eSIRegIOper( );
  case ANYREGP:
    return new anyRegPOper( );
  case EREGP:
    return new eRegPOper( );
  case RREGP:
    return new rRegPOper( );
  case EREGP_NO_EBP:
    return new eRegP_no_EBPOper( );
  case NAXREGP:
    return new naxRegPOper( );
  case NABXREGP:
    return new nabxRegPOper( );
  case PREGP:
    return new pRegPOper( );
  case EAXREGP:
    return new eAXRegPOper( );
  case EBXREGP:
    return new eBXRegPOper( );
  case ECXREGP:
    return new eCXRegPOper( );
  case EDXREGP:
    return new eDXRegPOper( );
  case ESIREGP:
    return new eSIRegPOper( );
  case EDIREGP:
    return new eDIRegPOper( );
  case EREGL:
    return new eRegLOper( );
  case EADXREGL:
    return new eADXRegLOper( );
  case EBCXREGL:
    return new eBCXRegLOper( );
  case EBDPREGL:
    return new eBDPRegLOper( );
  case EADXREGL_LOW_ONLY:
    return new eADXRegL_low_onlyOper( );
  case RFLAGSREG:
    return new rFlagsRegOper( );
  case EFLAGSREG:
    return new eFlagsRegOper( );
  case EFLAGSREGU:
    return new eFlagsRegUOper( );
  case EFLAGSREGUCF:
    return new eFlagsRegUCFOper( );
  case FLAGSREG_LONG_LTGE:
    return new flagsReg_long_LTGEOper( );
  case FLAGSREG_LONG_EQNE:
    return new flagsReg_long_EQNEOper( );
  case FLAGSREG_LONG_LEGT:
    return new flagsReg_long_LEGTOper( );
  case FLAGSREG_ULONG_LTGE:
    return new flagsReg_ulong_LTGEOper( );
  case FLAGSREG_ULONG_EQNE:
    return new flagsReg_ulong_EQNEOper( );
  case FLAGSREG_ULONG_LEGT:
    return new flagsReg_ulong_LEGTOper( );
  case REGDPR:
    return new regDPROper( );
  case REGDPR1:
    return new regDPR1Oper( );
  case REGDPR2:
    return new regDPR2Oper( );
  case REGNOTDPR1:
    return new regnotDPR1Oper( );
  case REGFPR:
    return new regFPROper( );
  case REGFPR1:
    return new regFPR1Oper( );
  case REGF:
    return new regFOper( );
  case LEGREGF:
    return new legRegFOper( );
  case VLREGF:
    return new vlRegFOper( );
  case REGD:
    return new regDOper( );
  case LEGREGD:
    return new legRegDOper( );
  case VLREGD:
    return new vlRegDOper( );
  case DIRECT:
    return new directOper(_leaf->bottom_type()->is_ptr() );
  case INDIRECT:
    return new indirectOper( );
  case INDOFFSET8:
    return new indOffset8Oper(_kids[1]->_leaf->get_int() );
  case INDOFFSET32:
    return new indOffset32Oper(_kids[1]->_leaf->get_int() );
  case INDOFFSET32X:
    return new indOffset32XOper(_kids[0]->_leaf->bottom_type()->is_ptr() );
  case INDINDEXOFFSET:
    return new indIndexOffsetOper(_kids[1]->_leaf->get_int() );
  case INDINDEX:
    return new indIndexOper( );
  case INDINDEXSCALE:
    return new indIndexScaleOper(_kids[1]->_kids[1]->_leaf->get_int() );
  case INDINDEXSCALEOFFSET:
    return new indIndexScaleOffsetOper(_kids[0]->_kids[1]->_kids[1]->_leaf->get_int(), _kids[1]->_leaf->get_int() );
  case LOAD_LONG_REGP:
    return new load_long_RegPOper( );
  case LOAD_LONG_INDIRECT:
    return new load_long_indirectOper( );
  case LOAD_LONG_INDOFFSET32:
    return new load_long_indOffset32Oper(_kids[1]->_leaf->get_int() );
  case STACKSLOTP:
    return new stackSlotPOper( );
  case STACKSLOTI:
    return new stackSlotIOper( );
  case STACKSLOTF:
    return new stackSlotFOper( );
  case STACKSLOTD:
    return new stackSlotDOper( );
  case STACKSLOTL:
    return new stackSlotLOper( );
  case CMPOP:
    return new cmpOpOper(_leaf->as_Bool()->_test._test );
  case CMPOPU:
    return new cmpOpUOper(_leaf->as_Bool()->_test._test );
  case CMPOPUCF:
    return new cmpOpUCFOper(_leaf->as_Bool()->_test._test );
  case CMPOPUCF2:
    return new cmpOpUCF2Oper(_leaf->as_Bool()->_test._test );
  case CMPOP_FCMOV:
    return new cmpOp_fcmovOper(_leaf->as_Bool()->_test._test );
  case CMPOP_COMMUTE:
    return new cmpOp_commuteOper(_leaf->as_Bool()->_test._test );
  case CMPOPU_COMMUTE:
    return new cmpOpU_commuteOper(_leaf->as_Bool()->_test._test );
  case RXMM0:
    return new rxmm0Oper( );
  case VEC:
    return new vecOper( );
  case LEGVEC:
    return new legVecOper( );
  case VECS:
    return new vecSOper( );
  case LEGVECS:
    return new legVecSOper( );
  case VECD:
    return new vecDOper( );
  case LEGVECD:
    return new legVecDOper( );
  case VECX:
    return new vecXOper( );
  case LEGVECX:
    return new legVecXOper( );
  case VECY:
    return new vecYOper( );
  case LEGVECY:
    return new legVecYOper( );
  case VECZ:
    return new vecZOper( );
  case LEGVECZ:
    return new legVecZOper( );
  case _ADDP_EREGP_RREGI:    return nullptr;
  case _LSHIFTI_RREGI_IMMI2:    return nullptr;
  case _ADDP_EREGP__LSHIFTI_RREGI_IMMI2:    return nullptr;
  case _LOADI_MEMORY_:    return nullptr;
  case _LOADL_MEMORY_:    return nullptr;
  case _LOADB_MEMORY_:    return nullptr;
  case _LOADUB_MEMORY_:    return nullptr;
  case _ANDI__LOADUB_MEMORY__IMMI:    return nullptr;
  case _LOADS_MEMORY_:    return nullptr;
  case _LSHIFTI__LOADS_MEMORY__IMMI_24:    return nullptr;
  case _LOADUS_MEMORY_:    return nullptr;
  case _LSHIFTI__LOADUS_MEMORY__IMMI_24:    return nullptr;
  case _ANDI__LOADUS_MEMORY__IMMI_255:    return nullptr;
  case _ANDI__LOADUS_MEMORY__IMMI:    return nullptr;
  case _LSHIFTI__LOADI_MEMORY__IMMI_24:    return nullptr;
  case _LSHIFTI__LOADI_MEMORY__IMMI_16:    return nullptr;
  case _ANDI__LOADI_MEMORY__IMMI_255:    return nullptr;
  case _ANDI__LOADI_MEMORY__IMMI_65535:    return nullptr;
  case _ANDI__LOADI_MEMORY__IMMU31:    return nullptr;
  case _CONVI2L__LOADI_MEMORY__:    return nullptr;
  case _CONVL2I_EREGL_:    return nullptr;
  case _ROUNDDOUBLE_REGDPR1_:    return nullptr;
  case _ROUNDFLOAT_REGFPR1_:    return nullptr;
  case _CONVD2F_REGDPR1_:    return nullptr;
  case _BINARY_CMPOP_EFLAGSREG:    return nullptr;
  case _BINARY_RREGI_RREGI:    return nullptr;
  case _BINARY_CMPOPU_EFLAGSREGU:    return nullptr;
  case _BINARY_CMPOPUCF_EFLAGSREGUCF:    return nullptr;
  case _BINARY_RREGI__LOADI_MEMORY_:    return nullptr;
  case _BINARY_EREGP_EREGP:    return nullptr;
  case _BINARY_CMPOP_FCMOV_EFLAGSREGU:    return nullptr;
  case _BINARY_REGDPR1_REGDPR:    return nullptr;
  case _BINARY_REGFPR1_REGFPR:    return nullptr;
  case _BINARY_REGDPR_REGDPR:    return nullptr;
  case _BINARY_REGFPR_REGFPR:    return nullptr;
  case _BINARY_REGF_REGF:    return nullptr;
  case _BINARY_REGD_REGD:    return nullptr;
  case _BINARY_EREGL_EREGL:    return nullptr;
  case _ADDI__LOADI_MEMORY__RREGI:    return nullptr;
  case _ADDI_RREGI__LOADI_MEMORY_:    return nullptr;
  case _ADDI__LOADI_MEMORY__IMMI:    return nullptr;
  case _ADDI__LOADI_MEMORY__IMMI_1:    return nullptr;
  case _ADDI__LOADI_MEMORY__IMMI_M1:    return nullptr;
  case _BINARY_EADXREGL_EBCXREGL:    return nullptr;
  case _BINARY_EAXREGP_ECXREGP:    return nullptr;
  case _BINARY_EAXREGI_ECXREGI:    return nullptr;
  case _SUBI__LOADI_MEMORY__RREGI:    return nullptr;
  case _SUBI_IMMI_0_RREGI:    return nullptr;
  case _CONVI2L_NADXREGI_:    return nullptr;
  case _MULL__CONVI2L_NADXREGI__EADXREGL_LOW_ONLY:    return nullptr;
  case _RSHIFTL__MULL__CONVI2L_NADXREGI__EADXREGL_LOW_ONLY_IMMI_32:    return nullptr;
  case _MULL_EADXREGL_LOW_ONLY__CONVI2L_NADXREGI_:    return nullptr;
  case _RSHIFTL__MULL_EADXREGL_LOW_ONLY__CONVI2L_NADXREGI__IMMI_32:    return nullptr;
  case _RSHIFTL__MULL__CONVI2L_NADXREGI__EADXREGL_LOW_ONLY_IMMI_32_63:    return nullptr;
  case _RSHIFTL__MULL_EADXREGL_LOW_ONLY__CONVI2L_NADXREGI__IMMI_32_63:    return nullptr;
  case _CONVI2L_EAXREGI_:    return nullptr;
  case _ANDL__CONVI2L_EAXREGI__IMML_32BITS:    return nullptr;
  case _ANDL__CONVI2L_NADXREGI__IMML_32BITS:    return nullptr;
  case _RSHIFTI__LOADI_MEMORY__IMMI_1:    return nullptr;
  case _RSHIFTI__LOADI_MEMORY__IMMI8:    return nullptr;
  case _LSHIFTI_XREGI_IMMI_24:    return nullptr;
  case _LSHIFTI_XREGI_IMMI_16:    return nullptr;
  case _ANDI__LOADI_MEMORY__RREGI:    return nullptr;
  case _ANDI_RREGI__LOADI_MEMORY_:    return nullptr;
  case _ANDI__LOADI_MEMORY__IMMI:    return nullptr;
  case _XORI_RREGI_IMMI_M1:    return nullptr;
  case _SUBI_IMMI_0__LOADI_MEMORY_:    return nullptr;
  case _ADDI_RREGI_IMMI_M1:    return nullptr;
  case _CASTP2X_EREGP_:    return nullptr;
  case _ORI__LOADI_MEMORY__RREGI:    return nullptr;
  case _ORI_RREGI__LOADI_MEMORY_:    return nullptr;
  case _ORI__LOADI_MEMORY__IMMI:    return nullptr;
  case _LSHIFTI_RREGI_IMMI_1:    return nullptr;
  case _URSHIFTI_RREGI_IMMI_M1:    return nullptr;
  case _LSHIFTI_RREGI_IMMI8:    return nullptr;
  case _URSHIFTI_RREGI_IMMI8:    return nullptr;
  case _LSHIFTI_NCXREGI_ECXREGI:    return nullptr;
  case _SUBI_IMMI_0_ECXREGI:    return nullptr;
  case _URSHIFTI_NCXREGI__SUBI_IMMI_0_ECXREGI:    return nullptr;
  case _SUBI_IMMI_32_ECXREGI:    return nullptr;
  case _URSHIFTI_NCXREGI__SUBI_IMMI_32_ECXREGI:    return nullptr;
  case _URSHIFTI_RREGI_IMMI_1:    return nullptr;
  case _LSHIFTI_RREGI_IMMI_M1:    return nullptr;
  case _URSHIFTI_NCXREGI_ECXREGI:    return nullptr;
  case _LSHIFTI_NCXREGI__SUBI_IMMI_0_ECXREGI:    return nullptr;
  case _LSHIFTI_NCXREGI__SUBI_IMMI_32_ECXREGI:    return nullptr;
  case _XORI__LOADI_MEMORY__RREGI:    return nullptr;
  case _XORI_RREGI__LOADI_MEMORY_:    return nullptr;
  case _XORI__LOADI_MEMORY__IMMI:    return nullptr;
  case _CMPLTMASK_RREGI_RREGI:    return nullptr;
  case _ANDI__CMPLTMASK_RREGI_RREGI_RREGI:    return nullptr;
  case _SUBI_RREGI_RREGI:    return nullptr;
  case _ANDI_RREGI__CMPLTMASK_RREGI_RREGI:    return nullptr;
  case _LOADL_LOAD_LONG_MEMORY_:    return nullptr;
  case _XORL_EREGL_IMML_M1:    return nullptr;
  case _SUBL_IMML0_EREGL:    return nullptr;
  case _SUBL_IMML0__LOADL_MEMORY_:    return nullptr;
  case _ADDL_EREGL_IMML_M1:    return nullptr;
  case _ADDL__LOADL_MEMORY__IMML_M1:    return nullptr;
  case _LOADD_MEMORY_:    return nullptr;
  case _SUBD_REGDPR_REGDPR:    return nullptr;
  case _ADDD_REGDPR_REGDPR:    return nullptr;
  case _ADDD__LOADD_MEMORY__REGDPR:    return nullptr;
  case _ROUNDDOUBLE__ADDD__LOADD_MEMORY__REGDPR_:    return nullptr;
  case _ADDD_REGDPR__LOADD_MEMORY_:    return nullptr;
  case _ROUNDDOUBLE__ADDD_REGDPR__LOADD_MEMORY__:    return nullptr;
  case _ADDD_REGDPR_IMMDPR:    return nullptr;
  case _MULD_REGDPR_REGDPR:    return nullptr;
  case _LOADF_MEMORY_:    return nullptr;
  case _MULF__LOADF_MEMORY__REGFPR:    return nullptr;
  case _MULF_REGFPR__LOADF_MEMORY_:    return nullptr;
  case _MULF_REGFPR_REGFPR:    return nullptr;
  case _SUBF_REGFPR_REGFPR:    return nullptr;
  case _CONVI2L_RREGI_:    return nullptr;
  case _BINARY_EDIREGP_ECXREGI:    return nullptr;
  case _BINARY_ESIREGP_EDXREGI:    return nullptr;
  case _BINARY_EDIREGP_ESIREGP:    return nullptr;
  case _BINARY_EDIREGP_EDXREGI:    return nullptr;
  case _BINARY_ESIREGP_IMMI:    return nullptr;
  case _BINARY_ESIREGP_EAXREGI:    return nullptr;
  case _ANDI_RREGI_IMMI:    return nullptr;
  case _ANDI_RREGI_MEMORY:    return nullptr;
  case _LOADP_MEMORY_:    return nullptr;
  case _BINARY_NADXREGI_EAXREGI:    return nullptr;
  case _PARTIALSUBTYPECHECK_ESIREGP_EAXREGP:    return nullptr;
  case _BINARY_CMPOP_FLAGSREG_LONG_LTGE:    return nullptr;
  case _BINARY_EREGL__LOADL_LOAD_LONG_MEMORY_:    return nullptr;
  case _BINARY_CMPOPU_FLAGSREG_ULONG_LTGE:    return nullptr;
  case _BINARY_CMPOP_FLAGSREG_LONG_EQNE:    return nullptr;
  case _BINARY_CMPOPU_FLAGSREG_ULONG_EQNE:    return nullptr;
  case _BINARY_CMPOP_COMMUTE_FLAGSREG_LONG_LEGT:    return nullptr;
  case _BINARY_CMPOPU_COMMUTE_FLAGSREG_ULONG_LEGT:    return nullptr;
  case _CONVF2HF_REGF_:    return nullptr;
  case _VECTORCASTF2HF_VEC_:    return nullptr;
  case _LOADVECTOR_MEMORY_:    return nullptr;
  case _BINARY_VEC_KREG:    return nullptr;
  case _BINARY_VEC_VEC:    return nullptr;
  case _BINARY_VEC__BINARY_VEC_KREG:    return nullptr;
  case _BINARY_VEC_RREGI:    return nullptr;
  case _BINARY_VEC_REGF:    return nullptr;
  case _LSHIFTCNTV_IMMI8_:    return nullptr;
  case _RSHIFTCNTV_IMMI8_:    return nullptr;
  case _BINARY_LEGVEC_LEGVEC:    return nullptr;
  case _BINARY_VEC__LOADVECTOR_MEMORY_:    return nullptr;
  case _MULADDVS2VI_VEC_VEC:    return nullptr;
  case _BINARY_VEC_IMMU8:    return nullptr;
  case _BINARY__LOADVECTOR_MEMORY__IMMU8:    return nullptr;
  case _BINARY_VEC_IMMI8:    return nullptr;
  case _BINARY_VEC__LSHIFTCNTV_IMMI8_:    return nullptr;
  case _BINARY_VEC__RSHIFTCNTV_IMMI8_:    return nullptr;
  case _BINARY__LOADVECTOR_MEMORY__KREG:    return nullptr;
  case _BINARY_IMMI8_KREG:    return nullptr;
  case _BINARY_IMMU8_KREG:    return nullptr;
  case _BINARY_VEC__BINARY_IMMU8_KREG:    return nullptr;
  case _BINARY_VEC__BINARY_VEC__BINARY_IMMU8_KREG:    return nullptr;
  case _BINARY_MEMORY__BINARY_IMMU8_KREG:    return nullptr;
  case _BINARY_VEC__BINARY_MEMORY__BINARY_IMMU8_KREG:    return nullptr;
  case _BINARY_EAXREGP_EREGP:    return nullptr;
  
  default:
    fprintf(stderr, "Default MachOper Generator invoked for: \n");
    fprintf(stderr, "   opcode = %d\n", opcode);
    break;
  }
  return nullptr;
};


//------------------------- MachNode Generator ---------------
// A switch statement on the dense-packed user-defined type system
// that invokes 'new' on the corresponding class constructor.

MachNode *State::MachNodeGenerator(int opcode){
  switch(opcode) {
  case MoveF2LEG_rule: {
      MoveF2LEGNode *node = new MoveF2LEGNode();
      return node;
    }
  case MoveLEG2F_rule: {
      MoveLEG2FNode *node = new MoveLEG2FNode();
      return node;
    }
  case MoveF2VL_rule: {
      MoveF2VLNode *node = new MoveF2VLNode();
      return node;
    }
  case MoveVL2F_rule: {
      MoveVL2FNode *node = new MoveVL2FNode();
      return node;
    }
  case MoveD2LEG_rule: {
      MoveD2LEGNode *node = new MoveD2LEGNode();
      return node;
    }
  case MoveLEG2D_rule: {
      MoveLEG2DNode *node = new MoveLEG2DNode();
      return node;
    }
  case MoveD2VL_rule: {
      MoveD2VLNode *node = new MoveD2VLNode();
      return node;
    }
  case MoveVL2D_rule: {
      MoveVL2DNode *node = new MoveVL2DNode();
      return node;
    }
  case bytes_reverse_int_rule: {
      bytes_reverse_intNode *node = new bytes_reverse_intNode();
      return node;
    }
  case bytes_reverse_long_rule: {
      bytes_reverse_longNode *node = new bytes_reverse_longNode();
      return node;
    }
  case bytes_reverse_unsigned_short_rule: {
      bytes_reverse_unsigned_shortNode *node = new bytes_reverse_unsigned_shortNode();
      return node;
    }
  case bytes_reverse_short_rule: {
      bytes_reverse_shortNode *node = new bytes_reverse_shortNode();
      return node;
    }
  case countLeadingZerosI_rule: {
      countLeadingZerosINode *node = new countLeadingZerosINode();
      return node;
    }
  case countLeadingZerosI_bsr_rule: {
      countLeadingZerosI_bsrNode *node = new countLeadingZerosI_bsrNode();
      return node;
    }
  case countLeadingZerosL_rule: {
      countLeadingZerosLNode *node = new countLeadingZerosLNode();
      node->set_opnd_array(2, MachOperGenerator(RREGI));
      return node;
    }
  case countLeadingZerosL_bsr_rule: {
      countLeadingZerosL_bsrNode *node = new countLeadingZerosL_bsrNode();
      node->set_opnd_array(2, MachOperGenerator(RREGI));
      return node;
    }
  case countTrailingZerosI_rule: {
      countTrailingZerosINode *node = new countTrailingZerosINode();
      return node;
    }
  case countTrailingZerosI_bsf_rule: {
      countTrailingZerosI_bsfNode *node = new countTrailingZerosI_bsfNode();
      return node;
    }
  case countTrailingZerosL_rule: {
      countTrailingZerosLNode *node = new countTrailingZerosLNode();
      node->set_opnd_array(2, MachOperGenerator(RREGI));
      return node;
    }
  case countTrailingZerosL_bsf_rule: {
      countTrailingZerosL_bsfNode *node = new countTrailingZerosL_bsfNode();
      node->set_opnd_array(2, MachOperGenerator(RREGI));
      return node;
    }
  case popCountI_rule: {
      popCountINode *node = new popCountINode();
      return node;
    }
  case popCountI_mem_rule: {
      popCountI_memNode *node = new popCountI_memNode();
      return node;
    }
  case popCountL_rule: {
      popCountLNode *node = new popCountLNode();
      node->set_opnd_array(2, MachOperGenerator(RREGI));
      node->set_opnd_array(3, MachOperGenerator(RREGI));
      return node;
    }
  case popCountL_mem_rule: {
      popCountL_memNode *node = new popCountL_memNode();
      node->set_opnd_array(2, MachOperGenerator(RREGI));
      node->set_opnd_array(3, MachOperGenerator(RREGI));
      return node;
    }
  case loadB_rule: {
      loadBNode *node = new loadBNode();
      return node;
    }
  case loadB2L_rule: {
      loadB2LNode *node = new loadB2LNode();
      return node;
    }
  case loadUB_rule: {
      loadUBNode *node = new loadUBNode();
      return node;
    }
  case loadUB2L_rule: {
      loadUB2LNode *node = new loadUB2LNode();
      return node;
    }
  case loadUB2L_immI_rule: {
      loadUB2L_immINode *node = new loadUB2L_immINode();
      return node;
    }
  case loadS_rule: {
      loadSNode *node = new loadSNode();
      return node;
    }
  case loadS2B_rule: {
      loadS2BNode *node = new loadS2BNode();
      return node;
    }
  case loadS2L_rule: {
      loadS2LNode *node = new loadS2LNode();
      return node;
    }
  case loadUS_rule: {
      loadUSNode *node = new loadUSNode();
      return node;
    }
  case loadUS2B_rule: {
      loadUS2BNode *node = new loadUS2BNode();
      return node;
    }
  case loadUS2L_rule: {
      loadUS2LNode *node = new loadUS2LNode();
      return node;
    }
  case loadUS2L_immI_255_rule: {
      loadUS2L_immI_255Node *node = new loadUS2L_immI_255Node();
      return node;
    }
  case loadUS2L_immI_rule: {
      loadUS2L_immINode *node = new loadUS2L_immINode();
      return node;
    }
  case loadI_rule: {
      loadINode *node = new loadINode();
      return node;
    }
  case loadI2B_rule: {
      loadI2BNode *node = new loadI2BNode();
      return node;
    }
  case loadI2UB_rule: {
      loadI2UBNode *node = new loadI2UBNode();
      return node;
    }
  case loadI2S_rule: {
      loadI2SNode *node = new loadI2SNode();
      return node;
    }
  case loadI2US_rule: {
      loadI2USNode *node = new loadI2USNode();
      return node;
    }
  case loadI2L_rule: {
      loadI2LNode *node = new loadI2LNode();
      return node;
    }
  case loadI2L_immI_255_rule: {
      loadI2L_immI_255Node *node = new loadI2L_immI_255Node();
      return node;
    }
  case loadI2L_immI_65535_rule: {
      loadI2L_immI_65535Node *node = new loadI2L_immI_65535Node();
      return node;
    }
  case loadI2L_immU31_rule: {
      loadI2L_immU31Node *node = new loadI2L_immU31Node();
      return node;
    }
  case loadUI2L_rule: {
      loadUI2LNode *node = new loadUI2LNode();
      return node;
    }
  case loadL_rule: {
      loadLNode *node = new loadLNode();
      return node;
    }
  case loadL_volatile_rule: {
      loadL_volatileNode *node = new loadL_volatileNode();
      return node;
    }
  case loadLX_volatile_rule: {
      loadLX_volatileNode *node = new loadLX_volatileNode();
      node->set_opnd_array(2, MachOperGenerator(REGD));
      return node;
    }
  case loadLX_reg_volatile_rule: {
      loadLX_reg_volatileNode *node = new loadLX_reg_volatileNode();
      node->set_opnd_array(2, MachOperGenerator(REGD));
      return node;
    }
  case loadRange_rule: {
      loadRangeNode *node = new loadRangeNode();
      return node;
    }
  case loadP_rule: {
      loadPNode *node = new loadPNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case loadKlass_rule: {
      loadKlassNode *node = new loadKlassNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case loadDPR_rule: {
      loadDPRNode *node = new loadDPRNode();
      return node;
    }
  case loadD_rule: {
      loadDNode *node = new loadDNode();
      return node;
    }
  case loadD_partial_rule: {
      loadD_partialNode *node = new loadD_partialNode();
      return node;
    }
  case loadF_rule: {
      loadFNode *node = new loadFNode();
      return node;
    }
  case loadFPR_rule: {
      loadFPRNode *node = new loadFPRNode();
      return node;
    }
  case leaP8_rule: {
      leaP8Node *node = new leaP8Node();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case leaP32_rule: {
      leaP32Node *node = new leaP32Node();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case leaPIdxOff_rule: {
      leaPIdxOffNode *node = new leaPIdxOffNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case leaPIdxScale_rule: {
      leaPIdxScaleNode *node = new leaPIdxScaleNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case leaPIdxScaleOff_rule: {
      leaPIdxScaleOffNode *node = new leaPIdxScaleOffNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case loadConI_rule: {
      loadConINode *node = new loadConINode();
      node->_opnd_array[1] = new immIOper(_leaf->get_int() );
      return node;
    }
  case loadConI0_rule: {
      loadConI0Node *node = new loadConI0Node();
      return node;
    }
  case loadConP_rule: {
      loadConPNode *node = new loadConPNode();
      node->_opnd_array[1] = new immPOper(_leaf->bottom_type()->is_ptr() );
      return node;
    }
  case loadConL_rule: {
      loadConLNode *node = new loadConLNode();
      return node;
    }
  case loadConL0_rule: {
      loadConL0Node *node = new loadConL0Node();
      return node;
    }
  case loadConFPR_rule: {
      loadConFPRNode *node = new loadConFPRNode();
      node->_opnd_array[1] = new immFPROper(_leaf->getf() );
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case loadConFPR0_rule: {
      loadConFPR0Node *node = new loadConFPR0Node();
      node->_opnd_array[1] = new immFPR0Oper(_leaf->getf() );
      return node;
    }
  case loadConFPR1_rule: {
      loadConFPR1Node *node = new loadConFPR1Node();
      node->_opnd_array[1] = new immFPR1Oper(_leaf->getf() );
      return node;
    }
  case loadConF_rule: {
      loadConFNode *node = new loadConFNode();
      node->_opnd_array[1] = new immFOper(_leaf->getf() );
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case loadConF0_rule: {
      loadConF0Node *node = new loadConF0Node();
      node->_opnd_array[1] = new immF0Oper(_leaf->getf() );
      return node;
    }
  case loadConDPR_rule: {
      loadConDPRNode *node = new loadConDPRNode();
      node->_opnd_array[1] = new immDPROper(_leaf->getd() );
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case loadConDPR0_rule: {
      loadConDPR0Node *node = new loadConDPR0Node();
      node->_opnd_array[1] = new immDPR0Oper(_leaf->getd() );
      return node;
    }
  case loadConDPR1_rule: {
      loadConDPR1Node *node = new loadConDPR1Node();
      node->_opnd_array[1] = new immDPR1Oper(_leaf->getd() );
      return node;
    }
  case loadConD_rule: {
      loadConDNode *node = new loadConDNode();
      node->_opnd_array[1] = new immDOper(_leaf->getd() );
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case loadConD0_rule: {
      loadConD0Node *node = new loadConD0Node();
      node->_opnd_array[1] = new immD0Oper(_leaf->getd() );
      return node;
    }
  case loadSSI_rule: {
      loadSSINode *node = new loadSSINode();
      return node;
    }
  case loadSSL_rule: {
      loadSSLNode *node = new loadSSLNode();
      return node;
    }
  case loadSSP_rule: {
      loadSSPNode *node = new loadSSPNode();
      return node;
    }
  case loadSSF_rule: {
      loadSSFNode *node = new loadSSFNode();
      return node;
    }
  case loadSSD_rule: {
      loadSSDNode *node = new loadSSDNode();
      return node;
    }
  case prefetchAlloc0_rule: {
      prefetchAlloc0Node *node = new prefetchAlloc0Node();
      return node;
    }
  case prefetchAlloc_rule: {
      prefetchAllocNode *node = new prefetchAllocNode();
      return node;
    }
  case prefetchAllocNTA_rule: {
      prefetchAllocNTANode *node = new prefetchAllocNTANode();
      return node;
    }
  case prefetchAllocT0_rule: {
      prefetchAllocT0Node *node = new prefetchAllocT0Node();
      return node;
    }
  case prefetchAllocT2_rule: {
      prefetchAllocT2Node *node = new prefetchAllocT2Node();
      return node;
    }
  case storeB_rule: {
      storeBNode *node = new storeBNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case storeC_rule: {
      storeCNode *node = new storeCNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case storeI_rule: {
      storeINode *node = new storeINode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case storeL_rule: {
      storeLNode *node = new storeLNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case storeL2I_rule: {
      storeL2INode *node = new storeL2INode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case storeL_volatile_rule: {
      storeL_volatileNode *node = new storeL_volatileNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case storeLX_volatile_rule: {
      storeLX_volatileNode *node = new storeLX_volatileNode();
      node->set_opnd_array(3, MachOperGenerator(REGD));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case storeLX_reg_volatile_rule: {
      storeLX_reg_volatileNode *node = new storeLX_reg_volatileNode();
      node->set_opnd_array(3, MachOperGenerator(REGD));
      node->set_opnd_array(4, MachOperGenerator(REGD));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case storeP_rule: {
      storePNode *node = new storePNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case storeImmI_rule: {
      storeImmINode *node = new storeImmINode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case storeImmI16_rule: {
      storeImmI16Node *node = new storeImmI16Node();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case storeImmP_rule: {
      storeImmPNode *node = new storeImmPNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case storeImmB_rule: {
      storeImmBNode *node = new storeImmBNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case storeImmCM_rule: {
      storeImmCMNode *node = new storeImmCMNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case storeDPR_rule: {
      storeDPRNode *node = new storeDPRNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case storeDPR_rounded_rule: {
      storeDPR_roundedNode *node = new storeDPR_roundedNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case storeD_rule: {
      storeDNode *node = new storeDNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case storeF_rule: {
      storeFNode *node = new storeFNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case storeFPR_rule: {
      storeFPRNode *node = new storeFPRNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case storeFPR_rounded_rule: {
      storeFPR_roundedNode *node = new storeFPR_roundedNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case storeFPR_Drounded_rule: {
      storeFPR_DroundedNode *node = new storeFPR_DroundedNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case storeFPR_imm_rule: {
      storeFPR_immNode *node = new storeFPR_immNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case storeF_imm_rule: {
      storeF_immNode *node = new storeF_immNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case storeSSI_rule: {
      storeSSINode *node = new storeSSINode();
      return node;
    }
  case storeSSP_rule: {
      storeSSPNode *node = new storeSSPNode();
      return node;
    }
  case storeSSL_rule: {
      storeSSLNode *node = new storeSSLNode();
      return node;
    }
  case membar_acquire_rule: {
      membar_acquireNode *node = new membar_acquireNode();
      return node;
    }
  case membar_acquire_0_rule: {
      membar_acquire_0Node *node = new membar_acquire_0Node();
      return node;
    }
  case membar_acquire_lock_rule: {
      membar_acquire_lockNode *node = new membar_acquire_lockNode();
      return node;
    }
  case membar_release_rule: {
      membar_releaseNode *node = new membar_releaseNode();
      return node;
    }
  case membar_release_0_rule: {
      membar_release_0Node *node = new membar_release_0Node();
      return node;
    }
  case membar_release_lock_rule: {
      membar_release_lockNode *node = new membar_release_lockNode();
      return node;
    }
  case membar_volatile_rule: {
      membar_volatileNode *node = new membar_volatileNode();
      node->set_opnd_array(1, MachOperGenerator(EFLAGSREG));
      return node;
    }
  case unnecessary_membar_volatile_rule: {
      unnecessary_membar_volatileNode *node = new unnecessary_membar_volatileNode();
      return node;
    }
  case membar_storestore_rule: {
      membar_storestoreNode *node = new membar_storestoreNode();
      return node;
    }
  case membar_storestore_0_rule: {
      membar_storestore_0Node *node = new membar_storestore_0Node();
      return node;
    }
  case castX2P_rule: {
      castX2PNode *node = new castX2PNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case castP2X_rule: {
      castP2XNode *node = new castP2XNode();
      return node;
    }
  case jmovI_reg_rule: {
      jmovI_regNode *node = new jmovI_regNode();
      return node;
    }
  case jmovI_regU_rule: {
      jmovI_regUNode *node = new jmovI_regUNode();
      return node;
    }
  case cmovI_reg_rule: {
      cmovI_regNode *node = new cmovI_regNode();
      return node;
    }
  case cmovI_regU_rule: {
      cmovI_regUNode *node = new cmovI_regUNode();
      return node;
    }
  case cmovI_regUCF_rule: {
      cmovI_regUCFNode *node = new cmovI_regUCFNode();
      return node;
    }
  case cmovI_mem_rule: {
      cmovI_memNode *node = new cmovI_memNode();
      return node;
    }
  case cmovI_memU_rule: {
      cmovI_memUNode *node = new cmovI_memUNode();
      return node;
    }
  case cmovI_memUCF_rule: {
      cmovI_memUCFNode *node = new cmovI_memUCFNode();
      return node;
    }
  case cmovP_reg_rule: {
      cmovP_regNode *node = new cmovP_regNode();
      return node;
    }
  case cmovP_reg_nonP6_rule: {
      cmovP_reg_nonP6Node *node = new cmovP_reg_nonP6Node();
      return node;
    }
  case cmovP_regU_rule: {
      cmovP_regUNode *node = new cmovP_regUNode();
      return node;
    }
  case cmovP_regUCF_rule: {
      cmovP_regUCFNode *node = new cmovP_regUCFNode();
      return node;
    }
  case fcmovDPR_regU_rule: {
      fcmovDPR_regUNode *node = new fcmovDPR_regUNode();
      return node;
    }
  case fcmovFPR_regU_rule: {
      fcmovFPR_regUNode *node = new fcmovFPR_regUNode();
      return node;
    }
  case fcmovDPR_regS_rule: {
      fcmovDPR_regSNode *node = new fcmovDPR_regSNode();
      return node;
    }
  case fcmovFPR_regS_rule: {
      fcmovFPR_regSNode *node = new fcmovFPR_regSNode();
      return node;
    }
  case fcmovF_regS_rule: {
      fcmovF_regSNode *node = new fcmovF_regSNode();
      return node;
    }
  case fcmovD_regS_rule: {
      fcmovD_regSNode *node = new fcmovD_regSNode();
      return node;
    }
  case fcmovF_regU_rule: {
      fcmovF_regUNode *node = new fcmovF_regUNode();
      return node;
    }
  case fcmovF_regUCF_rule: {
      fcmovF_regUCFNode *node = new fcmovF_regUCFNode();
      return node;
    }
  case fcmovD_regU_rule: {
      fcmovD_regUNode *node = new fcmovD_regUNode();
      return node;
    }
  case fcmovD_regUCF_rule: {
      fcmovD_regUCFNode *node = new fcmovD_regUCFNode();
      return node;
    }
  case cmovL_reg_rule: {
      cmovL_regNode *node = new cmovL_regNode();
      return node;
    }
  case cmovL_regU_rule: {
      cmovL_regUNode *node = new cmovL_regUNode();
      return node;
    }
  case cmovL_regUCF_rule: {
      cmovL_regUCFNode *node = new cmovL_regUCFNode();
      return node;
    }
  case addI_eReg_rule: {
      addI_eRegNode *node = new addI_eRegNode();
      return node;
    }
  case addI_eReg_imm_rule: {
      addI_eReg_immNode *node = new addI_eReg_immNode();
      return node;
    }
  case incI_eReg_rule: {
      incI_eRegNode *node = new incI_eRegNode();
      return node;
    }
  case leaI_eReg_immI_rule: {
      leaI_eReg_immINode *node = new leaI_eReg_immINode();
      return node;
    }
  case leaP_eReg_immI_rule: {
      leaP_eReg_immINode *node = new leaP_eReg_immINode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case decI_eReg_rule: {
      decI_eRegNode *node = new decI_eRegNode();
      return node;
    }
  case addP_eReg_rule: {
      addP_eRegNode *node = new addP_eRegNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case addP_eReg_imm_rule: {
      addP_eReg_immNode *node = new addP_eReg_immNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case addI_eReg_mem_rule: {
      addI_eReg_memNode *node = new addI_eReg_memNode();
      return node;
    }
  case addI_eReg_mem_0_rule: {
      addI_eReg_mem_0Node *node = new addI_eReg_mem_0Node();
      return node;
    }
  case addI_mem_eReg_rule: {
      addI_mem_eRegNode *node = new addI_mem_eRegNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case addI_mem_eReg_0_rule: {
      addI_mem_eReg_0Node *node = new addI_mem_eReg_0Node();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case addI_mem_imm_rule: {
      addI_mem_immNode *node = new addI_mem_immNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case incI_mem_rule: {
      incI_memNode *node = new incI_memNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case decI_mem_rule: {
      decI_memNode *node = new decI_memNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case checkCastPP_rule: {
      checkCastPPNode *node = new checkCastPPNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case castPP_rule: {
      castPPNode *node = new castPPNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case castII_rule: {
      castIINode *node = new castIINode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case castLL_rule: {
      castLLNode *node = new castLLNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case castFF_rule: {
      castFFNode *node = new castFFNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case castDD_rule: {
      castDDNode *node = new castDDNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case castFF_PR_rule: {
      castFF_PRNode *node = new castFF_PRNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case castDD_PR_rule: {
      castDD_PRNode *node = new castDD_PRNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case compareAndSwapL_rule: {
      compareAndSwapLNode *node = new compareAndSwapLNode();
      return node;
    }
  case compareAndSwapL_0_rule: {
      compareAndSwapL_0Node *node = new compareAndSwapL_0Node();
      return node;
    }
  case compareAndSwapP_rule: {
      compareAndSwapPNode *node = new compareAndSwapPNode();
      return node;
    }
  case compareAndSwapP_0_rule: {
      compareAndSwapP_0Node *node = new compareAndSwapP_0Node();
      return node;
    }
  case compareAndSwapB_rule: {
      compareAndSwapBNode *node = new compareAndSwapBNode();
      return node;
    }
  case compareAndSwapB_0_rule: {
      compareAndSwapB_0Node *node = new compareAndSwapB_0Node();
      return node;
    }
  case compareAndSwapS_rule: {
      compareAndSwapSNode *node = new compareAndSwapSNode();
      return node;
    }
  case compareAndSwapS_0_rule: {
      compareAndSwapS_0Node *node = new compareAndSwapS_0Node();
      return node;
    }
  case compareAndSwapI_rule: {
      compareAndSwapINode *node = new compareAndSwapINode();
      return node;
    }
  case compareAndSwapI_0_rule: {
      compareAndSwapI_0Node *node = new compareAndSwapI_0Node();
      return node;
    }
  case compareAndExchangeL_rule: {
      compareAndExchangeLNode *node = new compareAndExchangeLNode();
      return node;
    }
  case compareAndExchangeP_rule: {
      compareAndExchangePNode *node = new compareAndExchangePNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case compareAndExchangeB_rule: {
      compareAndExchangeBNode *node = new compareAndExchangeBNode();
      return node;
    }
  case compareAndExchangeS_rule: {
      compareAndExchangeSNode *node = new compareAndExchangeSNode();
      return node;
    }
  case compareAndExchangeI_rule: {
      compareAndExchangeINode *node = new compareAndExchangeINode();
      return node;
    }
  case xaddB_no_res_rule: {
      xaddB_no_resNode *node = new xaddB_no_resNode();
      return node;
    }
  case xaddB_rule: {
      xaddBNode *node = new xaddBNode();
      return node;
    }
  case xaddS_no_res_rule: {
      xaddS_no_resNode *node = new xaddS_no_resNode();
      return node;
    }
  case xaddS_rule: {
      xaddSNode *node = new xaddSNode();
      return node;
    }
  case xaddI_no_res_rule: {
      xaddI_no_resNode *node = new xaddI_no_resNode();
      return node;
    }
  case xaddI_rule: {
      xaddINode *node = new xaddINode();
      return node;
    }
  case xchgB_rule: {
      xchgBNode *node = new xchgBNode();
      return node;
    }
  case xchgS_rule: {
      xchgSNode *node = new xchgSNode();
      return node;
    }
  case xchgI_rule: {
      xchgINode *node = new xchgINode();
      return node;
    }
  case xchgP_rule: {
      xchgPNode *node = new xchgPNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case subI_eReg_rule: {
      subI_eRegNode *node = new subI_eRegNode();
      return node;
    }
  case subI_eReg_imm_rule: {
      subI_eReg_immNode *node = new subI_eReg_immNode();
      return node;
    }
  case subI_eReg_mem_rule: {
      subI_eReg_memNode *node = new subI_eReg_memNode();
      return node;
    }
  case subI_mem_eReg_rule: {
      subI_mem_eRegNode *node = new subI_mem_eRegNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case subP_eReg_rule: {
      subP_eRegNode *node = new subP_eRegNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case negI_eReg_rule: {
      negI_eRegNode *node = new negI_eRegNode();
      return node;
    }
  case mulI_eReg_rule: {
      mulI_eRegNode *node = new mulI_eRegNode();
      return node;
    }
  case mulI_eReg_imm_rule: {
      mulI_eReg_immNode *node = new mulI_eReg_immNode();
      return node;
    }
  case loadConL_low_only_rule: {
      loadConL_low_onlyNode *node = new loadConL_low_onlyNode();
      return node;
    }
  case mulI_imm_high_rule: {
      mulI_imm_highNode *node = new mulI_imm_highNode();
      return node;
    }
  case mulI_imm_high_0_rule: {
      mulI_imm_high_0Node *node = new mulI_imm_high_0Node();
      return node;
    }
  case mulI_imm_RShift_high_rule: {
      mulI_imm_RShift_highNode *node = new mulI_imm_RShift_highNode();
      return node;
    }
  case mulI_imm_RShift_high_0_rule: {
      mulI_imm_RShift_high_0Node *node = new mulI_imm_RShift_high_0Node();
      return node;
    }
  case mulI_mem_imm_rule: {
      mulI_mem_immNode *node = new mulI_mem_immNode();
      return node;
    }
  case mulI_rule: {
      mulINode *node = new mulINode();
      return node;
    }
  case mulI_0_rule: {
      mulI_0Node *node = new mulI_0Node();
      return node;
    }
  case mulAddS2I_rReg_rule: {
      mulAddS2I_rRegNode *node = new mulAddS2I_rRegNode();
      return node;
    }
  case mulI2L_rule: {
      mulI2LNode *node = new mulI2LNode();
      return node;
    }
  case mulI2L_0_rule: {
      mulI2L_0Node *node = new mulI2L_0Node();
      return node;
    }
  case mulIS_eReg_rule: {
      mulIS_eRegNode *node = new mulIS_eRegNode();
      return node;
    }
  case mulIS_eReg_0_rule: {
      mulIS_eReg_0Node *node = new mulIS_eReg_0Node();
      return node;
    }
  case mulL_eReg_rule: {
      mulL_eRegNode *node = new mulL_eRegNode();
      node->set_opnd_array(3, MachOperGenerator(RREGI));
      return node;
    }
  case mulL_eReg_lhi0_rule: {
      mulL_eReg_lhi0Node *node = new mulL_eReg_lhi0Node();
      node->set_opnd_array(3, MachOperGenerator(RREGI));
      return node;
    }
  case mulL_eReg_rhi0_rule: {
      mulL_eReg_rhi0Node *node = new mulL_eReg_rhi0Node();
      node->set_opnd_array(3, MachOperGenerator(RREGI));
      return node;
    }
  case mulL_eReg_hi0_rule: {
      mulL_eReg_hi0Node *node = new mulL_eReg_hi0Node();
      return node;
    }
  case mulL_eReg_con_rule: {
      mulL_eReg_conNode *node = new mulL_eReg_conNode();
      node->set_opnd_array(3, MachOperGenerator(RREGI));
      return node;
    }
  case divI_eReg_rule: {
      divI_eRegNode *node = new divI_eRegNode();
      return node;
    }
  case divL_eReg_rule: {
      divL_eRegNode *node = new divL_eRegNode();
      return node;
    }
  case divModI_eReg_divmod_rule: {
      divModI_eReg_divmodNode *node = new divModI_eReg_divmodNode();
      return node;
    }
  case modI_eReg_rule: {
      modI_eRegNode *node = new modI_eRegNode();
      return node;
    }
  case modL_eReg_rule: {
      modL_eRegNode *node = new modL_eRegNode();
      return node;
    }
  case divL_eReg_imm32_rule: {
      divL_eReg_imm32Node *node = new divL_eReg_imm32Node();
      node->set_opnd_array(3, MachOperGenerator(RREGI));
      node->set_opnd_array(4, MachOperGenerator(RREGI));
      return node;
    }
  case modL_eReg_imm32_rule: {
      modL_eReg_imm32Node *node = new modL_eReg_imm32Node();
      node->set_opnd_array(3, MachOperGenerator(RREGI));
      node->set_opnd_array(4, MachOperGenerator(RREGI));
      return node;
    }
  case shlI_eReg_1_rule: {
      shlI_eReg_1Node *node = new shlI_eReg_1Node();
      return node;
    }
  case salI_eReg_imm_rule: {
      salI_eReg_immNode *node = new salI_eReg_immNode();
      return node;
    }
  case salI_eReg_CL_rule: {
      salI_eReg_CLNode *node = new salI_eReg_CLNode();
      return node;
    }
  case sarI_eReg_1_rule: {
      sarI_eReg_1Node *node = new sarI_eReg_1Node();
      return node;
    }
  case sarI_mem_1_rule: {
      sarI_mem_1Node *node = new sarI_mem_1Node();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case sarI_eReg_imm_rule: {
      sarI_eReg_immNode *node = new sarI_eReg_immNode();
      return node;
    }
  case sarI_mem_imm_rule: {
      sarI_mem_immNode *node = new sarI_mem_immNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case sarI_eReg_CL_rule: {
      sarI_eReg_CLNode *node = new sarI_eReg_CLNode();
      return node;
    }
  case shrI_eReg_1_rule: {
      shrI_eReg_1Node *node = new shrI_eReg_1Node();
      return node;
    }
  case shrI_eReg_imm_rule: {
      shrI_eReg_immNode *node = new shrI_eReg_immNode();
      return node;
    }
  case i2b_rule: {
      i2bNode *node = new i2bNode();
      return node;
    }
  case i2s_rule: {
      i2sNode *node = new i2sNode();
      return node;
    }
  case shrI_eReg_CL_rule: {
      shrI_eReg_CLNode *node = new shrI_eReg_CLNode();
      return node;
    }
  case andI_eReg_rule: {
      andI_eRegNode *node = new andI_eRegNode();
      return node;
    }
  case andI_eReg_imm_rule: {
      andI_eReg_immNode *node = new andI_eReg_immNode();
      return node;
    }
  case andI_eReg_mem_rule: {
      andI_eReg_memNode *node = new andI_eReg_memNode();
      return node;
    }
  case andI_eReg_mem_0_rule: {
      andI_eReg_mem_0Node *node = new andI_eReg_mem_0Node();
      return node;
    }
  case andI_mem_eReg_rule: {
      andI_mem_eRegNode *node = new andI_mem_eRegNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case andI_mem_eReg_0_rule: {
      andI_mem_eReg_0Node *node = new andI_mem_eReg_0Node();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case andI_mem_imm_rule: {
      andI_mem_immNode *node = new andI_mem_immNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case andnI_rReg_rReg_rReg_rule: {
      andnI_rReg_rReg_rRegNode *node = new andnI_rReg_rReg_rRegNode();
      return node;
    }
  case andnI_rReg_rReg_rReg_0_rule: {
      andnI_rReg_rReg_rReg_0Node *node = new andnI_rReg_rReg_rReg_0Node();
      return node;
    }
  case andnI_rReg_rReg_mem_rule: {
      andnI_rReg_rReg_memNode *node = new andnI_rReg_rReg_memNode();
      return node;
    }
  case andnI_rReg_rReg_mem_0_rule: {
      andnI_rReg_rReg_mem_0Node *node = new andnI_rReg_rReg_mem_0Node();
      return node;
    }
  case blsiI_rReg_rReg_rule: {
      blsiI_rReg_rRegNode *node = new blsiI_rReg_rRegNode();
      return node;
    }
  case blsiI_rReg_rReg_0_rule: {
      blsiI_rReg_rReg_0Node *node = new blsiI_rReg_rReg_0Node();
      return node;
    }
  case blsiI_rReg_mem_rule: {
      blsiI_rReg_memNode *node = new blsiI_rReg_memNode();
      return node;
    }
  case blsiI_rReg_mem_0_rule: {
      blsiI_rReg_mem_0Node *node = new blsiI_rReg_mem_0Node();
      return node;
    }
  case blsmskI_rReg_rReg_rule: {
      blsmskI_rReg_rRegNode *node = new blsmskI_rReg_rRegNode();
      return node;
    }
  case blsmskI_rReg_rReg_0_rule: {
      blsmskI_rReg_rReg_0Node *node = new blsmskI_rReg_rReg_0Node();
      return node;
    }
  case blsmskI_rReg_mem_rule: {
      blsmskI_rReg_memNode *node = new blsmskI_rReg_memNode();
      return node;
    }
  case blsmskI_rReg_mem_0_rule: {
      blsmskI_rReg_mem_0Node *node = new blsmskI_rReg_mem_0Node();
      return node;
    }
  case blsrI_rReg_rReg_rule: {
      blsrI_rReg_rRegNode *node = new blsrI_rReg_rRegNode();
      return node;
    }
  case blsrI_rReg_rReg_0_rule: {
      blsrI_rReg_rReg_0Node *node = new blsrI_rReg_rReg_0Node();
      return node;
    }
  case blsrI_rReg_mem_rule: {
      blsrI_rReg_memNode *node = new blsrI_rReg_memNode();
      return node;
    }
  case blsrI_rReg_mem_0_rule: {
      blsrI_rReg_mem_0Node *node = new blsrI_rReg_mem_0Node();
      return node;
    }
  case orI_eReg_rule: {
      orI_eRegNode *node = new orI_eRegNode();
      return node;
    }
  case orI_eReg_castP2X_rule: {
      orI_eReg_castP2XNode *node = new orI_eReg_castP2XNode();
      return node;
    }
  case orI_eReg_castP2X_0_rule: {
      orI_eReg_castP2X_0Node *node = new orI_eReg_castP2X_0Node();
      return node;
    }
  case orI_eReg_imm_rule: {
      orI_eReg_immNode *node = new orI_eReg_immNode();
      return node;
    }
  case orI_eReg_mem_rule: {
      orI_eReg_memNode *node = new orI_eReg_memNode();
      return node;
    }
  case orI_eReg_mem_0_rule: {
      orI_eReg_mem_0Node *node = new orI_eReg_mem_0Node();
      return node;
    }
  case orI_mem_eReg_rule: {
      orI_mem_eRegNode *node = new orI_mem_eRegNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case orI_mem_eReg_0_rule: {
      orI_mem_eReg_0Node *node = new orI_mem_eReg_0Node();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case orI_mem_imm_rule: {
      orI_mem_immNode *node = new orI_mem_immNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case rolI_eReg_i1_rule: {
      rolI_eReg_i1Node *node = new rolI_eReg_i1Node();
      return node;
    }
  case rolI_eReg_i1_0_rule: {
      rolI_eReg_i1_0Node *node = new rolI_eReg_i1_0Node();
      return node;
    }
  case rolI_eReg_i8_rule: {
      rolI_eReg_i8Node *node = new rolI_eReg_i8Node();
      return node;
    }
  case rolI_eReg_i8_0_rule: {
      rolI_eReg_i8_0Node *node = new rolI_eReg_i8_0Node();
      return node;
    }
  case rolI_eReg_Var_C0_rule: {
      rolI_eReg_Var_C0Node *node = new rolI_eReg_Var_C0Node();
      return node;
    }
  case rolI_eReg_Var_C0_0_rule: {
      rolI_eReg_Var_C0_0Node *node = new rolI_eReg_Var_C0_0Node();
      return node;
    }
  case rolI_eReg_Var_C32_rule: {
      rolI_eReg_Var_C32Node *node = new rolI_eReg_Var_C32Node();
      return node;
    }
  case rolI_eReg_Var_C32_0_rule: {
      rolI_eReg_Var_C32_0Node *node = new rolI_eReg_Var_C32_0Node();
      return node;
    }
  case rorI_eReg_i1_rule: {
      rorI_eReg_i1Node *node = new rorI_eReg_i1Node();
      return node;
    }
  case rorI_eReg_i1_0_rule: {
      rorI_eReg_i1_0Node *node = new rorI_eReg_i1_0Node();
      return node;
    }
  case rorI_eReg_i8_rule: {
      rorI_eReg_i8Node *node = new rorI_eReg_i8Node();
      return node;
    }
  case rorI_eReg_i8_0_rule: {
      rorI_eReg_i8_0Node *node = new rorI_eReg_i8_0Node();
      return node;
    }
  case rorI_eReg_Var_C0_rule: {
      rorI_eReg_Var_C0Node *node = new rorI_eReg_Var_C0Node();
      return node;
    }
  case rorI_eReg_Var_C0_0_rule: {
      rorI_eReg_Var_C0_0Node *node = new rorI_eReg_Var_C0_0Node();
      return node;
    }
  case rorI_eReg_Var_C32_rule: {
      rorI_eReg_Var_C32Node *node = new rorI_eReg_Var_C32Node();
      return node;
    }
  case rorI_eReg_Var_C32_0_rule: {
      rorI_eReg_Var_C32_0Node *node = new rorI_eReg_Var_C32_0Node();
      return node;
    }
  case xorI_eReg_rule: {
      xorI_eRegNode *node = new xorI_eRegNode();
      return node;
    }
  case xorI_eReg_im1_rule: {
      xorI_eReg_im1Node *node = new xorI_eReg_im1Node();
      return node;
    }
  case xorI_eReg_imm_rule: {
      xorI_eReg_immNode *node = new xorI_eReg_immNode();
      return node;
    }
  case xorI_eReg_mem_rule: {
      xorI_eReg_memNode *node = new xorI_eReg_memNode();
      return node;
    }
  case xorI_eReg_mem_0_rule: {
      xorI_eReg_mem_0Node *node = new xorI_eReg_mem_0Node();
      return node;
    }
  case xorI_mem_eReg_rule: {
      xorI_mem_eRegNode *node = new xorI_mem_eRegNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case xorI_mem_eReg_0_rule: {
      xorI_mem_eReg_0Node *node = new xorI_mem_eReg_0Node();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case xorI_mem_imm_rule: {
      xorI_mem_immNode *node = new xorI_mem_immNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case convI2B_rule: {
      convI2BNode *node = new convI2BNode();
      return node;
    }
  case convP2B_rule: {
      convP2BNode *node = new convP2BNode();
      return node;
    }
  case cmpLTMask_rule: {
      cmpLTMaskNode *node = new cmpLTMaskNode();
      return node;
    }
  case cmpLTMask0_rule: {
      cmpLTMask0Node *node = new cmpLTMask0Node();
      return node;
    }
  case cadd_cmpLTMask_rule: {
      cadd_cmpLTMaskNode *node = new cadd_cmpLTMaskNode();
      return node;
    }
  case cadd_cmpLTMask_1_rule: {
      cadd_cmpLTMask_1Node *node = new cadd_cmpLTMask_1Node();
      return node;
    }
  case cadd_cmpLTMask_0_rule: {
      cadd_cmpLTMask_0Node *node = new cadd_cmpLTMask_0Node();
      return node;
    }
  case cadd_cmpLTMask_2_rule: {
      cadd_cmpLTMask_2Node *node = new cadd_cmpLTMask_2Node();
      return node;
    }
  case and_cmpLTMask_rule: {
      and_cmpLTMaskNode *node = new and_cmpLTMaskNode();
      return node;
    }
  case and_cmpLTMask_0_rule: {
      and_cmpLTMask_0Node *node = new and_cmpLTMask_0Node();
      return node;
    }
  case overflowAddI_eReg_rule: {
      overflowAddI_eRegNode *node = new overflowAddI_eRegNode();
      return node;
    }
  case overflowAddI_rReg_imm_rule: {
      overflowAddI_rReg_immNode *node = new overflowAddI_rReg_immNode();
      return node;
    }
  case overflowSubI_rReg_rule: {
      overflowSubI_rRegNode *node = new overflowSubI_rRegNode();
      return node;
    }
  case overflowSubI_rReg_imm_rule: {
      overflowSubI_rReg_immNode *node = new overflowSubI_rReg_immNode();
      return node;
    }
  case overflowNegI_rReg_rule: {
      overflowNegI_rRegNode *node = new overflowNegI_rRegNode();
      return node;
    }
  case overflowMulI_rReg_rule: {
      overflowMulI_rRegNode *node = new overflowMulI_rRegNode();
      return node;
    }
  case overflowMulI_rReg_imm_rule: {
      overflowMulI_rReg_immNode *node = new overflowMulI_rReg_immNode();
      node->set_opnd_array(3, MachOperGenerator(RREGI));
      return node;
    }
  case absI_rReg_rule: {
      absI_rRegNode *node = new absI_rRegNode();
      node->set_opnd_array(2, MachOperGenerator(RREGI));
      node->set_opnd_array(3, MachOperGenerator(RREGI));
      return node;
    }
  case addL_eReg_rule: {
      addL_eRegNode *node = new addL_eRegNode();
      return node;
    }
  case addL_eReg_imm_rule: {
      addL_eReg_immNode *node = new addL_eReg_immNode();
      return node;
    }
  case addL_eReg_mem_rule: {
      addL_eReg_memNode *node = new addL_eReg_memNode();
      return node;
    }
  case addL_eReg_mem_0_rule: {
      addL_eReg_mem_0Node *node = new addL_eReg_mem_0Node();
      return node;
    }
  case subL_eReg_rule: {
      subL_eRegNode *node = new subL_eRegNode();
      return node;
    }
  case subL_eReg_imm_rule: {
      subL_eReg_immNode *node = new subL_eReg_immNode();
      return node;
    }
  case subL_eReg_mem_rule: {
      subL_eReg_memNode *node = new subL_eReg_memNode();
      return node;
    }
  case negL_eReg_rule: {
      negL_eRegNode *node = new negL_eRegNode();
      return node;
    }
  case andL_eReg_rule: {
      andL_eRegNode *node = new andL_eRegNode();
      return node;
    }
  case andL_eReg_imm_rule: {
      andL_eReg_immNode *node = new andL_eReg_immNode();
      return node;
    }
  case andL_eReg_mem_rule: {
      andL_eReg_memNode *node = new andL_eReg_memNode();
      return node;
    }
  case andL_eReg_mem_0_rule: {
      andL_eReg_mem_0Node *node = new andL_eReg_mem_0Node();
      return node;
    }
  case andnL_eReg_eReg_eReg_rule: {
      andnL_eReg_eReg_eRegNode *node = new andnL_eReg_eReg_eRegNode();
      node->set_opnd_array(4, MachOperGenerator(EREGL));
      return node;
    }
  case andnL_eReg_eReg_eReg_0_rule: {
      andnL_eReg_eReg_eReg_0Node *node = new andnL_eReg_eReg_eReg_0Node();
      node->set_opnd_array(4, MachOperGenerator(EREGL));
      return node;
    }
  case andnL_eReg_eReg_mem_rule: {
      andnL_eReg_eReg_memNode *node = new andnL_eReg_eReg_memNode();
      node->set_opnd_array(4, MachOperGenerator(EREGL));
      return node;
    }
  case andnL_eReg_eReg_mem_0_rule: {
      andnL_eReg_eReg_mem_0Node *node = new andnL_eReg_eReg_mem_0Node();
      node->set_opnd_array(4, MachOperGenerator(EREGL));
      return node;
    }
  case blsiL_eReg_eReg_rule: {
      blsiL_eReg_eRegNode *node = new blsiL_eReg_eRegNode();
      node->set_opnd_array(4, MachOperGenerator(EREGL));
      return node;
    }
  case blsiL_eReg_eReg_0_rule: {
      blsiL_eReg_eReg_0Node *node = new blsiL_eReg_eReg_0Node();
      node->set_opnd_array(4, MachOperGenerator(EREGL));
      return node;
    }
  case blsiL_eReg_mem_rule: {
      blsiL_eReg_memNode *node = new blsiL_eReg_memNode();
      node->set_opnd_array(4, MachOperGenerator(EREGL));
      return node;
    }
  case blsiL_eReg_mem_0_rule: {
      blsiL_eReg_mem_0Node *node = new blsiL_eReg_mem_0Node();
      node->set_opnd_array(4, MachOperGenerator(EREGL));
      return node;
    }
  case blsmskL_eReg_eReg_rule: {
      blsmskL_eReg_eRegNode *node = new blsmskL_eReg_eRegNode();
      node->set_opnd_array(4, MachOperGenerator(EREGL));
      return node;
    }
  case blsmskL_eReg_eReg_0_rule: {
      blsmskL_eReg_eReg_0Node *node = new blsmskL_eReg_eReg_0Node();
      node->set_opnd_array(4, MachOperGenerator(EREGL));
      return node;
    }
  case blsmskL_eReg_mem_rule: {
      blsmskL_eReg_memNode *node = new blsmskL_eReg_memNode();
      node->set_opnd_array(4, MachOperGenerator(EREGL));
      return node;
    }
  case blsmskL_eReg_mem_0_rule: {
      blsmskL_eReg_mem_0Node *node = new blsmskL_eReg_mem_0Node();
      node->set_opnd_array(4, MachOperGenerator(EREGL));
      return node;
    }
  case blsrL_eReg_eReg_rule: {
      blsrL_eReg_eRegNode *node = new blsrL_eReg_eRegNode();
      node->set_opnd_array(4, MachOperGenerator(EREGL));
      return node;
    }
  case blsrL_eReg_eReg_0_rule: {
      blsrL_eReg_eReg_0Node *node = new blsrL_eReg_eReg_0Node();
      node->set_opnd_array(4, MachOperGenerator(EREGL));
      return node;
    }
  case blsrL_eReg_mem_rule: {
      blsrL_eReg_memNode *node = new blsrL_eReg_memNode();
      node->set_opnd_array(4, MachOperGenerator(EREGL));
      return node;
    }
  case blsrL_eReg_mem_0_rule: {
      blsrL_eReg_mem_0Node *node = new blsrL_eReg_mem_0Node();
      node->set_opnd_array(4, MachOperGenerator(EREGL));
      return node;
    }
  case orl_eReg_rule: {
      orl_eRegNode *node = new orl_eRegNode();
      return node;
    }
  case orl_eReg_imm_rule: {
      orl_eReg_immNode *node = new orl_eReg_immNode();
      return node;
    }
  case orl_eReg_mem_rule: {
      orl_eReg_memNode *node = new orl_eReg_memNode();
      return node;
    }
  case orl_eReg_mem_0_rule: {
      orl_eReg_mem_0Node *node = new orl_eReg_mem_0Node();
      return node;
    }
  case xorl_eReg_rule: {
      xorl_eRegNode *node = new xorl_eRegNode();
      return node;
    }
  case xorl_eReg_im1_rule: {
      xorl_eReg_im1Node *node = new xorl_eReg_im1Node();
      return node;
    }
  case xorl_eReg_imm_rule: {
      xorl_eReg_immNode *node = new xorl_eReg_immNode();
      return node;
    }
  case xorl_eReg_mem_rule: {
      xorl_eReg_memNode *node = new xorl_eReg_memNode();
      return node;
    }
  case xorl_eReg_mem_0_rule: {
      xorl_eReg_mem_0Node *node = new xorl_eReg_mem_0Node();
      return node;
    }
  case shlL_eReg_1_rule: {
      shlL_eReg_1Node *node = new shlL_eReg_1Node();
      return node;
    }
  case shlL_eReg_2_rule: {
      shlL_eReg_2Node *node = new shlL_eReg_2Node();
      return node;
    }
  case shlL_eReg_3_rule: {
      shlL_eReg_3Node *node = new shlL_eReg_3Node();
      return node;
    }
  case shlL_eReg_1_31_rule: {
      shlL_eReg_1_31Node *node = new shlL_eReg_1_31Node();
      return node;
    }
  case shlL_eReg_32_63_rule: {
      shlL_eReg_32_63Node *node = new shlL_eReg_32_63Node();
      return node;
    }
  case salL_eReg_CL_rule: {
      salL_eReg_CLNode *node = new salL_eReg_CLNode();
      return node;
    }
  case shrL_eReg_1_31_rule: {
      shrL_eReg_1_31Node *node = new shrL_eReg_1_31Node();
      return node;
    }
  case shrL_eReg_32_63_rule: {
      shrL_eReg_32_63Node *node = new shrL_eReg_32_63Node();
      return node;
    }
  case shrL_eReg_CL_rule: {
      shrL_eReg_CLNode *node = new shrL_eReg_CLNode();
      return node;
    }
  case sarL_eReg_1_31_rule: {
      sarL_eReg_1_31Node *node = new sarL_eReg_1_31Node();
      return node;
    }
  case sarL_eReg_32_63_rule: {
      sarL_eReg_32_63Node *node = new sarL_eReg_32_63Node();
      return node;
    }
  case sarL_eReg_CL_rule: {
      sarL_eReg_CLNode *node = new sarL_eReg_CLNode();
      return node;
    }
  case cmpDPR_cc_P6_rule: {
      cmpDPR_cc_P6Node *node = new cmpDPR_cc_P6Node();
      return node;
    }
  case cmpDPR_cc_P6CF_rule: {
      cmpDPR_cc_P6CFNode *node = new cmpDPR_cc_P6CFNode();
      return node;
    }
  case cmpDPR_cc_rule: {
      cmpDPR_ccNode *node = new cmpDPR_ccNode();
      return node;
    }
  case cmpDPR_0_rule: {
      cmpDPR_0Node *node = new cmpDPR_0Node();
      return node;
    }
  case cmpDPR_reg_rule: {
      cmpDPR_regNode *node = new cmpDPR_regNode();
      return node;
    }
  case cmpD_cc_rule: {
      cmpD_ccNode *node = new cmpD_ccNode();
      return node;
    }
  case cmpD_ccCF_rule: {
      cmpD_ccCFNode *node = new cmpD_ccCFNode();
      return node;
    }
  case cmpD_ccmem_rule: {
      cmpD_ccmemNode *node = new cmpD_ccmemNode();
      return node;
    }
  case cmpD_ccmemCF_rule: {
      cmpD_ccmemCFNode *node = new cmpD_ccmemCFNode();
      return node;
    }
  case cmpD_reg_rule: {
      cmpD_regNode *node = new cmpD_regNode();
      return node;
    }
  case cmpD_regmem_rule: {
      cmpD_regmemNode *node = new cmpD_regmemNode();
      return node;
    }
  case subDPR_reg_rule: {
      subDPR_regNode *node = new subDPR_regNode();
      return node;
    }
  case subDPR_reg_round_rule: {
      subDPR_reg_roundNode *node = new subDPR_reg_roundNode();
      return node;
    }
  case subDPR_reg_mem_rule: {
      subDPR_reg_memNode *node = new subDPR_reg_memNode();
      return node;
    }
  case absDPR_reg_rule: {
      absDPR_regNode *node = new absDPR_regNode();
      return node;
    }
  case negDPR_reg_rule: {
      negDPR_regNode *node = new negDPR_regNode();
      return node;
    }
  case addDPR_reg_rule: {
      addDPR_regNode *node = new addDPR_regNode();
      return node;
    }
  case addDPR_reg_round_rule: {
      addDPR_reg_roundNode *node = new addDPR_reg_roundNode();
      return node;
    }
  case addDPR_reg_mem_rule: {
      addDPR_reg_memNode *node = new addDPR_reg_memNode();
      return node;
    }
  case addDPR_reg_mem_0_rule: {
      addDPR_reg_mem_0Node *node = new addDPR_reg_mem_0Node();
      return node;
    }
  case addDPR_mem_reg_rule: {
      addDPR_mem_regNode *node = new addDPR_mem_regNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case addDPR_mem_reg_0_rule: {
      addDPR_mem_reg_0Node *node = new addDPR_mem_reg_0Node();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case addDPR_reg_imm1_rule: {
      addDPR_reg_imm1Node *node = new addDPR_reg_imm1Node();
      return node;
    }
  case addDPR_reg_imm_rule: {
      addDPR_reg_immNode *node = new addDPR_reg_immNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case addDPR_reg_imm_round_rule: {
      addDPR_reg_imm_roundNode *node = new addDPR_reg_imm_roundNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case mulDPR_reg_rule: {
      mulDPR_regNode *node = new mulDPR_regNode();
      return node;
    }
  case strictfp_mulDPR_reg_rule: {
      strictfp_mulDPR_regNode *node = new strictfp_mulDPR_regNode();
      return node;
    }
  case mulDPR_reg_imm_rule: {
      mulDPR_reg_immNode *node = new mulDPR_reg_immNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case mulDPR_reg_mem_rule: {
      mulDPR_reg_memNode *node = new mulDPR_reg_memNode();
      return node;
    }
  case mulDPR_reg_mem_0_rule: {
      mulDPR_reg_mem_0Node *node = new mulDPR_reg_mem_0Node();
      return node;
    }
  case mulDPR_reg_mem_cisc_rule: {
      mulDPR_reg_mem_ciscNode *node = new mulDPR_reg_mem_ciscNode();
      return node;
    }
  case mulDPR_reg_mem_cisc_0_rule: {
      mulDPR_reg_mem_cisc_0Node *node = new mulDPR_reg_mem_cisc_0Node();
      return node;
    }
  case addDPR_mulDPR_reg_rule: {
      addDPR_mulDPR_regNode *node = new addDPR_mulDPR_regNode();
      return node;
    }
  case addDPR_mulDPR_reg_0_rule: {
      addDPR_mulDPR_reg_0Node *node = new addDPR_mulDPR_reg_0Node();
      return node;
    }
  case subDPR_mulDPR_reg_rule: {
      subDPR_mulDPR_regNode *node = new subDPR_mulDPR_regNode();
      return node;
    }
  case divDPR_reg_rule: {
      divDPR_regNode *node = new divDPR_regNode();
      return node;
    }
  case strictfp_divDPR_reg_rule: {
      strictfp_divDPR_regNode *node = new strictfp_divDPR_regNode();
      return node;
    }
  case modDPR_reg_rule: {
      modDPR_regNode *node = new modDPR_regNode();
      return node;
    }
  case modD_reg_rule: {
      modD_regNode *node = new modD_regNode();
      return node;
    }
  case atanDPR_reg_rule: {
      atanDPR_regNode *node = new atanDPR_regNode();
      return node;
    }
  case atanD_reg_rule: {
      atanD_regNode *node = new atanD_regNode();
      return node;
    }
  case sqrtDPR_reg_rule: {
      sqrtDPR_regNode *node = new sqrtDPR_regNode();
      return node;
    }
  case cmpFPR_cc_P6_rule: {
      cmpFPR_cc_P6Node *node = new cmpFPR_cc_P6Node();
      return node;
    }
  case cmpFPR_cc_P6CF_rule: {
      cmpFPR_cc_P6CFNode *node = new cmpFPR_cc_P6CFNode();
      return node;
    }
  case cmpFPR_cc_rule: {
      cmpFPR_ccNode *node = new cmpFPR_ccNode();
      return node;
    }
  case cmpFPR_0_rule: {
      cmpFPR_0Node *node = new cmpFPR_0Node();
      return node;
    }
  case cmpFPR_reg_rule: {
      cmpFPR_regNode *node = new cmpFPR_regNode();
      return node;
    }
  case cmpF_cc_rule: {
      cmpF_ccNode *node = new cmpF_ccNode();
      return node;
    }
  case cmpF_ccCF_rule: {
      cmpF_ccCFNode *node = new cmpF_ccCFNode();
      return node;
    }
  case cmpF_ccmem_rule: {
      cmpF_ccmemNode *node = new cmpF_ccmemNode();
      return node;
    }
  case cmpF_ccmemCF_rule: {
      cmpF_ccmemCFNode *node = new cmpF_ccmemCFNode();
      return node;
    }
  case cmpF_reg_rule: {
      cmpF_regNode *node = new cmpF_regNode();
      return node;
    }
  case cmpF_regmem_rule: {
      cmpF_regmemNode *node = new cmpF_regmemNode();
      return node;
    }
  case subFPR24_reg_rule: {
      subFPR24_regNode *node = new subFPR24_regNode();
      return node;
    }
  case subFPR_reg_rule: {
      subFPR_regNode *node = new subFPR_regNode();
      return node;
    }
  case addFPR24_reg_rule: {
      addFPR24_regNode *node = new addFPR24_regNode();
      return node;
    }
  case addFPR_reg_rule: {
      addFPR_regNode *node = new addFPR_regNode();
      return node;
    }
  case absFPR_reg_rule: {
      absFPR_regNode *node = new absFPR_regNode();
      return node;
    }
  case negFPR_reg_rule: {
      negFPR_regNode *node = new negFPR_regNode();
      return node;
    }
  case addFPR24_reg_mem_rule: {
      addFPR24_reg_memNode *node = new addFPR24_reg_memNode();
      return node;
    }
  case addFPR24_reg_mem_0_rule: {
      addFPR24_reg_mem_0Node *node = new addFPR24_reg_mem_0Node();
      return node;
    }
  case addFPR_reg_mem_rule: {
      addFPR_reg_memNode *node = new addFPR_reg_memNode();
      return node;
    }
  case addFPR_reg_mem_0_rule: {
      addFPR_reg_mem_0Node *node = new addFPR_reg_mem_0Node();
      return node;
    }
  case addFPR24_mem_reg_rule: {
      addFPR24_mem_regNode *node = new addFPR24_mem_regNode();
      return node;
    }
  case addFPR24_mem_cisc_rule: {
      addFPR24_mem_ciscNode *node = new addFPR24_mem_ciscNode();
      return node;
    }
  case addFPR24_mem_cisc_0_rule: {
      addFPR24_mem_cisc_0Node *node = new addFPR24_mem_cisc_0Node();
      return node;
    }
  case addFPR24_mem_mem_rule: {
      addFPR24_mem_memNode *node = new addFPR24_mem_memNode();
      return node;
    }
  case addFPR24_reg_imm_rule: {
      addFPR24_reg_immNode *node = new addFPR24_reg_immNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case addFPR_reg_imm_rule: {
      addFPR_reg_immNode *node = new addFPR_reg_immNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case mulFPR24_reg_rule: {
      mulFPR24_regNode *node = new mulFPR24_regNode();
      return node;
    }
  case mulFPR_reg_rule: {
      mulFPR_regNode *node = new mulFPR_regNode();
      return node;
    }
  case mulFPR24_reg_mem_rule: {
      mulFPR24_reg_memNode *node = new mulFPR24_reg_memNode();
      return node;
    }
  case mulFPR24_reg_mem_0_rule: {
      mulFPR24_reg_mem_0Node *node = new mulFPR24_reg_mem_0Node();
      return node;
    }
  case mulFPR_reg_mem_rule: {
      mulFPR_reg_memNode *node = new mulFPR_reg_memNode();
      return node;
    }
  case mulFPR_reg_mem_0_rule: {
      mulFPR_reg_mem_0Node *node = new mulFPR_reg_mem_0Node();
      return node;
    }
  case mulFPR24_mem_mem_rule: {
      mulFPR24_mem_memNode *node = new mulFPR24_mem_memNode();
      return node;
    }
  case mulFPR24_reg_imm_rule: {
      mulFPR24_reg_immNode *node = new mulFPR24_reg_immNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case mulFPR_reg_imm_rule: {
      mulFPR_reg_immNode *node = new mulFPR_reg_immNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case mulFPR_reg_load1_rule: {
      mulFPR_reg_load1Node *node = new mulFPR_reg_load1Node();
      return node;
    }
  case mulFPR_reg_load1_0_rule: {
      mulFPR_reg_load1_0Node *node = new mulFPR_reg_load1_0Node();
      return node;
    }
  case addFPR_mulFPR_reg_load1_rule: {
      addFPR_mulFPR_reg_load1Node *node = new addFPR_mulFPR_reg_load1Node();
      return node;
    }
  case addFPR_mulFPR_reg_load1_1_rule: {
      addFPR_mulFPR_reg_load1_1Node *node = new addFPR_mulFPR_reg_load1_1Node();
      return node;
    }
  case addFPR_mulFPR_reg_load1_0_rule: {
      addFPR_mulFPR_reg_load1_0Node *node = new addFPR_mulFPR_reg_load1_0Node();
      return node;
    }
  case addFPR_mulFPR_reg_load1_2_rule: {
      addFPR_mulFPR_reg_load1_2Node *node = new addFPR_mulFPR_reg_load1_2Node();
      return node;
    }
  case addFPR_mulFPR_reg_rule: {
      addFPR_mulFPR_regNode *node = new addFPR_mulFPR_regNode();
      return node;
    }
  case addFPR_mulFPR_reg_0_rule: {
      addFPR_mulFPR_reg_0Node *node = new addFPR_mulFPR_reg_0Node();
      return node;
    }
  case subFPR_divFPR_reg_rule: {
      subFPR_divFPR_regNode *node = new subFPR_divFPR_regNode();
      return node;
    }
  case divFPR24_reg_rule: {
      divFPR24_regNode *node = new divFPR24_regNode();
      return node;
    }
  case divFPR_reg_rule: {
      divFPR_regNode *node = new divFPR_regNode();
      return node;
    }
  case modFPR24_reg_rule: {
      modFPR24_regNode *node = new modFPR24_regNode();
      return node;
    }
  case modFPR_reg_rule: {
      modFPR_regNode *node = new modFPR_regNode();
      return node;
    }
  case modF_reg_rule: {
      modF_regNode *node = new modF_regNode();
      return node;
    }
  case roundFloat_mem_reg_rule: {
      roundFloat_mem_regNode *node = new roundFloat_mem_regNode();
      return node;
    }
  case roundDouble_mem_reg_rule: {
      roundDouble_mem_regNode *node = new roundDouble_mem_regNode();
      return node;
    }
  case convDPR2FPR_reg_rule: {
      convDPR2FPR_regNode *node = new convDPR2FPR_regNode();
      return node;
    }
  case convDPR2F_reg_rule: {
      convDPR2F_regNode *node = new convDPR2F_regNode();
      return node;
    }
  case convD2F_reg_rule: {
      convD2F_regNode *node = new convD2F_regNode();
      return node;
    }
  case convFPR2DPR_reg_reg_rule: {
      convFPR2DPR_reg_regNode *node = new convFPR2DPR_reg_regNode();
      return node;
    }
  case convFPR2D_reg_rule: {
      convFPR2D_regNode *node = new convFPR2D_regNode();
      return node;
    }
  case convF2DPR_reg_rule: {
      convF2DPR_regNode *node = new convF2DPR_regNode();
      return node;
    }
  case convF2D_reg_rule: {
      convF2D_regNode *node = new convF2D_regNode();
      return node;
    }
  case convDPR2I_reg_reg_rule: {
      convDPR2I_reg_regNode *node = new convDPR2I_reg_regNode();
      return node;
    }
  case convD2I_reg_reg_rule: {
      convD2I_reg_regNode *node = new convD2I_reg_regNode();
      return node;
    }
  case convDPR2L_reg_reg_rule: {
      convDPR2L_reg_regNode *node = new convDPR2L_reg_regNode();
      return node;
    }
  case convD2L_reg_reg_rule: {
      convD2L_reg_regNode *node = new convD2L_reg_regNode();
      return node;
    }
  case convFPR2I_reg_reg_rule: {
      convFPR2I_reg_regNode *node = new convFPR2I_reg_regNode();
      return node;
    }
  case convF2I_reg_rule: {
      convF2I_regNode *node = new convF2I_regNode();
      return node;
    }
  case convFPR2L_reg_reg_rule: {
      convFPR2L_reg_regNode *node = new convFPR2L_reg_regNode();
      return node;
    }
  case convF2L_reg_reg_rule: {
      convF2L_reg_regNode *node = new convF2L_reg_regNode();
      return node;
    }
  case convI2DPR_reg_rule: {
      convI2DPR_regNode *node = new convI2DPR_regNode();
      return node;
    }
  case convI2D_reg_rule: {
      convI2D_regNode *node = new convI2D_regNode();
      return node;
    }
  case convI2D_mem_rule: {
      convI2D_memNode *node = new convI2D_memNode();
      return node;
    }
  case convXI2D_reg_rule: {
      convXI2D_regNode *node = new convXI2D_regNode();
      return node;
    }
  case convI2DPR_mem_rule: {
      convI2DPR_memNode *node = new convI2DPR_memNode();
      return node;
    }
  case conv24I2FPR_reg_rule: {
      conv24I2FPR_regNode *node = new conv24I2FPR_regNode();
      return node;
    }
  case convI2FPR_SSF_rule: {
      convI2FPR_SSFNode *node = new convI2FPR_SSFNode();
      return node;
    }
  case convI2FPR_SSF_mem_rule: {
      convI2FPR_SSF_memNode *node = new convI2FPR_SSF_memNode();
      return node;
    }
  case convI2FPR_reg_rule: {
      convI2FPR_regNode *node = new convI2FPR_regNode();
      return node;
    }
  case convI2FPR_mem_rule: {
      convI2FPR_memNode *node = new convI2FPR_memNode();
      return node;
    }
  case convI2F_reg_rule: {
      convI2F_regNode *node = new convI2F_regNode();
      return node;
    }
  case convXI2F_reg_rule: {
      convXI2F_regNode *node = new convXI2F_regNode();
      return node;
    }
  case convI2L_reg_rule: {
      convI2L_regNode *node = new convI2L_regNode();
      return node;
    }
  case convI2L_reg_zex_rule: {
      convI2L_reg_zexNode *node = new convI2L_reg_zexNode();
      return node;
    }
  case zerox_long_rule: {
      zerox_longNode *node = new zerox_longNode();
      return node;
    }
  case convL2DPR_reg_rule: {
      convL2DPR_regNode *node = new convL2DPR_regNode();
      return node;
    }
  case convL2D_reg_rule: {
      convL2D_regNode *node = new convL2D_regNode();
      return node;
    }
  case convL2F_reg_rule: {
      convL2F_regNode *node = new convL2F_regNode();
      return node;
    }
  case convL2FPR_reg_rule: {
      convL2FPR_regNode *node = new convL2FPR_regNode();
      return node;
    }
  case convL2I_reg_rule: {
      convL2I_regNode *node = new convL2I_regNode();
      return node;
    }
  case MoveF2I_stack_reg_rule: {
      MoveF2I_stack_regNode *node = new MoveF2I_stack_regNode();
      return node;
    }
  case MoveFPR2I_reg_stack_rule: {
      MoveFPR2I_reg_stackNode *node = new MoveFPR2I_reg_stackNode();
      return node;
    }
  case MoveF2I_reg_stack_sse_rule: {
      MoveF2I_reg_stack_sseNode *node = new MoveF2I_reg_stack_sseNode();
      return node;
    }
  case MoveF2I_reg_reg_sse_rule: {
      MoveF2I_reg_reg_sseNode *node = new MoveF2I_reg_reg_sseNode();
      return node;
    }
  case MoveI2F_reg_stack_rule: {
      MoveI2F_reg_stackNode *node = new MoveI2F_reg_stackNode();
      return node;
    }
  case MoveI2FPR_stack_reg_rule: {
      MoveI2FPR_stack_regNode *node = new MoveI2FPR_stack_regNode();
      return node;
    }
  case MoveI2F_stack_reg_sse_rule: {
      MoveI2F_stack_reg_sseNode *node = new MoveI2F_stack_reg_sseNode();
      return node;
    }
  case MoveI2F_reg_reg_sse_rule: {
      MoveI2F_reg_reg_sseNode *node = new MoveI2F_reg_reg_sseNode();
      return node;
    }
  case MoveD2L_stack_reg_rule: {
      MoveD2L_stack_regNode *node = new MoveD2L_stack_regNode();
      return node;
    }
  case MoveDPR2L_reg_stack_rule: {
      MoveDPR2L_reg_stackNode *node = new MoveDPR2L_reg_stackNode();
      return node;
    }
  case MoveD2L_reg_stack_sse_rule: {
      MoveD2L_reg_stack_sseNode *node = new MoveD2L_reg_stack_sseNode();
      return node;
    }
  case MoveD2L_reg_reg_sse_rule: {
      MoveD2L_reg_reg_sseNode *node = new MoveD2L_reg_reg_sseNode();
      node->set_opnd_array(2, MachOperGenerator(REGD));
      return node;
    }
  case MoveL2D_reg_stack_rule: {
      MoveL2D_reg_stackNode *node = new MoveL2D_reg_stackNode();
      return node;
    }
  case MoveL2DPR_stack_reg_rule: {
      MoveL2DPR_stack_regNode *node = new MoveL2DPR_stack_regNode();
      return node;
    }
  case MoveL2D_stack_reg_sse_rule: {
      MoveL2D_stack_reg_sseNode *node = new MoveL2D_stack_reg_sseNode();
      return node;
    }
  case MoveL2D_stack_reg_sse_partial_rule: {
      MoveL2D_stack_reg_sse_partialNode *node = new MoveL2D_stack_reg_sse_partialNode();
      return node;
    }
  case MoveL2D_reg_reg_sse_rule: {
      MoveL2D_reg_reg_sseNode *node = new MoveL2D_reg_reg_sseNode();
      node->set_opnd_array(2, MachOperGenerator(REGD));
      node->set_opnd_array(3, MachOperGenerator(REGD));
      return node;
    }
  case compressBitsL_reg_rule: {
      compressBitsL_regNode *node = new compressBitsL_regNode();
      node->set_opnd_array(3, MachOperGenerator(ESIREGI));
      node->set_opnd_array(4, MachOperGenerator(REGF));
      return node;
    }
  case expandBitsL_reg_rule: {
      expandBitsL_regNode *node = new expandBitsL_regNode();
      node->set_opnd_array(3, MachOperGenerator(ESIREGI));
      node->set_opnd_array(4, MachOperGenerator(REGF));
      return node;
    }
  case rep_stos_rule: {
      rep_stosNode *node = new rep_stosNode();
      node->set_opnd_array(3, MachOperGenerator(REGD));
      return node;
    }
  case rep_stos_evex_rule: {
      rep_stos_evexNode *node = new rep_stos_evexNode();
      node->set_opnd_array(3, MachOperGenerator(LEGREGD));
      node->set_opnd_array(4, MachOperGenerator(KREG));
      return node;
    }
  case rep_stos_large_rule: {
      rep_stos_largeNode *node = new rep_stos_largeNode();
      node->set_opnd_array(3, MachOperGenerator(REGD));
      return node;
    }
  case rep_stos_large_evex_rule: {
      rep_stos_large_evexNode *node = new rep_stos_large_evexNode();
      node->set_opnd_array(3, MachOperGenerator(LEGREGD));
      node->set_opnd_array(4, MachOperGenerator(KREG));
      return node;
    }
  case rep_stos_im_rule: {
      rep_stos_imNode *node = new rep_stos_imNode();
      node->set_opnd_array(3, MachOperGenerator(KREG));
      node->set_opnd_array(4, MachOperGenerator(REGD));
      node->set_opnd_array(5, MachOperGenerator(RREGI));
      return node;
    }
  case string_compareL_rule: {
      string_compareLNode *node = new string_compareLNode();
      node->set_opnd_array(5, MachOperGenerator(REGD));
      return node;
    }
  case string_compareL_evex_rule: {
      string_compareL_evexNode *node = new string_compareL_evexNode();
      node->set_opnd_array(5, MachOperGenerator(REGD));
      node->set_opnd_array(6, MachOperGenerator(KREG));
      return node;
    }
  case string_compareU_rule: {
      string_compareUNode *node = new string_compareUNode();
      node->set_opnd_array(5, MachOperGenerator(REGD));
      return node;
    }
  case string_compareU_evex_rule: {
      string_compareU_evexNode *node = new string_compareU_evexNode();
      node->set_opnd_array(5, MachOperGenerator(REGD));
      node->set_opnd_array(6, MachOperGenerator(KREG));
      return node;
    }
  case string_compareLU_rule: {
      string_compareLUNode *node = new string_compareLUNode();
      node->set_opnd_array(5, MachOperGenerator(REGD));
      return node;
    }
  case string_compareLU_evex_rule: {
      string_compareLU_evexNode *node = new string_compareLU_evexNode();
      node->set_opnd_array(5, MachOperGenerator(REGD));
      node->set_opnd_array(6, MachOperGenerator(KREG));
      return node;
    }
  case string_compareUL_rule: {
      string_compareULNode *node = new string_compareULNode();
      node->set_opnd_array(5, MachOperGenerator(REGD));
      return node;
    }
  case string_compareUL_evex_rule: {
      string_compareUL_evexNode *node = new string_compareUL_evexNode();
      node->set_opnd_array(5, MachOperGenerator(REGD));
      node->set_opnd_array(6, MachOperGenerator(KREG));
      return node;
    }
  case string_equals_rule: {
      string_equalsNode *node = new string_equalsNode();
      node->set_opnd_array(4, MachOperGenerator(REGD));
      node->set_opnd_array(5, MachOperGenerator(REGD));
      return node;
    }
  case string_equals_evex_rule: {
      string_equals_evexNode *node = new string_equals_evexNode();
      node->set_opnd_array(4, MachOperGenerator(REGD));
      node->set_opnd_array(5, MachOperGenerator(REGD));
      node->set_opnd_array(6, MachOperGenerator(KREG));
      return node;
    }
  case string_indexof_conL_rule: {
      string_indexof_conLNode *node = new string_indexof_conLNode();
      node->set_opnd_array(5, MachOperGenerator(REGD));
      return node;
    }
  case string_indexof_conU_rule: {
      string_indexof_conUNode *node = new string_indexof_conUNode();
      node->set_opnd_array(5, MachOperGenerator(REGD));
      return node;
    }
  case string_indexof_conUL_rule: {
      string_indexof_conULNode *node = new string_indexof_conULNode();
      node->set_opnd_array(5, MachOperGenerator(REGD));
      return node;
    }
  case string_indexofL_rule: {
      string_indexofLNode *node = new string_indexofLNode();
      node->set_opnd_array(5, MachOperGenerator(REGD));
      return node;
    }
  case string_indexofU_rule: {
      string_indexofUNode *node = new string_indexofUNode();
      node->set_opnd_array(5, MachOperGenerator(REGD));
      return node;
    }
  case string_indexofUL_rule: {
      string_indexofULNode *node = new string_indexofULNode();
      node->set_opnd_array(5, MachOperGenerator(REGD));
      return node;
    }
  case string_indexof_char_rule: {
      string_indexof_charNode *node = new string_indexof_charNode();
      node->set_opnd_array(4, MachOperGenerator(REGD));
      node->set_opnd_array(5, MachOperGenerator(REGD));
      node->set_opnd_array(6, MachOperGenerator(REGD));
      node->set_opnd_array(7, MachOperGenerator(ECXREGI));
      return node;
    }
  case stringL_indexof_char_rule: {
      stringL_indexof_charNode *node = new stringL_indexof_charNode();
      node->set_opnd_array(4, MachOperGenerator(REGD));
      node->set_opnd_array(5, MachOperGenerator(REGD));
      node->set_opnd_array(6, MachOperGenerator(REGD));
      node->set_opnd_array(7, MachOperGenerator(ECXREGI));
      return node;
    }
  case array_equalsB_rule: {
      array_equalsBNode *node = new array_equalsBNode();
      node->set_opnd_array(3, MachOperGenerator(REGD));
      node->set_opnd_array(4, MachOperGenerator(REGD));
      return node;
    }
  case array_equalsB_evex_rule: {
      array_equalsB_evexNode *node = new array_equalsB_evexNode();
      node->set_opnd_array(3, MachOperGenerator(REGD));
      node->set_opnd_array(4, MachOperGenerator(REGD));
      node->set_opnd_array(5, MachOperGenerator(KREG));
      return node;
    }
  case array_equalsC_rule: {
      array_equalsCNode *node = new array_equalsCNode();
      node->set_opnd_array(3, MachOperGenerator(REGD));
      node->set_opnd_array(4, MachOperGenerator(REGD));
      return node;
    }
  case array_equalsC_evex_rule: {
      array_equalsC_evexNode *node = new array_equalsC_evexNode();
      node->set_opnd_array(3, MachOperGenerator(REGD));
      node->set_opnd_array(4, MachOperGenerator(REGD));
      node->set_opnd_array(5, MachOperGenerator(KREG));
      return node;
    }
  case count_positives_rule: {
      count_positivesNode *node = new count_positivesNode();
      node->set_opnd_array(3, MachOperGenerator(REGD));
      node->set_opnd_array(4, MachOperGenerator(REGD));
      return node;
    }
  case count_positives_evex_rule: {
      count_positives_evexNode *node = new count_positives_evexNode();
      node->set_opnd_array(3, MachOperGenerator(REGD));
      node->set_opnd_array(4, MachOperGenerator(REGD));
      node->set_opnd_array(5, MachOperGenerator(KREG));
      node->set_opnd_array(6, MachOperGenerator(KREG));
      return node;
    }
  case string_compress_rule: {
      string_compressNode *node = new string_compressNode();
      node->set_opnd_array(4, MachOperGenerator(REGD));
      node->set_opnd_array(5, MachOperGenerator(REGD));
      node->set_opnd_array(6, MachOperGenerator(REGD));
      node->set_opnd_array(7, MachOperGenerator(REGD));
      return node;
    }
  case string_compress_evex_rule: {
      string_compress_evexNode *node = new string_compress_evexNode();
      node->set_opnd_array(4, MachOperGenerator(REGD));
      node->set_opnd_array(5, MachOperGenerator(REGD));
      node->set_opnd_array(6, MachOperGenerator(REGD));
      node->set_opnd_array(7, MachOperGenerator(REGD));
      node->set_opnd_array(8, MachOperGenerator(KREG));
      node->set_opnd_array(9, MachOperGenerator(KREG));
      return node;
    }
  case string_inflate_rule: {
      string_inflateNode *node = new string_inflateNode();
      node->set_opnd_array(4, MachOperGenerator(REGD));
      node->set_opnd_array(5, MachOperGenerator(ECXREGI));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case string_inflate_evex_rule: {
      string_inflate_evexNode *node = new string_inflate_evexNode();
      node->set_opnd_array(4, MachOperGenerator(REGD));
      node->set_opnd_array(5, MachOperGenerator(KREG));
      node->set_opnd_array(6, MachOperGenerator(ECXREGI));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case encode_iso_array_rule: {
      encode_iso_arrayNode *node = new encode_iso_arrayNode();
      node->set_opnd_array(4, MachOperGenerator(REGD));
      node->set_opnd_array(5, MachOperGenerator(REGD));
      node->set_opnd_array(6, MachOperGenerator(REGD));
      node->set_opnd_array(7, MachOperGenerator(REGD));
      return node;
    }
  case encode_ascii_array_rule: {
      encode_ascii_arrayNode *node = new encode_ascii_arrayNode();
      node->set_opnd_array(4, MachOperGenerator(REGD));
      node->set_opnd_array(5, MachOperGenerator(REGD));
      node->set_opnd_array(6, MachOperGenerator(REGD));
      node->set_opnd_array(7, MachOperGenerator(REGD));
      return node;
    }
  case compI_eReg_rule: {
      compI_eRegNode *node = new compI_eRegNode();
      return node;
    }
  case compI_eReg_imm_rule: {
      compI_eReg_immNode *node = new compI_eReg_immNode();
      return node;
    }
  case compI_eReg_mem_rule: {
      compI_eReg_memNode *node = new compI_eReg_memNode();
      return node;
    }
  case testI_reg_rule: {
      testI_regNode *node = new testI_regNode();
      return node;
    }
  case testI_reg_imm_rule: {
      testI_reg_immNode *node = new testI_reg_immNode();
      return node;
    }
  case testI_reg_mem_rule: {
      testI_reg_memNode *node = new testI_reg_memNode();
      return node;
    }
  case compU_eReg_rule: {
      compU_eRegNode *node = new compU_eRegNode();
      return node;
    }
  case compU_eReg_imm_rule: {
      compU_eReg_immNode *node = new compU_eReg_immNode();
      return node;
    }
  case compU_eReg_mem_rule: {
      compU_eReg_memNode *node = new compU_eReg_memNode();
      return node;
    }
  case testU_reg_rule: {
      testU_regNode *node = new testU_regNode();
      return node;
    }
  case compP_eReg_rule: {
      compP_eRegNode *node = new compP_eRegNode();
      return node;
    }
  case compP_eReg_imm_rule: {
      compP_eReg_immNode *node = new compP_eReg_immNode();
      return node;
    }
  case compP_eReg_mem_rule: {
      compP_eReg_memNode *node = new compP_eReg_memNode();
      return node;
    }
  case compP_mem_eReg_rule: {
      compP_mem_eRegNode *node = new compP_mem_eRegNode();
      return node;
    }
  case testP_reg_rule: {
      testP_regNode *node = new testP_regNode();
      return node;
    }
  case testP_Reg_mem_rule: {
      testP_Reg_memNode *node = new testP_Reg_memNode();
      return node;
    }
  case minI_eReg_rule: {
      minI_eRegNode *node = new minI_eRegNode();
      return node;
    }
  case maxI_eReg_rule: {
      maxI_eRegNode *node = new maxI_eRegNode();
      return node;
    }
  case loopLimit_eReg_rule: {
      loopLimit_eRegNode *node = new loopLimit_eRegNode();
      node->set_opnd_array(4, MachOperGenerator(EDXREGI));
      node->set_opnd_array(5, MachOperGenerator(NADXREGI));
      return node;
    }
  case jumpXtnd_rule: {
      jumpXtndNode *node = new jumpXtndNode();
      node->_bottom_type = _leaf->bottom_type();
      node->_probs = _leaf->as_Jump()->_probs;
      return node;
    }
  case jmpDir_rule: {
      jmpDirNode *node = new jmpDirNode();
      node->set_opnd_array(1, MachOperGenerator(LABEL));
      return node;
    }
  case jmpCon_rule: {
      jmpConNode *node = new jmpConNode();
      node->set_opnd_array(3, MachOperGenerator(LABEL));
      node->_prob = _leaf->as_If()->_prob;
      node->_fcnt = _leaf->as_If()->_fcnt;
      return node;
    }
  case jmpLoopEnd_rule: {
      jmpLoopEndNode *node = new jmpLoopEndNode();
      node->set_opnd_array(3, MachOperGenerator(LABEL));
      node->_prob = _leaf->as_If()->_prob;
      node->_fcnt = _leaf->as_If()->_fcnt;
      return node;
    }
  case jmpConU_rule: {
      jmpConUNode *node = new jmpConUNode();
      node->set_opnd_array(3, MachOperGenerator(LABEL));
      node->_prob = _leaf->as_If()->_prob;
      node->_fcnt = _leaf->as_If()->_fcnt;
      return node;
    }
  case jmpConUCF_rule: {
      jmpConUCFNode *node = new jmpConUCFNode();
      node->set_opnd_array(3, MachOperGenerator(LABEL));
      node->_prob = _leaf->as_If()->_prob;
      node->_fcnt = _leaf->as_If()->_fcnt;
      return node;
    }
  case jmpConUCF2_rule: {
      jmpConUCF2Node *node = new jmpConUCF2Node();
      node->set_opnd_array(3, MachOperGenerator(LABEL));
      node->_prob = _leaf->as_If()->_prob;
      node->_fcnt = _leaf->as_If()->_fcnt;
      return node;
    }
  case partialSubtypeCheck_rule: {
      partialSubtypeCheckNode *node = new partialSubtypeCheckNode();
      return node;
    }
  case partialSubtypeCheck_vs_Zero_rule: {
      partialSubtypeCheck_vs_ZeroNode *node = new partialSubtypeCheck_vs_ZeroNode();
      return node;
    }
  case jmpDir_short_rule: {
      jmpDir_shortNode *node = new jmpDir_shortNode();
      node->set_opnd_array(1, MachOperGenerator(LABEL));
      return node;
    }
  case jmpCon_short_rule: {
      jmpCon_shortNode *node = new jmpCon_shortNode();
      node->set_opnd_array(3, MachOperGenerator(LABEL));
      node->_prob = _leaf->as_If()->_prob;
      node->_fcnt = _leaf->as_If()->_fcnt;
      return node;
    }
  case jmpLoopEnd_short_rule: {
      jmpLoopEnd_shortNode *node = new jmpLoopEnd_shortNode();
      node->set_opnd_array(3, MachOperGenerator(LABEL));
      node->_prob = _leaf->as_If()->_prob;
      node->_fcnt = _leaf->as_If()->_fcnt;
      return node;
    }
  case jmpConU_short_rule: {
      jmpConU_shortNode *node = new jmpConU_shortNode();
      node->set_opnd_array(3, MachOperGenerator(LABEL));
      node->_prob = _leaf->as_If()->_prob;
      node->_fcnt = _leaf->as_If()->_fcnt;
      return node;
    }
  case jmpConUCF_short_rule: {
      jmpConUCF_shortNode *node = new jmpConUCF_shortNode();
      node->set_opnd_array(3, MachOperGenerator(LABEL));
      node->_prob = _leaf->as_If()->_prob;
      node->_fcnt = _leaf->as_If()->_fcnt;
      return node;
    }
  case jmpConUCF2_short_rule: {
      jmpConUCF2_shortNode *node = new jmpConUCF2_shortNode();
      node->set_opnd_array(3, MachOperGenerator(LABEL));
      node->_prob = _leaf->as_If()->_prob;
      node->_fcnt = _leaf->as_If()->_fcnt;
      return node;
    }
  case cmpL3_reg_reg_rule: {
      cmpL3_reg_regNode *node = new cmpL3_reg_regNode();
      return node;
    }
  case cmpL_zero_flags_LTGE_rule: {
      cmpL_zero_flags_LTGENode *node = new cmpL_zero_flags_LTGENode();
      return node;
    }
  case cmpL_reg_flags_LTGE_rule: {
      cmpL_reg_flags_LTGENode *node = new cmpL_reg_flags_LTGENode();
      node->set_opnd_array(3, MachOperGenerator(RREGI));
      return node;
    }
  case cmpL_LTGE_rule: {
      cmpL_LTGENode *node = new cmpL_LTGENode();
      node->set_opnd_array(3, MachOperGenerator(LABEL));
      node->_prob = _leaf->as_If()->_prob;
      node->_fcnt = _leaf->as_If()->_fcnt;
      return node;
    }
  case cmpUL_zero_flags_LTGE_rule: {
      cmpUL_zero_flags_LTGENode *node = new cmpUL_zero_flags_LTGENode();
      return node;
    }
  case cmpUL_reg_flags_LTGE_rule: {
      cmpUL_reg_flags_LTGENode *node = new cmpUL_reg_flags_LTGENode();
      node->set_opnd_array(3, MachOperGenerator(RREGI));
      return node;
    }
  case cmpUL_LTGE_rule: {
      cmpUL_LTGENode *node = new cmpUL_LTGENode();
      node->set_opnd_array(3, MachOperGenerator(LABEL));
      node->_prob = _leaf->as_If()->_prob;
      node->_fcnt = _leaf->as_If()->_fcnt;
      return node;
    }
  case cmovLL_reg_LTGE_rule: {
      cmovLL_reg_LTGENode *node = new cmovLL_reg_LTGENode();
      return node;
    }
  case cmovLL_mem_LTGE_rule: {
      cmovLL_mem_LTGENode *node = new cmovLL_mem_LTGENode();
      return node;
    }
  case cmovLL_reg_LTGE_U_rule: {
      cmovLL_reg_LTGE_UNode *node = new cmovLL_reg_LTGE_UNode();
      return node;
    }
  case cmovLL_mem_LTGE_U_rule: {
      cmovLL_mem_LTGE_UNode *node = new cmovLL_mem_LTGE_UNode();
      return node;
    }
  case cmovII_reg_LTGE_rule: {
      cmovII_reg_LTGENode *node = new cmovII_reg_LTGENode();
      return node;
    }
  case cmovII_mem_LTGE_rule: {
      cmovII_mem_LTGENode *node = new cmovII_mem_LTGENode();
      return node;
    }
  case cmovII_reg_LTGE_U_rule: {
      cmovII_reg_LTGE_UNode *node = new cmovII_reg_LTGE_UNode();
      return node;
    }
  case cmovII_mem_LTGE_U_rule: {
      cmovII_mem_LTGE_UNode *node = new cmovII_mem_LTGE_UNode();
      return node;
    }
  case cmovPP_reg_LTGE_rule: {
      cmovPP_reg_LTGENode *node = new cmovPP_reg_LTGENode();
      return node;
    }
  case cmovPP_reg_LTGE_U_rule: {
      cmovPP_reg_LTGE_UNode *node = new cmovPP_reg_LTGE_UNode();
      return node;
    }
  case cmovDDPR_reg_LTGE_rule: {
      cmovDDPR_reg_LTGENode *node = new cmovDDPR_reg_LTGENode();
      return node;
    }
  case cmovDD_reg_LTGE_rule: {
      cmovDD_reg_LTGENode *node = new cmovDD_reg_LTGENode();
      return node;
    }
  case cmovFFPR_reg_LTGE_rule: {
      cmovFFPR_reg_LTGENode *node = new cmovFFPR_reg_LTGENode();
      return node;
    }
  case cmovFF_reg_LTGE_rule: {
      cmovFF_reg_LTGENode *node = new cmovFF_reg_LTGENode();
      return node;
    }
  case cmpL_zero_flags_EQNE_rule: {
      cmpL_zero_flags_EQNENode *node = new cmpL_zero_flags_EQNENode();
      node->set_opnd_array(3, MachOperGenerator(RREGI));
      return node;
    }
  case cmpL_reg_flags_EQNE_rule: {
      cmpL_reg_flags_EQNENode *node = new cmpL_reg_flags_EQNENode();
      return node;
    }
  case cmpL_EQNE_rule: {
      cmpL_EQNENode *node = new cmpL_EQNENode();
      node->set_opnd_array(3, MachOperGenerator(LABEL));
      node->_prob = _leaf->as_If()->_prob;
      node->_fcnt = _leaf->as_If()->_fcnt;
      return node;
    }
  case cmpUL_zero_flags_EQNE_rule: {
      cmpUL_zero_flags_EQNENode *node = new cmpUL_zero_flags_EQNENode();
      node->set_opnd_array(3, MachOperGenerator(RREGI));
      return node;
    }
  case cmpUL_reg_flags_EQNE_rule: {
      cmpUL_reg_flags_EQNENode *node = new cmpUL_reg_flags_EQNENode();
      return node;
    }
  case cmpUL_EQNE_rule: {
      cmpUL_EQNENode *node = new cmpUL_EQNENode();
      node->set_opnd_array(3, MachOperGenerator(LABEL));
      node->_prob = _leaf->as_If()->_prob;
      node->_fcnt = _leaf->as_If()->_fcnt;
      return node;
    }
  case cmovLL_reg_EQNE_rule: {
      cmovLL_reg_EQNENode *node = new cmovLL_reg_EQNENode();
      return node;
    }
  case cmovLL_mem_EQNE_rule: {
      cmovLL_mem_EQNENode *node = new cmovLL_mem_EQNENode();
      return node;
    }
  case cmovII_reg_EQNE_rule: {
      cmovII_reg_EQNENode *node = new cmovII_reg_EQNENode();
      return node;
    }
  case cmovII_mem_EQNE_rule: {
      cmovII_mem_EQNENode *node = new cmovII_mem_EQNENode();
      return node;
    }
  case cmovII_reg_EQNE_U_rule: {
      cmovII_reg_EQNE_UNode *node = new cmovII_reg_EQNE_UNode();
      return node;
    }
  case cmovII_mem_EQNE_U_rule: {
      cmovII_mem_EQNE_UNode *node = new cmovII_mem_EQNE_UNode();
      return node;
    }
  case cmovPP_reg_EQNE_rule: {
      cmovPP_reg_EQNENode *node = new cmovPP_reg_EQNENode();
      return node;
    }
  case cmovPP_reg_EQNE_U_rule: {
      cmovPP_reg_EQNE_UNode *node = new cmovPP_reg_EQNE_UNode();
      return node;
    }
  case cmovDDPR_reg_EQNE_rule: {
      cmovDDPR_reg_EQNENode *node = new cmovDDPR_reg_EQNENode();
      return node;
    }
  case cmovDD_reg_EQNE_rule: {
      cmovDD_reg_EQNENode *node = new cmovDD_reg_EQNENode();
      return node;
    }
  case cmovFFPR_reg_EQNE_rule: {
      cmovFFPR_reg_EQNENode *node = new cmovFFPR_reg_EQNENode();
      return node;
    }
  case cmovFF_reg_EQNE_rule: {
      cmovFF_reg_EQNENode *node = new cmovFF_reg_EQNENode();
      return node;
    }
  case cmpL_zero_flags_LEGT_rule: {
      cmpL_zero_flags_LEGTNode *node = new cmpL_zero_flags_LEGTNode();
      node->set_opnd_array(3, MachOperGenerator(RREGI));
      return node;
    }
  case cmpL_reg_flags_LEGT_rule: {
      cmpL_reg_flags_LEGTNode *node = new cmpL_reg_flags_LEGTNode();
      node->set_opnd_array(3, MachOperGenerator(RREGI));
      return node;
    }
  case cmpL_LEGT_rule: {
      cmpL_LEGTNode *node = new cmpL_LEGTNode();
      node->set_opnd_array(3, MachOperGenerator(LABEL));
      node->_prob = _leaf->as_If()->_prob;
      node->_fcnt = _leaf->as_If()->_fcnt;
      return node;
    }
  case cmpUL_zero_flags_LEGT_rule: {
      cmpUL_zero_flags_LEGTNode *node = new cmpUL_zero_flags_LEGTNode();
      node->set_opnd_array(3, MachOperGenerator(RREGI));
      return node;
    }
  case cmpUL_reg_flags_LEGT_rule: {
      cmpUL_reg_flags_LEGTNode *node = new cmpUL_reg_flags_LEGTNode();
      node->set_opnd_array(3, MachOperGenerator(RREGI));
      return node;
    }
  case cmpUL_LEGT_rule: {
      cmpUL_LEGTNode *node = new cmpUL_LEGTNode();
      node->set_opnd_array(3, MachOperGenerator(LABEL));
      node->_prob = _leaf->as_If()->_prob;
      node->_fcnt = _leaf->as_If()->_fcnt;
      return node;
    }
  case cmovLL_reg_LEGT_rule: {
      cmovLL_reg_LEGTNode *node = new cmovLL_reg_LEGTNode();
      return node;
    }
  case cmovLL_mem_LEGT_rule: {
      cmovLL_mem_LEGTNode *node = new cmovLL_mem_LEGTNode();
      return node;
    }
  case cmovLL_reg_LEGT_U_rule: {
      cmovLL_reg_LEGT_UNode *node = new cmovLL_reg_LEGT_UNode();
      return node;
    }
  case cmovLL_mem_LEGT_U_rule: {
      cmovLL_mem_LEGT_UNode *node = new cmovLL_mem_LEGT_UNode();
      return node;
    }
  case cmovII_reg_LEGT_rule: {
      cmovII_reg_LEGTNode *node = new cmovII_reg_LEGTNode();
      return node;
    }
  case cmovII_mem_LEGT_rule: {
      cmovII_mem_LEGTNode *node = new cmovII_mem_LEGTNode();
      return node;
    }
  case cmovII_reg_LEGT_U_rule: {
      cmovII_reg_LEGT_UNode *node = new cmovII_reg_LEGT_UNode();
      return node;
    }
  case cmovII_mem_LEGT_U_rule: {
      cmovII_mem_LEGT_UNode *node = new cmovII_mem_LEGT_UNode();
      return node;
    }
  case cmovPP_reg_LEGT_rule: {
      cmovPP_reg_LEGTNode *node = new cmovPP_reg_LEGTNode();
      return node;
    }
  case cmovPP_reg_LEGT_U_rule: {
      cmovPP_reg_LEGT_UNode *node = new cmovPP_reg_LEGT_UNode();
      return node;
    }
  case cmovDDPR_reg_LEGT_rule: {
      cmovDDPR_reg_LEGTNode *node = new cmovDDPR_reg_LEGTNode();
      return node;
    }
  case cmovDD_reg_LEGT_rule: {
      cmovDD_reg_LEGTNode *node = new cmovDD_reg_LEGTNode();
      return node;
    }
  case cmovFFPR_reg_LEGT_rule: {
      cmovFFPR_reg_LEGTNode *node = new cmovFFPR_reg_LEGTNode();
      return node;
    }
  case cmovFF_reg_LEGT_rule: {
      cmovFF_reg_LEGTNode *node = new cmovFF_reg_LEGTNode();
      return node;
    }
  case CallStaticJavaDirect_rule: {
      CallStaticJavaDirectNode *node = new CallStaticJavaDirectNode();
      node->set_opnd_array(1, MachOperGenerator(METHOD));
      return node;
    }
  case CallDynamicJavaDirect_rule: {
      CallDynamicJavaDirectNode *node = new CallDynamicJavaDirectNode();
      node->set_opnd_array(1, MachOperGenerator(METHOD));
      return node;
    }
  case CallRuntimeDirect_rule: {
      CallRuntimeDirectNode *node = new CallRuntimeDirectNode();
      node->set_opnd_array(1, MachOperGenerator(METHOD));
      return node;
    }
  case CallLeafDirect_rule: {
      CallLeafDirectNode *node = new CallLeafDirectNode();
      node->set_opnd_array(1, MachOperGenerator(METHOD));
      return node;
    }
  case CallLeafNoFPDirect_rule: {
      CallLeafNoFPDirectNode *node = new CallLeafNoFPDirectNode();
      node->set_opnd_array(1, MachOperGenerator(METHOD));
      return node;
    }
  case Ret_rule: {
      RetNode *node = new RetNode();
      return node;
    }
  case TailCalljmpInd_rule: {
      TailCalljmpIndNode *node = new TailCalljmpIndNode();
      return node;
    }
  case tailjmpInd_rule: {
      tailjmpIndNode *node = new tailjmpIndNode();
      return node;
    }
  case CreateException_rule: {
      CreateExceptionNode *node = new CreateExceptionNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case RethrowException_rule: {
      RethrowExceptionNode *node = new RethrowExceptionNode();
      return node;
    }
  case cmpFastLockRTM_rule: {
      cmpFastLockRTMNode *node = new cmpFastLockRTMNode();
      node->set_opnd_array(3, MachOperGenerator(EAXREGI));
      node->set_opnd_array(4, MachOperGenerator(EDXREGI));
      node->set_opnd_array(5, MachOperGenerator(RREGI));
      node->set_opnd_array(6, MachOperGenerator(RREGI));
      node->set_opnd_array(7, MachOperGenerator(EREGP));
      node->_rtm_counters = _leaf->as_FastLock()->rtm_counters();
      node->_stack_rtm_counters = _leaf->as_FastLock()->stack_rtm_counters();
      return node;
    }
  case cmpFastLock_rule: {
      cmpFastLockNode *node = new cmpFastLockNode();
      node->set_opnd_array(3, MachOperGenerator(EAXREGI));
      node->set_opnd_array(4, MachOperGenerator(EREGP));
      node->set_opnd_array(5, MachOperGenerator(EREGP));
      node->_rtm_counters = _leaf->as_FastLock()->rtm_counters();
      node->_stack_rtm_counters = _leaf->as_FastLock()->stack_rtm_counters();
      return node;
    }
  case cmpFastUnlock_rule: {
      cmpFastUnlockNode *node = new cmpFastUnlockNode();
      node->set_opnd_array(3, MachOperGenerator(EREGP));
      return node;
    }
  case mask_all_evexL_LT32_rule: {
      mask_all_evexL_LT32Node *node = new mask_all_evexL_LT32Node();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case mask_all_evexL_GT32_rule: {
      mask_all_evexL_GT32Node *node = new mask_all_evexL_GT32Node();
      node->set_opnd_array(2, MachOperGenerator(KREG));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case mask_all_evexI_GT32_rule: {
      mask_all_evexI_GT32Node *node = new mask_all_evexI_GT32Node();
      node->set_opnd_array(2, MachOperGenerator(KREG));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case safePoint_poll_tls_rule: {
      safePoint_poll_tlsNode *node = new safePoint_poll_tlsNode();
      return node;
    }
  case tlsLoadP_rule: {
      tlsLoadPNode *node = new tlsLoadPNode();
      return node;
    }
  case ShouldNotReachHere_rule: {
      ShouldNotReachHereNode *node = new ShouldNotReachHereNode();
      node->_halt_reason = _leaf->as_Halt()->_halt_reason;
      node->_reachable   = _leaf->as_Halt()->_reachable;
      return node;
    }
  case addF_reg_rule: {
      addF_regNode *node = new addF_regNode();
      return node;
    }
  case addF_mem_rule: {
      addF_memNode *node = new addF_memNode();
      return node;
    }
  case addF_mem_0_rule: {
      addF_mem_0Node *node = new addF_mem_0Node();
      return node;
    }
  case addF_imm_rule: {
      addF_immNode *node = new addF_immNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case addF_reg_reg_rule: {
      addF_reg_regNode *node = new addF_reg_regNode();
      return node;
    }
  case addF_reg_mem_rule: {
      addF_reg_memNode *node = new addF_reg_memNode();
      return node;
    }
  case addF_reg_mem_0_rule: {
      addF_reg_mem_0Node *node = new addF_reg_mem_0Node();
      return node;
    }
  case addF_reg_imm_rule: {
      addF_reg_immNode *node = new addF_reg_immNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case addD_reg_rule: {
      addD_regNode *node = new addD_regNode();
      return node;
    }
  case addD_mem_rule: {
      addD_memNode *node = new addD_memNode();
      return node;
    }
  case addD_mem_0_rule: {
      addD_mem_0Node *node = new addD_mem_0Node();
      return node;
    }
  case addD_imm_rule: {
      addD_immNode *node = new addD_immNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case addD_reg_reg_rule: {
      addD_reg_regNode *node = new addD_reg_regNode();
      return node;
    }
  case addD_reg_mem_rule: {
      addD_reg_memNode *node = new addD_reg_memNode();
      return node;
    }
  case addD_reg_mem_0_rule: {
      addD_reg_mem_0Node *node = new addD_reg_mem_0Node();
      return node;
    }
  case addD_reg_imm_rule: {
      addD_reg_immNode *node = new addD_reg_immNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case subF_reg_rule: {
      subF_regNode *node = new subF_regNode();
      return node;
    }
  case subF_mem_rule: {
      subF_memNode *node = new subF_memNode();
      return node;
    }
  case subF_imm_rule: {
      subF_immNode *node = new subF_immNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case subF_reg_reg_rule: {
      subF_reg_regNode *node = new subF_reg_regNode();
      return node;
    }
  case subF_reg_mem_rule: {
      subF_reg_memNode *node = new subF_reg_memNode();
      return node;
    }
  case subF_reg_imm_rule: {
      subF_reg_immNode *node = new subF_reg_immNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case subD_reg_rule: {
      subD_regNode *node = new subD_regNode();
      return node;
    }
  case subD_mem_rule: {
      subD_memNode *node = new subD_memNode();
      return node;
    }
  case subD_imm_rule: {
      subD_immNode *node = new subD_immNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case subD_reg_reg_rule: {
      subD_reg_regNode *node = new subD_reg_regNode();
      return node;
    }
  case subD_reg_mem_rule: {
      subD_reg_memNode *node = new subD_reg_memNode();
      return node;
    }
  case subD_reg_imm_rule: {
      subD_reg_immNode *node = new subD_reg_immNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case mulF_reg_rule: {
      mulF_regNode *node = new mulF_regNode();
      return node;
    }
  case mulF_mem_rule: {
      mulF_memNode *node = new mulF_memNode();
      return node;
    }
  case mulF_mem_0_rule: {
      mulF_mem_0Node *node = new mulF_mem_0Node();
      return node;
    }
  case mulF_imm_rule: {
      mulF_immNode *node = new mulF_immNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case mulF_reg_reg_rule: {
      mulF_reg_regNode *node = new mulF_reg_regNode();
      return node;
    }
  case mulF_reg_mem_rule: {
      mulF_reg_memNode *node = new mulF_reg_memNode();
      return node;
    }
  case mulF_reg_mem_0_rule: {
      mulF_reg_mem_0Node *node = new mulF_reg_mem_0Node();
      return node;
    }
  case mulF_reg_imm_rule: {
      mulF_reg_immNode *node = new mulF_reg_immNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case mulD_reg_rule: {
      mulD_regNode *node = new mulD_regNode();
      return node;
    }
  case mulD_mem_rule: {
      mulD_memNode *node = new mulD_memNode();
      return node;
    }
  case mulD_mem_0_rule: {
      mulD_mem_0Node *node = new mulD_mem_0Node();
      return node;
    }
  case mulD_imm_rule: {
      mulD_immNode *node = new mulD_immNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case mulD_reg_reg_rule: {
      mulD_reg_regNode *node = new mulD_reg_regNode();
      return node;
    }
  case mulD_reg_mem_rule: {
      mulD_reg_memNode *node = new mulD_reg_memNode();
      return node;
    }
  case mulD_reg_mem_0_rule: {
      mulD_reg_mem_0Node *node = new mulD_reg_mem_0Node();
      return node;
    }
  case mulD_reg_imm_rule: {
      mulD_reg_immNode *node = new mulD_reg_immNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case divF_reg_rule: {
      divF_regNode *node = new divF_regNode();
      return node;
    }
  case divF_mem_rule: {
      divF_memNode *node = new divF_memNode();
      return node;
    }
  case divF_imm_rule: {
      divF_immNode *node = new divF_immNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case divF_reg_reg_rule: {
      divF_reg_regNode *node = new divF_reg_regNode();
      return node;
    }
  case divF_reg_mem_rule: {
      divF_reg_memNode *node = new divF_reg_memNode();
      return node;
    }
  case divF_reg_imm_rule: {
      divF_reg_immNode *node = new divF_reg_immNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case divD_reg_rule: {
      divD_regNode *node = new divD_regNode();
      return node;
    }
  case divD_mem_rule: {
      divD_memNode *node = new divD_memNode();
      return node;
    }
  case divD_imm_rule: {
      divD_immNode *node = new divD_immNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case divD_reg_reg_rule: {
      divD_reg_regNode *node = new divD_reg_regNode();
      return node;
    }
  case divD_reg_mem_rule: {
      divD_reg_memNode *node = new divD_reg_memNode();
      return node;
    }
  case divD_reg_imm_rule: {
      divD_reg_immNode *node = new divD_reg_immNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case absF_reg_rule: {
      absF_regNode *node = new absF_regNode();
      return node;
    }
  case absF_reg_reg_rule: {
      absF_reg_regNode *node = new absF_reg_regNode();
      return node;
    }
  case absD_reg_rule: {
      absD_regNode *node = new absD_regNode();
      return node;
    }
  case absD_reg_reg_rule: {
      absD_reg_regNode *node = new absD_reg_regNode();
      return node;
    }
  case negF_reg_rule: {
      negF_regNode *node = new negF_regNode();
      return node;
    }
  case negF_reg_reg_rule: {
      negF_reg_regNode *node = new negF_reg_regNode();
      return node;
    }
  case negD_reg_rule: {
      negD_regNode *node = new negD_regNode();
      return node;
    }
  case negD_reg_reg_rule: {
      negD_reg_regNode *node = new negD_reg_regNode();
      return node;
    }
  case sqrtF_reg_rule: {
      sqrtF_regNode *node = new sqrtF_regNode();
      return node;
    }
  case sqrtD_reg_rule: {
      sqrtD_regNode *node = new sqrtD_regNode();
      return node;
    }
  case convF2HF_reg_reg_rule: {
      convF2HF_reg_regNode *node = new convF2HF_reg_regNode();
      node->set_opnd_array(2, MachOperGenerator(VLREGF));
      return node;
    }
  case convF2HF_mem_reg_rule: {
      convF2HF_mem_regNode *node = new convF2HF_mem_regNode();
      node->set_opnd_array(3, MachOperGenerator(KREG));
      node->set_opnd_array(4, MachOperGenerator(RREGI));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vconvF2HF_rule: {
      vconvF2HFNode *node = new vconvF2HFNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vconvF2HF_mem_reg_rule: {
      vconvF2HF_mem_regNode *node = new vconvF2HF_mem_regNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case convHF2F_reg_reg_rule: {
      convHF2F_reg_regNode *node = new convHF2F_reg_regNode();
      return node;
    }
  case vconvHF2F_reg_mem_rule: {
      vconvHF2F_reg_memNode *node = new vconvHF2F_reg_memNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vconvHF2F_rule: {
      vconvHF2FNode *node = new vconvHF2FNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case reinterpret_mask_rule: {
      reinterpret_maskNode *node = new reinterpret_maskNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case reinterpret_mask_W2B_rule: {
      reinterpret_mask_W2BNode *node = new reinterpret_mask_W2BNode();
      node->set_opnd_array(2, MachOperGenerator(VEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case reinterpret_mask_D2B_rule: {
      reinterpret_mask_D2BNode *node = new reinterpret_mask_D2BNode();
      node->set_opnd_array(2, MachOperGenerator(VEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case reinterpret_mask_Q2B_rule: {
      reinterpret_mask_Q2BNode *node = new reinterpret_mask_Q2BNode();
      node->set_opnd_array(2, MachOperGenerator(VEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case reinterpret_rule: {
      reinterpretNode *node = new reinterpretNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case reinterpret_expand_rule: {
      reinterpret_expandNode *node = new reinterpret_expandNode();
      node->set_opnd_array(2, MachOperGenerator(VEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vreinterpret_expand4_rule: {
      vreinterpret_expand4Node *node = new vreinterpret_expand4Node();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vreinterpret_expand_rule: {
      vreinterpret_expandNode *node = new vreinterpret_expandNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case reinterpret_shrink_rule: {
      reinterpret_shrinkNode *node = new reinterpret_shrinkNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case onspinwait_rule: {
      onspinwaitNode *node = new onspinwaitNode();
      return node;
    }
  case fmaD_reg_rule: {
      fmaD_regNode *node = new fmaD_regNode();
      return node;
    }
  case fmaF_reg_rule: {
      fmaF_regNode *node = new fmaF_regNode();
      return node;
    }
  case MoveVec2Leg_rule: {
      MoveVec2LegNode *node = new MoveVec2LegNode();
      return node;
    }
  case MoveLeg2Vec_rule: {
      MoveLeg2VecNode *node = new MoveLeg2VecNode();
      return node;
    }
  case loadV_rule: {
      loadVNode *node = new loadVNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case storeV_rule: {
      storeVNode *node = new storeVNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case gather_rule: {
      gatherNode *node = new gatherNode();
      node->set_opnd_array(3, MachOperGenerator(LEGVEC));
      node->set_opnd_array(4, MachOperGenerator(RREGP));
      node->set_opnd_array(5, MachOperGenerator(LEGVEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case evgather_rule: {
      evgatherNode *node = new evgatherNode();
      node->set_opnd_array(3, MachOperGenerator(VEC));
      node->set_opnd_array(4, MachOperGenerator(RREGP));
      node->set_opnd_array(5, MachOperGenerator(KREG));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case evgather_masked_rule: {
      evgather_maskedNode *node = new evgather_maskedNode();
      node->set_opnd_array(4, MachOperGenerator(VEC));
      node->set_opnd_array(5, MachOperGenerator(KREG));
      node->set_opnd_array(6, MachOperGenerator(RREGP));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case scatter_rule: {
      scatterNode *node = new scatterNode();
      node->set_opnd_array(4, MachOperGenerator(RREGP));
      node->set_opnd_array(5, MachOperGenerator(KREG));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case scatter_masked_rule: {
      scatter_maskedNode *node = new scatter_maskedNode();
      node->set_opnd_array(5, MachOperGenerator(KREG));
      node->set_opnd_array(6, MachOperGenerator(RREGP));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vReplB_reg_rule: {
      vReplB_regNode *node = new vReplB_regNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case ReplB_mem_rule: {
      ReplB_memNode *node = new ReplB_memNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vReplS_reg_rule: {
      vReplS_regNode *node = new vReplS_regNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case ReplS_mem_rule: {
      ReplS_memNode *node = new ReplS_memNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case ReplI_reg_rule: {
      ReplI_regNode *node = new ReplI_regNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case ReplI_mem_rule: {
      ReplI_memNode *node = new ReplI_memNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case ReplI_imm_rule: {
      ReplI_immNode *node = new ReplI_immNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case ReplI_zero_rule: {
      ReplI_zeroNode *node = new ReplI_zeroNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case ReplI_M1_rule: {
      ReplI_M1Node *node = new ReplI_M1Node();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case ReplL_reg_rule: {
      ReplL_regNode *node = new ReplL_regNode();
      node->set_opnd_array(2, MachOperGenerator(VEC));
      node->set_opnd_array(3, MachOperGenerator(VEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case ReplL_reg_leg_rule: {
      ReplL_reg_legNode *node = new ReplL_reg_legNode();
      node->set_opnd_array(2, MachOperGenerator(LEGVEC));
      node->set_opnd_array(3, MachOperGenerator(LEGVEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case ReplL_mem_rule: {
      ReplL_memNode *node = new ReplL_memNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case ReplL_imm_rule: {
      ReplL_immNode *node = new ReplL_immNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case ReplL_zero_rule: {
      ReplL_zeroNode *node = new ReplL_zeroNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case ReplL_M1_rule: {
      ReplL_M1Node *node = new ReplL_M1Node();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vReplF_reg_rule: {
      vReplF_regNode *node = new vReplF_regNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case ReplF_reg_rule: {
      ReplF_regNode *node = new ReplF_regNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case ReplF_mem_rule: {
      ReplF_memNode *node = new ReplF_memNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case ReplF_imm_rule: {
      ReplF_immNode *node = new ReplF_immNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case ReplF_zero_rule: {
      ReplF_zeroNode *node = new ReplF_zeroNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vReplD_reg_rule: {
      vReplD_regNode *node = new vReplD_regNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case ReplD_reg_rule: {
      ReplD_regNode *node = new ReplD_regNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case ReplD_mem_rule: {
      ReplD_memNode *node = new ReplD_memNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case ReplD_imm_rule: {
      ReplD_immNode *node = new ReplD_immNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case ReplD_zero_rule: {
      ReplD_zeroNode *node = new ReplD_zeroNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case insert_rule: {
      insertNode *node = new insertNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case insert32_rule: {
      insert32Node *node = new insert32Node();
      node->set_opnd_array(4, MachOperGenerator(VEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case insert64_rule: {
      insert64Node *node = new insert64Node();
      node->set_opnd_array(4, MachOperGenerator(LEGVEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case insertF_rule: {
      insertFNode *node = new insertFNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vinsertF_rule: {
      vinsertFNode *node = new vinsertFNode();
      node->set_opnd_array(4, MachOperGenerator(VEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case reductionI_rule: {
      reductionINode *node = new reductionINode();
      node->set_opnd_array(3, MachOperGenerator(LEGVEC));
      node->set_opnd_array(4, MachOperGenerator(LEGVEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case reductionI_0_rule: {
      reductionI_0Node *node = new reductionI_0Node();
      node->set_opnd_array(3, MachOperGenerator(LEGVEC));
      node->set_opnd_array(4, MachOperGenerator(LEGVEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case reductionI_1_rule: {
      reductionI_1Node *node = new reductionI_1Node();
      node->set_opnd_array(3, MachOperGenerator(LEGVEC));
      node->set_opnd_array(4, MachOperGenerator(LEGVEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case reductionI_2_rule: {
      reductionI_2Node *node = new reductionI_2Node();
      node->set_opnd_array(3, MachOperGenerator(LEGVEC));
      node->set_opnd_array(4, MachOperGenerator(LEGVEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case reductionI_3_rule: {
      reductionI_3Node *node = new reductionI_3Node();
      node->set_opnd_array(3, MachOperGenerator(LEGVEC));
      node->set_opnd_array(4, MachOperGenerator(LEGVEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case reductionI_4_rule: {
      reductionI_4Node *node = new reductionI_4Node();
      node->set_opnd_array(3, MachOperGenerator(LEGVEC));
      node->set_opnd_array(4, MachOperGenerator(LEGVEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case reductionI_5_rule: {
      reductionI_5Node *node = new reductionI_5Node();
      node->set_opnd_array(3, MachOperGenerator(LEGVEC));
      node->set_opnd_array(4, MachOperGenerator(LEGVEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case reductionF128_rule: {
      reductionF128Node *node = new reductionF128Node();
      node->set_opnd_array(3, MachOperGenerator(REGF));
      node->set_opnd_array(4, MachOperGenerator(VEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case reductionF128_0_rule: {
      reductionF128_0Node *node = new reductionF128_0Node();
      node->set_opnd_array(3, MachOperGenerator(REGF));
      node->set_opnd_array(4, MachOperGenerator(VEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case reduction8F_rule: {
      reduction8FNode *node = new reduction8FNode();
      node->set_opnd_array(3, MachOperGenerator(REGF));
      node->set_opnd_array(4, MachOperGenerator(VEC));
      node->set_opnd_array(5, MachOperGenerator(VEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case reduction8F_0_rule: {
      reduction8F_0Node *node = new reduction8F_0Node();
      node->set_opnd_array(3, MachOperGenerator(REGF));
      node->set_opnd_array(4, MachOperGenerator(VEC));
      node->set_opnd_array(5, MachOperGenerator(VEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case reduction16F_rule: {
      reduction16FNode *node = new reduction16FNode();
      node->set_opnd_array(3, MachOperGenerator(REGF));
      node->set_opnd_array(4, MachOperGenerator(LEGVEC));
      node->set_opnd_array(5, MachOperGenerator(LEGVEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case reduction16F_0_rule: {
      reduction16F_0Node *node = new reduction16F_0Node();
      node->set_opnd_array(3, MachOperGenerator(REGF));
      node->set_opnd_array(4, MachOperGenerator(LEGVEC));
      node->set_opnd_array(5, MachOperGenerator(LEGVEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case reduction2D_rule: {
      reduction2DNode *node = new reduction2DNode();
      node->set_opnd_array(3, MachOperGenerator(REGD));
      node->set_opnd_array(4, MachOperGenerator(VEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case reduction2D_0_rule: {
      reduction2D_0Node *node = new reduction2D_0Node();
      node->set_opnd_array(3, MachOperGenerator(REGD));
      node->set_opnd_array(4, MachOperGenerator(VEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case reduction4D_rule: {
      reduction4DNode *node = new reduction4DNode();
      node->set_opnd_array(3, MachOperGenerator(REGD));
      node->set_opnd_array(4, MachOperGenerator(VEC));
      node->set_opnd_array(5, MachOperGenerator(VEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case reduction4D_0_rule: {
      reduction4D_0Node *node = new reduction4D_0Node();
      node->set_opnd_array(3, MachOperGenerator(REGD));
      node->set_opnd_array(4, MachOperGenerator(VEC));
      node->set_opnd_array(5, MachOperGenerator(VEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case reduction8D_rule: {
      reduction8DNode *node = new reduction8DNode();
      node->set_opnd_array(3, MachOperGenerator(REGD));
      node->set_opnd_array(4, MachOperGenerator(LEGVEC));
      node->set_opnd_array(5, MachOperGenerator(LEGVEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case reduction8D_0_rule: {
      reduction8D_0Node *node = new reduction8D_0Node();
      node->set_opnd_array(3, MachOperGenerator(REGD));
      node->set_opnd_array(4, MachOperGenerator(LEGVEC));
      node->set_opnd_array(5, MachOperGenerator(LEGVEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case reductionS_rule: {
      reductionSNode *node = new reductionSNode();
      node->set_opnd_array(3, MachOperGenerator(LEGVEC));
      node->set_opnd_array(4, MachOperGenerator(LEGVEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case reductionS_0_rule: {
      reductionS_0Node *node = new reductionS_0Node();
      node->set_opnd_array(3, MachOperGenerator(LEGVEC));
      node->set_opnd_array(4, MachOperGenerator(LEGVEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case reductionS_1_rule: {
      reductionS_1Node *node = new reductionS_1Node();
      node->set_opnd_array(3, MachOperGenerator(LEGVEC));
      node->set_opnd_array(4, MachOperGenerator(LEGVEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case reductionS_2_rule: {
      reductionS_2Node *node = new reductionS_2Node();
      node->set_opnd_array(3, MachOperGenerator(LEGVEC));
      node->set_opnd_array(4, MachOperGenerator(LEGVEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case reductionS_3_rule: {
      reductionS_3Node *node = new reductionS_3Node();
      node->set_opnd_array(3, MachOperGenerator(LEGVEC));
      node->set_opnd_array(4, MachOperGenerator(LEGVEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case reductionS_4_rule: {
      reductionS_4Node *node = new reductionS_4Node();
      node->set_opnd_array(3, MachOperGenerator(LEGVEC));
      node->set_opnd_array(4, MachOperGenerator(LEGVEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case reductionS_5_rule: {
      reductionS_5Node *node = new reductionS_5Node();
      node->set_opnd_array(3, MachOperGenerator(LEGVEC));
      node->set_opnd_array(4, MachOperGenerator(LEGVEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case mul_reductionB_rule: {
      mul_reductionBNode *node = new mul_reductionBNode();
      node->set_opnd_array(3, MachOperGenerator(RREGI));
      node->set_opnd_array(4, MachOperGenerator(VEC));
      node->set_opnd_array(5, MachOperGenerator(VEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case mul_reduction64B_rule: {
      mul_reduction64BNode *node = new mul_reduction64BNode();
      node->set_opnd_array(3, MachOperGenerator(RREGI));
      node->set_opnd_array(4, MachOperGenerator(LEGVEC));
      node->set_opnd_array(5, MachOperGenerator(LEGVEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case minmax_reduction2F_rule: {
      minmax_reduction2FNode *node = new minmax_reduction2FNode();
      node->set_opnd_array(3, MachOperGenerator(LEGREGF));
      node->set_opnd_array(4, MachOperGenerator(LEGVEC));
      node->set_opnd_array(5, MachOperGenerator(LEGVEC));
      node->set_opnd_array(6, MachOperGenerator(LEGVEC));
      node->set_opnd_array(7, MachOperGenerator(LEGVEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case minmax_reduction2F_0_rule: {
      minmax_reduction2F_0Node *node = new minmax_reduction2F_0Node();
      node->set_opnd_array(3, MachOperGenerator(LEGREGF));
      node->set_opnd_array(4, MachOperGenerator(LEGVEC));
      node->set_opnd_array(5, MachOperGenerator(LEGVEC));
      node->set_opnd_array(6, MachOperGenerator(LEGVEC));
      node->set_opnd_array(7, MachOperGenerator(LEGVEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case minmax_reductionF_rule: {
      minmax_reductionFNode *node = new minmax_reductionFNode();
      node->set_opnd_array(3, MachOperGenerator(LEGREGF));
      node->set_opnd_array(4, MachOperGenerator(LEGVEC));
      node->set_opnd_array(5, MachOperGenerator(LEGVEC));
      node->set_opnd_array(6, MachOperGenerator(LEGVEC));
      node->set_opnd_array(7, MachOperGenerator(LEGVEC));
      node->set_opnd_array(8, MachOperGenerator(LEGVEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case minmax_reductionF_0_rule: {
      minmax_reductionF_0Node *node = new minmax_reductionF_0Node();
      node->set_opnd_array(3, MachOperGenerator(LEGREGF));
      node->set_opnd_array(4, MachOperGenerator(LEGVEC));
      node->set_opnd_array(5, MachOperGenerator(LEGVEC));
      node->set_opnd_array(6, MachOperGenerator(LEGVEC));
      node->set_opnd_array(7, MachOperGenerator(LEGVEC));
      node->set_opnd_array(8, MachOperGenerator(LEGVEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case minmax_reduction2F_av_rule: {
      minmax_reduction2F_avNode *node = new minmax_reduction2F_avNode();
      node->set_opnd_array(3, MachOperGenerator(LEGREGF));
      node->set_opnd_array(4, MachOperGenerator(LEGVEC));
      node->set_opnd_array(5, MachOperGenerator(LEGVEC));
      node->set_opnd_array(6, MachOperGenerator(LEGVEC));
      node->set_opnd_array(7, MachOperGenerator(LEGVEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case minmax_reduction2F_av_0_rule: {
      minmax_reduction2F_av_0Node *node = new minmax_reduction2F_av_0Node();
      node->set_opnd_array(3, MachOperGenerator(LEGREGF));
      node->set_opnd_array(4, MachOperGenerator(LEGVEC));
      node->set_opnd_array(5, MachOperGenerator(LEGVEC));
      node->set_opnd_array(6, MachOperGenerator(LEGVEC));
      node->set_opnd_array(7, MachOperGenerator(LEGVEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case minmax_reductionF_av_rule: {
      minmax_reductionF_avNode *node = new minmax_reductionF_avNode();
      node->set_opnd_array(3, MachOperGenerator(LEGREGF));
      node->set_opnd_array(4, MachOperGenerator(LEGVEC));
      node->set_opnd_array(5, MachOperGenerator(LEGVEC));
      node->set_opnd_array(6, MachOperGenerator(LEGVEC));
      node->set_opnd_array(7, MachOperGenerator(LEGVEC));
      node->set_opnd_array(8, MachOperGenerator(LEGVEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case minmax_reductionF_av_0_rule: {
      minmax_reductionF_av_0Node *node = new minmax_reductionF_av_0Node();
      node->set_opnd_array(3, MachOperGenerator(LEGREGF));
      node->set_opnd_array(4, MachOperGenerator(LEGVEC));
      node->set_opnd_array(5, MachOperGenerator(LEGVEC));
      node->set_opnd_array(6, MachOperGenerator(LEGVEC));
      node->set_opnd_array(7, MachOperGenerator(LEGVEC));
      node->set_opnd_array(8, MachOperGenerator(LEGVEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case minmax_reduction2D_rule: {
      minmax_reduction2DNode *node = new minmax_reduction2DNode();
      node->set_opnd_array(3, MachOperGenerator(LEGREGD));
      node->set_opnd_array(4, MachOperGenerator(LEGVEC));
      node->set_opnd_array(5, MachOperGenerator(LEGVEC));
      node->set_opnd_array(6, MachOperGenerator(LEGVEC));
      node->set_opnd_array(7, MachOperGenerator(LEGVEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case minmax_reduction2D_0_rule: {
      minmax_reduction2D_0Node *node = new minmax_reduction2D_0Node();
      node->set_opnd_array(3, MachOperGenerator(LEGREGD));
      node->set_opnd_array(4, MachOperGenerator(LEGVEC));
      node->set_opnd_array(5, MachOperGenerator(LEGVEC));
      node->set_opnd_array(6, MachOperGenerator(LEGVEC));
      node->set_opnd_array(7, MachOperGenerator(LEGVEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case minmax_reductionD_rule: {
      minmax_reductionDNode *node = new minmax_reductionDNode();
      node->set_opnd_array(3, MachOperGenerator(LEGREGD));
      node->set_opnd_array(4, MachOperGenerator(LEGVEC));
      node->set_opnd_array(5, MachOperGenerator(LEGVEC));
      node->set_opnd_array(6, MachOperGenerator(LEGVEC));
      node->set_opnd_array(7, MachOperGenerator(LEGVEC));
      node->set_opnd_array(8, MachOperGenerator(LEGVEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case minmax_reductionD_0_rule: {
      minmax_reductionD_0Node *node = new minmax_reductionD_0Node();
      node->set_opnd_array(3, MachOperGenerator(LEGREGD));
      node->set_opnd_array(4, MachOperGenerator(LEGVEC));
      node->set_opnd_array(5, MachOperGenerator(LEGVEC));
      node->set_opnd_array(6, MachOperGenerator(LEGVEC));
      node->set_opnd_array(7, MachOperGenerator(LEGVEC));
      node->set_opnd_array(8, MachOperGenerator(LEGVEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case minmax_reduction2D_av_rule: {
      minmax_reduction2D_avNode *node = new minmax_reduction2D_avNode();
      node->set_opnd_array(3, MachOperGenerator(LEGREGD));
      node->set_opnd_array(4, MachOperGenerator(LEGVEC));
      node->set_opnd_array(5, MachOperGenerator(LEGVEC));
      node->set_opnd_array(6, MachOperGenerator(LEGVEC));
      node->set_opnd_array(7, MachOperGenerator(LEGVEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case minmax_reduction2D_av_0_rule: {
      minmax_reduction2D_av_0Node *node = new minmax_reduction2D_av_0Node();
      node->set_opnd_array(3, MachOperGenerator(LEGREGD));
      node->set_opnd_array(4, MachOperGenerator(LEGVEC));
      node->set_opnd_array(5, MachOperGenerator(LEGVEC));
      node->set_opnd_array(6, MachOperGenerator(LEGVEC));
      node->set_opnd_array(7, MachOperGenerator(LEGVEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case minmax_reductionD_av_rule: {
      minmax_reductionD_avNode *node = new minmax_reductionD_avNode();
      node->set_opnd_array(3, MachOperGenerator(LEGREGD));
      node->set_opnd_array(4, MachOperGenerator(LEGVEC));
      node->set_opnd_array(5, MachOperGenerator(LEGVEC));
      node->set_opnd_array(6, MachOperGenerator(LEGVEC));
      node->set_opnd_array(7, MachOperGenerator(LEGVEC));
      node->set_opnd_array(8, MachOperGenerator(LEGVEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case minmax_reductionD_av_0_rule: {
      minmax_reductionD_av_0Node *node = new minmax_reductionD_av_0Node();
      node->set_opnd_array(3, MachOperGenerator(LEGREGD));
      node->set_opnd_array(4, MachOperGenerator(LEGVEC));
      node->set_opnd_array(5, MachOperGenerator(LEGVEC));
      node->set_opnd_array(6, MachOperGenerator(LEGVEC));
      node->set_opnd_array(7, MachOperGenerator(LEGVEC));
      node->set_opnd_array(8, MachOperGenerator(LEGVEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vaddB_rule: {
      vaddBNode *node = new vaddBNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vaddB_reg_rule: {
      vaddB_regNode *node = new vaddB_regNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vaddB_mem_rule: {
      vaddB_memNode *node = new vaddB_memNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vaddB_mem_0_rule: {
      vaddB_mem_0Node *node = new vaddB_mem_0Node();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vaddS_rule: {
      vaddSNode *node = new vaddSNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vaddS_reg_rule: {
      vaddS_regNode *node = new vaddS_regNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vaddS_mem_rule: {
      vaddS_memNode *node = new vaddS_memNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vaddS_mem_0_rule: {
      vaddS_mem_0Node *node = new vaddS_mem_0Node();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vaddI_rule: {
      vaddINode *node = new vaddINode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vaddI_reg_rule: {
      vaddI_regNode *node = new vaddI_regNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vaddI_mem_rule: {
      vaddI_memNode *node = new vaddI_memNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vaddI_mem_0_rule: {
      vaddI_mem_0Node *node = new vaddI_mem_0Node();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vaddL_rule: {
      vaddLNode *node = new vaddLNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vaddL_reg_rule: {
      vaddL_regNode *node = new vaddL_regNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vaddL_mem_rule: {
      vaddL_memNode *node = new vaddL_memNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vaddL_mem_0_rule: {
      vaddL_mem_0Node *node = new vaddL_mem_0Node();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vaddF_rule: {
      vaddFNode *node = new vaddFNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vaddF_reg_rule: {
      vaddF_regNode *node = new vaddF_regNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vaddF_mem_rule: {
      vaddF_memNode *node = new vaddF_memNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vaddF_mem_0_rule: {
      vaddF_mem_0Node *node = new vaddF_mem_0Node();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vaddD_rule: {
      vaddDNode *node = new vaddDNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vaddD_reg_rule: {
      vaddD_regNode *node = new vaddD_regNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vaddD_mem_rule: {
      vaddD_memNode *node = new vaddD_memNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vaddD_mem_0_rule: {
      vaddD_mem_0Node *node = new vaddD_mem_0Node();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vsubB_rule: {
      vsubBNode *node = new vsubBNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vsubB_reg_rule: {
      vsubB_regNode *node = new vsubB_regNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vsubB_mem_rule: {
      vsubB_memNode *node = new vsubB_memNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vsubS_rule: {
      vsubSNode *node = new vsubSNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vsubS_reg_rule: {
      vsubS_regNode *node = new vsubS_regNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vsubS_mem_rule: {
      vsubS_memNode *node = new vsubS_memNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vsubI_rule: {
      vsubINode *node = new vsubINode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vsubI_reg_rule: {
      vsubI_regNode *node = new vsubI_regNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vsubI_mem_rule: {
      vsubI_memNode *node = new vsubI_memNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vsubL_rule: {
      vsubLNode *node = new vsubLNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vsubL_reg_rule: {
      vsubL_regNode *node = new vsubL_regNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vsubL_mem_rule: {
      vsubL_memNode *node = new vsubL_memNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vsubF_rule: {
      vsubFNode *node = new vsubFNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vsubF_reg_rule: {
      vsubF_regNode *node = new vsubF_regNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vsubF_mem_rule: {
      vsubF_memNode *node = new vsubF_memNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vsubD_rule: {
      vsubDNode *node = new vsubDNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vsubD_reg_rule: {
      vsubD_regNode *node = new vsubD_regNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vsubD_mem_rule: {
      vsubD_memNode *node = new vsubD_memNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vmul8B_rule: {
      vmul8BNode *node = new vmul8BNode();
      node->set_opnd_array(3, MachOperGenerator(VEC));
      node->set_opnd_array(4, MachOperGenerator(VEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vmulB_rule: {
      vmulBNode *node = new vmulBNode();
      node->set_opnd_array(3, MachOperGenerator(VEC));
      node->set_opnd_array(4, MachOperGenerator(VEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vmulB_reg_rule: {
      vmulB_regNode *node = new vmulB_regNode();
      node->set_opnd_array(3, MachOperGenerator(VEC));
      node->set_opnd_array(4, MachOperGenerator(VEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vmulS_rule: {
      vmulSNode *node = new vmulSNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vmulS_reg_rule: {
      vmulS_regNode *node = new vmulS_regNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vmulS_mem_rule: {
      vmulS_memNode *node = new vmulS_memNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vmulS_mem_0_rule: {
      vmulS_mem_0Node *node = new vmulS_mem_0Node();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vmulI_rule: {
      vmulINode *node = new vmulINode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vmulI_reg_rule: {
      vmulI_regNode *node = new vmulI_regNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vmulI_mem_rule: {
      vmulI_memNode *node = new vmulI_memNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vmulI_mem_0_rule: {
      vmulI_mem_0Node *node = new vmulI_mem_0Node();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case evmulL_reg_rule: {
      evmulL_regNode *node = new evmulL_regNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case evmulL_mem_rule: {
      evmulL_memNode *node = new evmulL_memNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case evmulL_mem_0_rule: {
      evmulL_mem_0Node *node = new evmulL_mem_0Node();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vmulL_rule: {
      vmulLNode *node = new vmulLNode();
      node->set_opnd_array(3, MachOperGenerator(VEC));
      node->set_opnd_array(4, MachOperGenerator(VEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vmulL_reg_rule: {
      vmulL_regNode *node = new vmulL_regNode();
      node->set_opnd_array(3, MachOperGenerator(VEC));
      node->set_opnd_array(4, MachOperGenerator(VEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vmulF_rule: {
      vmulFNode *node = new vmulFNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vmulF_reg_rule: {
      vmulF_regNode *node = new vmulF_regNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vmulF_mem_rule: {
      vmulF_memNode *node = new vmulF_memNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vmulF_mem_0_rule: {
      vmulF_mem_0Node *node = new vmulF_mem_0Node();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vmulD_rule: {
      vmulDNode *node = new vmulDNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vmulD_reg_rule: {
      vmulD_regNode *node = new vmulD_regNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vmulD_mem_rule: {
      vmulD_memNode *node = new vmulD_memNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vmulD_mem_0_rule: {
      vmulD_mem_0Node *node = new vmulD_mem_0Node();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vdivF_rule: {
      vdivFNode *node = new vdivFNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vdivF_reg_rule: {
      vdivF_regNode *node = new vdivF_regNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vdivF_mem_rule: {
      vdivF_memNode *node = new vdivF_memNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vdivD_rule: {
      vdivDNode *node = new vdivDNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vdivD_reg_rule: {
      vdivD_regNode *node = new vdivD_regNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vdivD_mem_rule: {
      vdivD_memNode *node = new vdivD_memNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case minmax_reg_sse_rule: {
      minmax_reg_sseNode *node = new minmax_reg_sseNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case minmax_reg_sse_0_rule: {
      minmax_reg_sse_0Node *node = new minmax_reg_sse_0Node();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vminmax_reg_rule: {
      vminmax_regNode *node = new vminmax_regNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vminmax_reg_0_rule: {
      vminmax_reg_0Node *node = new vminmax_reg_0Node();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case minmaxL_reg_sse_rule: {
      minmaxL_reg_sseNode *node = new minmaxL_reg_sseNode();
      node->set_opnd_array(3, MachOperGenerator(VEC));
      node->set_opnd_array(4, MachOperGenerator(RXMM0));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case minmaxL_reg_sse_0_rule: {
      minmaxL_reg_sse_0Node *node = new minmaxL_reg_sse_0Node();
      node->set_opnd_array(3, MachOperGenerator(VEC));
      node->set_opnd_array(4, MachOperGenerator(RXMM0));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vminmaxL_reg_avx_rule: {
      vminmaxL_reg_avxNode *node = new vminmaxL_reg_avxNode();
      node->set_opnd_array(3, MachOperGenerator(LEGVEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vminmaxL_reg_avx_0_rule: {
      vminmaxL_reg_avx_0Node *node = new vminmaxL_reg_avx_0Node();
      node->set_opnd_array(3, MachOperGenerator(LEGVEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vminmaxL_reg_evex_rule: {
      vminmaxL_reg_evexNode *node = new vminmaxL_reg_evexNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vminmaxL_reg_evex_0_rule: {
      vminmaxL_reg_evex_0Node *node = new vminmaxL_reg_evex_0Node();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case minmaxFP_reg_rule: {
      minmaxFP_regNode *node = new minmaxFP_regNode();
      node->set_opnd_array(3, MachOperGenerator(LEGVEC));
      node->set_opnd_array(4, MachOperGenerator(LEGVEC));
      node->set_opnd_array(5, MachOperGenerator(LEGVEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case minmaxFP_reg_0_rule: {
      minmaxFP_reg_0Node *node = new minmaxFP_reg_0Node();
      node->set_opnd_array(3, MachOperGenerator(LEGVEC));
      node->set_opnd_array(4, MachOperGenerator(LEGVEC));
      node->set_opnd_array(5, MachOperGenerator(LEGVEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case evminmaxFP_reg_eavx_rule: {
      evminmaxFP_reg_eavxNode *node = new evminmaxFP_reg_eavxNode();
      node->set_opnd_array(3, MachOperGenerator(VEC));
      node->set_opnd_array(4, MachOperGenerator(VEC));
      node->set_opnd_array(5, MachOperGenerator(VEC));
      node->set_opnd_array(6, MachOperGenerator(KREG));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case evminmaxFP_reg_eavx_0_rule: {
      evminmaxFP_reg_eavx_0Node *node = new evminmaxFP_reg_eavx_0Node();
      node->set_opnd_array(3, MachOperGenerator(VEC));
      node->set_opnd_array(4, MachOperGenerator(VEC));
      node->set_opnd_array(5, MachOperGenerator(VEC));
      node->set_opnd_array(6, MachOperGenerator(KREG));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case signumF_reg_rule: {
      signumF_regNode *node = new signumF_regNode();
      return node;
    }
  case signumD_reg_rule: {
      signumD_regNode *node = new signumD_regNode();
      return node;
    }
  case signumV_reg_avx_rule: {
      signumV_reg_avxNode *node = new signumV_reg_avxNode();
      node->set_opnd_array(4, MachOperGenerator(VEC));
      node->set_opnd_array(5, MachOperGenerator(VEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case signumV_reg_avx_0_rule: {
      signumV_reg_avx_0Node *node = new signumV_reg_avx_0Node();
      node->set_opnd_array(4, MachOperGenerator(VEC));
      node->set_opnd_array(5, MachOperGenerator(VEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case signumV_reg_evex_rule: {
      signumV_reg_evexNode *node = new signumV_reg_evexNode();
      node->set_opnd_array(4, MachOperGenerator(VEC));
      node->set_opnd_array(5, MachOperGenerator(KREG));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case signumV_reg_evex_0_rule: {
      signumV_reg_evex_0Node *node = new signumV_reg_evex_0Node();
      node->set_opnd_array(4, MachOperGenerator(VEC));
      node->set_opnd_array(5, MachOperGenerator(KREG));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case compressBitsI_reg_rule: {
      compressBitsI_regNode *node = new compressBitsI_regNode();
      return node;
    }
  case expandBitsI_reg_rule: {
      expandBitsI_regNode *node = new expandBitsI_regNode();
      return node;
    }
  case compressBitsI_mem_rule: {
      compressBitsI_memNode *node = new compressBitsI_memNode();
      return node;
    }
  case expandBitsI_mem_rule: {
      expandBitsI_memNode *node = new expandBitsI_memNode();
      return node;
    }
  case vsqrtF_reg_rule: {
      vsqrtF_regNode *node = new vsqrtF_regNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vsqrtF_mem_rule: {
      vsqrtF_memNode *node = new vsqrtF_memNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vsqrtD_reg_rule: {
      vsqrtD_regNode *node = new vsqrtD_regNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vsqrtD_mem_rule: {
      vsqrtD_memNode *node = new vsqrtD_memNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vshiftcnt_rule: {
      vshiftcntNode *node = new vshiftcntNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vshiftcnt_0_rule: {
      vshiftcnt_0Node *node = new vshiftcnt_0Node();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vshiftB_rule: {
      vshiftBNode *node = new vshiftBNode();
      node->set_opnd_array(3, MachOperGenerator(VEC));
      node->set_opnd_array(4, MachOperGenerator(VEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vshiftB_0_rule: {
      vshiftB_0Node *node = new vshiftB_0Node();
      node->set_opnd_array(3, MachOperGenerator(VEC));
      node->set_opnd_array(4, MachOperGenerator(VEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vshiftB_1_rule: {
      vshiftB_1Node *node = new vshiftB_1Node();
      node->set_opnd_array(3, MachOperGenerator(VEC));
      node->set_opnd_array(4, MachOperGenerator(VEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vshift16B_rule: {
      vshift16BNode *node = new vshift16BNode();
      node->set_opnd_array(3, MachOperGenerator(VEC));
      node->set_opnd_array(4, MachOperGenerator(VEC));
      node->set_opnd_array(5, MachOperGenerator(VEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vshift16B_0_rule: {
      vshift16B_0Node *node = new vshift16B_0Node();
      node->set_opnd_array(3, MachOperGenerator(VEC));
      node->set_opnd_array(4, MachOperGenerator(VEC));
      node->set_opnd_array(5, MachOperGenerator(VEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vshift16B_1_rule: {
      vshift16B_1Node *node = new vshift16B_1Node();
      node->set_opnd_array(3, MachOperGenerator(VEC));
      node->set_opnd_array(4, MachOperGenerator(VEC));
      node->set_opnd_array(5, MachOperGenerator(VEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vshift16B_avx_rule: {
      vshift16B_avxNode *node = new vshift16B_avxNode();
      node->set_opnd_array(3, MachOperGenerator(VEC));
      node->set_opnd_array(4, MachOperGenerator(VEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vshift16B_avx_0_rule: {
      vshift16B_avx_0Node *node = new vshift16B_avx_0Node();
      node->set_opnd_array(3, MachOperGenerator(VEC));
      node->set_opnd_array(4, MachOperGenerator(VEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vshift16B_avx_1_rule: {
      vshift16B_avx_1Node *node = new vshift16B_avx_1Node();
      node->set_opnd_array(3, MachOperGenerator(VEC));
      node->set_opnd_array(4, MachOperGenerator(VEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vshift32B_avx_rule: {
      vshift32B_avxNode *node = new vshift32B_avxNode();
      node->set_opnd_array(3, MachOperGenerator(VEC));
      node->set_opnd_array(4, MachOperGenerator(VEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vshift32B_avx_0_rule: {
      vshift32B_avx_0Node *node = new vshift32B_avx_0Node();
      node->set_opnd_array(3, MachOperGenerator(VEC));
      node->set_opnd_array(4, MachOperGenerator(VEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vshift32B_avx_1_rule: {
      vshift32B_avx_1Node *node = new vshift32B_avx_1Node();
      node->set_opnd_array(3, MachOperGenerator(VEC));
      node->set_opnd_array(4, MachOperGenerator(VEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vshift64B_avx_rule: {
      vshift64B_avxNode *node = new vshift64B_avxNode();
      node->set_opnd_array(3, MachOperGenerator(VEC));
      node->set_opnd_array(4, MachOperGenerator(VEC));
      node->set_opnd_array(5, MachOperGenerator(VEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vshift64B_avx_0_rule: {
      vshift64B_avx_0Node *node = new vshift64B_avx_0Node();
      node->set_opnd_array(3, MachOperGenerator(VEC));
      node->set_opnd_array(4, MachOperGenerator(VEC));
      node->set_opnd_array(5, MachOperGenerator(VEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vshift64B_avx_1_rule: {
      vshift64B_avx_1Node *node = new vshift64B_avx_1Node();
      node->set_opnd_array(3, MachOperGenerator(VEC));
      node->set_opnd_array(4, MachOperGenerator(VEC));
      node->set_opnd_array(5, MachOperGenerator(VEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vshiftS_rule: {
      vshiftSNode *node = new vshiftSNode();
      node->set_opnd_array(3, MachOperGenerator(VEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vshiftS_0_rule: {
      vshiftS_0Node *node = new vshiftS_0Node();
      node->set_opnd_array(3, MachOperGenerator(VEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vshiftS_1_rule: {
      vshiftS_1Node *node = new vshiftS_1Node();
      node->set_opnd_array(3, MachOperGenerator(VEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vshiftI_rule: {
      vshiftINode *node = new vshiftINode();
      node->set_opnd_array(3, MachOperGenerator(VEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vshiftI_0_rule: {
      vshiftI_0Node *node = new vshiftI_0Node();
      node->set_opnd_array(3, MachOperGenerator(VEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vshiftI_1_rule: {
      vshiftI_1Node *node = new vshiftI_1Node();
      node->set_opnd_array(3, MachOperGenerator(VEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vshiftI_imm_rule: {
      vshiftI_immNode *node = new vshiftI_immNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vshiftI_imm_0_rule: {
      vshiftI_imm_0Node *node = new vshiftI_imm_0Node();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vshiftI_imm_1_rule: {
      vshiftI_imm_1Node *node = new vshiftI_imm_1Node();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vshiftL_rule: {
      vshiftLNode *node = new vshiftLNode();
      node->set_opnd_array(3, MachOperGenerator(VEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vshiftL_0_rule: {
      vshiftL_0Node *node = new vshiftL_0Node();
      node->set_opnd_array(3, MachOperGenerator(VEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vshiftL_imm_rule: {
      vshiftL_immNode *node = new vshiftL_immNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vshiftL_imm_0_rule: {
      vshiftL_imm_0Node *node = new vshiftL_imm_0Node();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vshiftL_arith_reg_rule: {
      vshiftL_arith_regNode *node = new vshiftL_arith_regNode();
      node->set_opnd_array(3, MachOperGenerator(VEC));
      node->set_opnd_array(4, MachOperGenerator(VEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vshiftL_arith_reg_evex_rule: {
      vshiftL_arith_reg_evexNode *node = new vshiftL_arith_reg_evexNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vshift8B_var_nobw_rule: {
      vshift8B_var_nobwNode *node = new vshift8B_var_nobwNode();
      node->set_opnd_array(3, MachOperGenerator(VEC));
      node->set_opnd_array(4, MachOperGenerator(VEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vshift8B_var_nobw_0_rule: {
      vshift8B_var_nobw_0Node *node = new vshift8B_var_nobw_0Node();
      node->set_opnd_array(3, MachOperGenerator(VEC));
      node->set_opnd_array(4, MachOperGenerator(VEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vshift8B_var_nobw_1_rule: {
      vshift8B_var_nobw_1Node *node = new vshift8B_var_nobw_1Node();
      node->set_opnd_array(3, MachOperGenerator(VEC));
      node->set_opnd_array(4, MachOperGenerator(VEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vshift16B_var_nobw_rule: {
      vshift16B_var_nobwNode *node = new vshift16B_var_nobwNode();
      node->set_opnd_array(3, MachOperGenerator(VEC));
      node->set_opnd_array(4, MachOperGenerator(VEC));
      node->set_opnd_array(5, MachOperGenerator(VEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vshift16B_var_nobw_0_rule: {
      vshift16B_var_nobw_0Node *node = new vshift16B_var_nobw_0Node();
      node->set_opnd_array(3, MachOperGenerator(VEC));
      node->set_opnd_array(4, MachOperGenerator(VEC));
      node->set_opnd_array(5, MachOperGenerator(VEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vshift16B_var_nobw_1_rule: {
      vshift16B_var_nobw_1Node *node = new vshift16B_var_nobw_1Node();
      node->set_opnd_array(3, MachOperGenerator(VEC));
      node->set_opnd_array(4, MachOperGenerator(VEC));
      node->set_opnd_array(5, MachOperGenerator(VEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vshift32B_var_nobw_rule: {
      vshift32B_var_nobwNode *node = new vshift32B_var_nobwNode();
      node->set_opnd_array(3, MachOperGenerator(VEC));
      node->set_opnd_array(4, MachOperGenerator(VEC));
      node->set_opnd_array(5, MachOperGenerator(VEC));
      node->set_opnd_array(6, MachOperGenerator(VEC));
      node->set_opnd_array(7, MachOperGenerator(VEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vshift32B_var_nobw_0_rule: {
      vshift32B_var_nobw_0Node *node = new vshift32B_var_nobw_0Node();
      node->set_opnd_array(3, MachOperGenerator(VEC));
      node->set_opnd_array(4, MachOperGenerator(VEC));
      node->set_opnd_array(5, MachOperGenerator(VEC));
      node->set_opnd_array(6, MachOperGenerator(VEC));
      node->set_opnd_array(7, MachOperGenerator(VEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vshift32B_var_nobw_1_rule: {
      vshift32B_var_nobw_1Node *node = new vshift32B_var_nobw_1Node();
      node->set_opnd_array(3, MachOperGenerator(VEC));
      node->set_opnd_array(4, MachOperGenerator(VEC));
      node->set_opnd_array(5, MachOperGenerator(VEC));
      node->set_opnd_array(6, MachOperGenerator(VEC));
      node->set_opnd_array(7, MachOperGenerator(VEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vshiftB_var_evex_bw_rule: {
      vshiftB_var_evex_bwNode *node = new vshiftB_var_evex_bwNode();
      node->set_opnd_array(3, MachOperGenerator(VEC));
      node->set_opnd_array(4, MachOperGenerator(VEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vshiftB_var_evex_bw_0_rule: {
      vshiftB_var_evex_bw_0Node *node = new vshiftB_var_evex_bw_0Node();
      node->set_opnd_array(3, MachOperGenerator(VEC));
      node->set_opnd_array(4, MachOperGenerator(VEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vshiftB_var_evex_bw_1_rule: {
      vshiftB_var_evex_bw_1Node *node = new vshiftB_var_evex_bw_1Node();
      node->set_opnd_array(3, MachOperGenerator(VEC));
      node->set_opnd_array(4, MachOperGenerator(VEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vshift64B_var_evex_bw_rule: {
      vshift64B_var_evex_bwNode *node = new vshift64B_var_evex_bwNode();
      node->set_opnd_array(3, MachOperGenerator(VEC));
      node->set_opnd_array(4, MachOperGenerator(VEC));
      node->set_opnd_array(5, MachOperGenerator(VEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vshift64B_var_evex_bw_0_rule: {
      vshift64B_var_evex_bw_0Node *node = new vshift64B_var_evex_bw_0Node();
      node->set_opnd_array(3, MachOperGenerator(VEC));
      node->set_opnd_array(4, MachOperGenerator(VEC));
      node->set_opnd_array(5, MachOperGenerator(VEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vshift64B_var_evex_bw_1_rule: {
      vshift64B_var_evex_bw_1Node *node = new vshift64B_var_evex_bw_1Node();
      node->set_opnd_array(3, MachOperGenerator(VEC));
      node->set_opnd_array(4, MachOperGenerator(VEC));
      node->set_opnd_array(5, MachOperGenerator(VEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vshift8S_var_nobw_rule: {
      vshift8S_var_nobwNode *node = new vshift8S_var_nobwNode();
      node->set_opnd_array(3, MachOperGenerator(VEC));
      node->set_opnd_array(4, MachOperGenerator(VEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vshift8S_var_nobw_0_rule: {
      vshift8S_var_nobw_0Node *node = new vshift8S_var_nobw_0Node();
      node->set_opnd_array(3, MachOperGenerator(VEC));
      node->set_opnd_array(4, MachOperGenerator(VEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vshift8S_var_nobw_1_rule: {
      vshift8S_var_nobw_1Node *node = new vshift8S_var_nobw_1Node();
      node->set_opnd_array(3, MachOperGenerator(VEC));
      node->set_opnd_array(4, MachOperGenerator(VEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vshift16S_var_nobw_rule: {
      vshift16S_var_nobwNode *node = new vshift16S_var_nobwNode();
      node->set_opnd_array(3, MachOperGenerator(VEC));
      node->set_opnd_array(4, MachOperGenerator(VEC));
      node->set_opnd_array(5, MachOperGenerator(VEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vshift16S_var_nobw_0_rule: {
      vshift16S_var_nobw_0Node *node = new vshift16S_var_nobw_0Node();
      node->set_opnd_array(3, MachOperGenerator(VEC));
      node->set_opnd_array(4, MachOperGenerator(VEC));
      node->set_opnd_array(5, MachOperGenerator(VEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vshift16S_var_nobw_1_rule: {
      vshift16S_var_nobw_1Node *node = new vshift16S_var_nobw_1Node();
      node->set_opnd_array(3, MachOperGenerator(VEC));
      node->set_opnd_array(4, MachOperGenerator(VEC));
      node->set_opnd_array(5, MachOperGenerator(VEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vshift16S_var_evex_bw_rule: {
      vshift16S_var_evex_bwNode *node = new vshift16S_var_evex_bwNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vshift16S_var_evex_bw_0_rule: {
      vshift16S_var_evex_bw_0Node *node = new vshift16S_var_evex_bw_0Node();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vshift16S_var_evex_bw_1_rule: {
      vshift16S_var_evex_bw_1Node *node = new vshift16S_var_evex_bw_1Node();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vshiftI_var_rule: {
      vshiftI_varNode *node = new vshiftI_varNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vshiftI_var_0_rule: {
      vshiftI_var_0Node *node = new vshiftI_var_0Node();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vshiftI_var_1_rule: {
      vshiftI_var_1Node *node = new vshiftI_var_1Node();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vshiftL_var_rule: {
      vshiftL_varNode *node = new vshiftL_varNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vshiftL_var_0_rule: {
      vshiftL_var_0Node *node = new vshiftL_var_0Node();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vshiftL_arith_var_rule: {
      vshiftL_arith_varNode *node = new vshiftL_arith_varNode();
      node->set_opnd_array(3, MachOperGenerator(VEC));
      node->set_opnd_array(4, MachOperGenerator(VEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vshiftL_arith_var_evex_rule: {
      vshiftL_arith_var_evexNode *node = new vshiftL_arith_var_evexNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vand_rule: {
      vandNode *node = new vandNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vand_reg_rule: {
      vand_regNode *node = new vand_regNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vand_mem_rule: {
      vand_memNode *node = new vand_memNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vand_mem_0_rule: {
      vand_mem_0Node *node = new vand_mem_0Node();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vor_rule: {
      vorNode *node = new vorNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vor_reg_rule: {
      vor_regNode *node = new vor_regNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vor_mem_rule: {
      vor_memNode *node = new vor_memNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vor_mem_0_rule: {
      vor_mem_0Node *node = new vor_mem_0Node();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vxor_rule: {
      vxorNode *node = new vxorNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vxor_reg_rule: {
      vxor_regNode *node = new vxor_regNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vxor_mem_rule: {
      vxor_memNode *node = new vxor_memNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vxor_mem_0_rule: {
      vxor_mem_0Node *node = new vxor_mem_0Node();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vcastBtoX_rule: {
      vcastBtoXNode *node = new vcastBtoXNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case castStoX_rule: {
      castStoXNode *node = new castStoXNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vcastStoX_rule: {
      vcastStoXNode *node = new vcastStoXNode();
      node->set_opnd_array(2, MachOperGenerator(VEC));
      node->set_opnd_array(3, MachOperGenerator(VEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vcastStoX_evex_rule: {
      vcastStoX_evexNode *node = new vcastStoX_evexNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case castItoX_rule: {
      castItoXNode *node = new castItoXNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vcastItoX_rule: {
      vcastItoXNode *node = new vcastItoXNode();
      node->set_opnd_array(2, MachOperGenerator(VEC));
      node->set_opnd_array(3, MachOperGenerator(VEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vcastItoX_evex_rule: {
      vcastItoX_evexNode *node = new vcastItoX_evexNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vcastLtoBS_rule: {
      vcastLtoBSNode *node = new vcastLtoBSNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vcastLtoX_evex_rule: {
      vcastLtoX_evexNode *node = new vcastLtoX_evexNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vcastFtoD_reg_rule: {
      vcastFtoD_regNode *node = new vcastFtoD_regNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case castFtoX_reg_avx_rule: {
      castFtoX_reg_avxNode *node = new castFtoX_reg_avxNode();
      node->set_opnd_array(2, MachOperGenerator(VEC));
      node->set_opnd_array(3, MachOperGenerator(VEC));
      node->set_opnd_array(4, MachOperGenerator(VEC));
      node->set_opnd_array(5, MachOperGenerator(VEC));
      node->set_opnd_array(6, MachOperGenerator(VEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case castFtoX_reg_evex_rule: {
      castFtoX_reg_evexNode *node = new castFtoX_reg_evexNode();
      node->set_opnd_array(2, MachOperGenerator(VEC));
      node->set_opnd_array(3, MachOperGenerator(VEC));
      node->set_opnd_array(4, MachOperGenerator(VEC));
      node->set_opnd_array(5, MachOperGenerator(KREG));
      node->set_opnd_array(6, MachOperGenerator(KREG));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vcastDtoF_reg_rule: {
      vcastDtoF_regNode *node = new vcastDtoF_regNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case castDtoX_reg_avx_rule: {
      castDtoX_reg_avxNode *node = new castDtoX_reg_avxNode();
      node->set_opnd_array(2, MachOperGenerator(VEC));
      node->set_opnd_array(3, MachOperGenerator(VEC));
      node->set_opnd_array(4, MachOperGenerator(VEC));
      node->set_opnd_array(5, MachOperGenerator(VEC));
      node->set_opnd_array(6, MachOperGenerator(VEC));
      node->set_opnd_array(7, MachOperGenerator(VEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case castDtoX_reg_evex_rule: {
      castDtoX_reg_evexNode *node = new castDtoX_reg_evexNode();
      node->set_opnd_array(2, MachOperGenerator(VEC));
      node->set_opnd_array(3, MachOperGenerator(VEC));
      node->set_opnd_array(4, MachOperGenerator(VEC));
      node->set_opnd_array(5, MachOperGenerator(KREG));
      node->set_opnd_array(6, MachOperGenerator(KREG));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vucast_rule: {
      vucastNode *node = new vucastNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vucast_0_rule: {
      vucast_0Node *node = new vucast_0Node();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vucast_1_rule: {
      vucast_1Node *node = new vucast_1Node();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vcmpFD_rule: {
      vcmpFDNode *node = new vcmpFDNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case evcmpFD64_rule: {
      evcmpFD64Node *node = new evcmpFD64Node();
      node->set_opnd_array(4, MachOperGenerator(KREG));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case evcmpFD_rule: {
      evcmpFDNode *node = new evcmpFDNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vcmp_direct_rule: {
      vcmp_directNode *node = new vcmp_directNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vcmp_negate_rule: {
      vcmp_negateNode *node = new vcmp_negateNode();
      node->set_opnd_array(4, MachOperGenerator(LEGVEC));
      node->set_opnd_array(5, MachOperGenerator(LEGVEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vcmpu_rule: {
      vcmpuNode *node = new vcmpuNode();
      node->set_opnd_array(4, MachOperGenerator(LEGVEC));
      node->set_opnd_array(5, MachOperGenerator(LEGVEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vcmp64_rule: {
      vcmp64Node *node = new vcmp64Node();
      node->set_opnd_array(4, MachOperGenerator(KREG));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case evcmp_rule: {
      evcmpNode *node = new evcmpNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case extractI_rule: {
      extractINode *node = new extractINode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case extractI_0_rule: {
      extractI_0Node *node = new extractI_0Node();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vextractI_rule: {
      vextractINode *node = new vextractINode();
      node->set_opnd_array(3, MachOperGenerator(LEGVEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vextractI_0_rule: {
      vextractI_0Node *node = new vextractI_0Node();
      node->set_opnd_array(3, MachOperGenerator(LEGVEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case extractF_rule: {
      extractFNode *node = new extractFNode();
      node->set_opnd_array(3, MachOperGenerator(LEGREGF));
      node->set_opnd_array(4, MachOperGenerator(LEGVEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vextractF_rule: {
      vextractFNode *node = new vextractFNode();
      node->set_opnd_array(3, MachOperGenerator(LEGVEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case extractD_rule: {
      extractDNode *node = new extractDNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vextractD_rule: {
      vextractDNode *node = new vextractDNode();
      node->set_opnd_array(3, MachOperGenerator(LEGVEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case blendvp_rule: {
      blendvpNode *node = new blendvpNode();
      node->set_opnd_array(4, MachOperGenerator(RXMM0));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vblendvpI_rule: {
      vblendvpINode *node = new vblendvpINode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vblendvpFD_rule: {
      vblendvpFDNode *node = new vblendvpFDNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vblendvp_rule: {
      vblendvpNode *node = new vblendvpNode();
      node->set_opnd_array(4, MachOperGenerator(LEGVEC));
      node->set_opnd_array(5, MachOperGenerator(LEGVEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case evblendvp64_rule: {
      evblendvp64Node *node = new evblendvp64Node();
      node->set_opnd_array(4, MachOperGenerator(KREG));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case evblendvp64_masked_rule: {
      evblendvp64_maskedNode *node = new evblendvp64_maskedNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vabsB_reg_rule: {
      vabsB_regNode *node = new vabsB_regNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vabsS_reg_rule: {
      vabsS_regNode *node = new vabsS_regNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vabsI_reg_rule: {
      vabsI_regNode *node = new vabsI_regNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vabsL_reg_rule: {
      vabsL_regNode *node = new vabsL_regNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vabsnegF_rule: {
      vabsnegFNode *node = new vabsnegFNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vabsnegF_0_rule: {
      vabsnegF_0Node *node = new vabsnegF_0Node();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vabsneg4F_rule: {
      vabsneg4FNode *node = new vabsneg4FNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vabsneg4F_0_rule: {
      vabsneg4F_0Node *node = new vabsneg4F_0Node();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vabsnegD_rule: {
      vabsnegDNode *node = new vabsnegDNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vabsnegD_0_rule: {
      vabsnegD_0Node *node = new vabsnegD_0Node();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case loadMask_rule: {
      loadMaskNode *node = new loadMaskNode();
      node->set_opnd_array(2, MachOperGenerator(LEGVEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case loadMask64_rule: {
      loadMask64Node *node = new loadMask64Node();
      node->set_opnd_array(2, MachOperGenerator(VEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case loadMask_evex_rule: {
      loadMask_evexNode *node = new loadMask_evexNode();
      node->set_opnd_array(2, MachOperGenerator(VEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vstoreMask1B_rule: {
      vstoreMask1BNode *node = new vstoreMask1BNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vstoreMask2B_rule: {
      vstoreMask2BNode *node = new vstoreMask2BNode();
      node->set_opnd_array(3, MachOperGenerator(VEC));
      node->set_opnd_array(4, MachOperGenerator(VEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vstoreMask4B_rule: {
      vstoreMask4BNode *node = new vstoreMask4BNode();
      node->set_opnd_array(3, MachOperGenerator(VEC));
      node->set_opnd_array(4, MachOperGenerator(VEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case storeMask8B_rule: {
      storeMask8BNode *node = new storeMask8BNode();
      node->set_opnd_array(3, MachOperGenerator(VEC));
      node->set_opnd_array(4, MachOperGenerator(VEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case storeMask8B_avx_rule: {
      storeMask8B_avxNode *node = new storeMask8B_avxNode();
      node->set_opnd_array(3, MachOperGenerator(VEC));
      node->set_opnd_array(4, MachOperGenerator(VEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vstoreMask4B_evex_novectmask_rule: {
      vstoreMask4B_evex_novectmaskNode *node = new vstoreMask4B_evex_novectmaskNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vstoreMask8B_evex_novectmask_rule: {
      vstoreMask8B_evex_novectmaskNode *node = new vstoreMask8B_evex_novectmaskNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vstoreMask_evex_vectmask_rule: {
      vstoreMask_evex_vectmaskNode *node = new vstoreMask_evex_vectmaskNode();
      node->set_opnd_array(3, MachOperGenerator(VEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vstoreMask_evex_rule: {
      vstoreMask_evexNode *node = new vstoreMask_evexNode();
      node->set_opnd_array(3, MachOperGenerator(VEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vmaskcast_evex_rule: {
      vmaskcast_evexNode *node = new vmaskcast_evexNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vmaskcast_rule: {
      vmaskcastNode *node = new vmaskcastNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vmaskcast_avx_rule: {
      vmaskcast_avxNode *node = new vmaskcast_avxNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case loadIotaIndices_rule: {
      loadIotaIndicesNode *node = new loadIotaIndicesNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case loadShuffleB_rule: {
      loadShuffleBNode *node = new loadShuffleBNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case rearrangeB_rule: {
      rearrangeBNode *node = new rearrangeBNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case rearrangeB_avx_rule: {
      rearrangeB_avxNode *node = new rearrangeB_avxNode();
      node->set_opnd_array(3, MachOperGenerator(LEGVEC));
      node->set_opnd_array(4, MachOperGenerator(LEGVEC));
      node->set_opnd_array(5, MachOperGenerator(LEGVEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case rearrangeB_evex_rule: {
      rearrangeB_evexNode *node = new rearrangeB_evexNode();
      node->set_opnd_array(3, MachOperGenerator(VEC));
      node->set_opnd_array(4, MachOperGenerator(VEC));
      node->set_opnd_array(5, MachOperGenerator(VEC));
      node->set_opnd_array(6, MachOperGenerator(VEC));
      node->set_opnd_array(7, MachOperGenerator(KREG));
      node->set_opnd_array(8, MachOperGenerator(RREGI));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case rearrangeB_evex_vbmi_rule: {
      rearrangeB_evex_vbmiNode *node = new rearrangeB_evex_vbmiNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case loadShuffleS_rule: {
      loadShuffleSNode *node = new loadShuffleSNode();
      node->set_opnd_array(2, MachOperGenerator(VEC));
      node->set_opnd_array(3, MachOperGenerator(VEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case rearrangeS_rule: {
      rearrangeSNode *node = new rearrangeSNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case rearrangeS_avx_rule: {
      rearrangeS_avxNode *node = new rearrangeS_avxNode();
      node->set_opnd_array(3, MachOperGenerator(LEGVEC));
      node->set_opnd_array(4, MachOperGenerator(LEGVEC));
      node->set_opnd_array(5, MachOperGenerator(LEGVEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case loadShuffleS_evex_rule: {
      loadShuffleS_evexNode *node = new loadShuffleS_evexNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case rearrangeS_evex_rule: {
      rearrangeS_evexNode *node = new rearrangeS_evexNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case loadShuffleI_rule: {
      loadShuffleINode *node = new loadShuffleINode();
      node->set_opnd_array(2, MachOperGenerator(VEC));
      node->set_opnd_array(3, MachOperGenerator(VEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case rearrangeI_rule: {
      rearrangeINode *node = new rearrangeINode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case loadShuffleI_avx_rule: {
      loadShuffleI_avxNode *node = new loadShuffleI_avxNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case rearrangeI_avx_rule: {
      rearrangeI_avxNode *node = new rearrangeI_avxNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case loadShuffleL_rule: {
      loadShuffleLNode *node = new loadShuffleLNode();
      node->set_opnd_array(2, MachOperGenerator(VEC));
      node->set_opnd_array(3, MachOperGenerator(VEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case rearrangeL_rule: {
      rearrangeLNode *node = new rearrangeLNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case loadShuffleL_evex_rule: {
      loadShuffleL_evexNode *node = new loadShuffleL_evexNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case rearrangeL_evex_rule: {
      rearrangeL_evexNode *node = new rearrangeL_evexNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vfmaF_reg_rule: {
      vfmaF_regNode *node = new vfmaF_regNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vfmaF_mem_rule: {
      vfmaF_memNode *node = new vfmaF_memNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vfmaD_reg_rule: {
      vfmaD_regNode *node = new vfmaD_regNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vfmaD_mem_rule: {
      vfmaD_memNode *node = new vfmaD_memNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vmuladdS2I_reg_sse_rule: {
      vmuladdS2I_reg_sseNode *node = new vmuladdS2I_reg_sseNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vmuladdS2I_reg_avx_rule: {
      vmuladdS2I_reg_avxNode *node = new vmuladdS2I_reg_avxNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vmuladdaddS2I_reg_rule: {
      vmuladdaddS2I_regNode *node = new vmuladdaddS2I_regNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vmuladdaddS2I_reg_0_rule: {
      vmuladdaddS2I_reg_0Node *node = new vmuladdaddS2I_reg_0Node();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vpopcount_integral_reg_evex_rule: {
      vpopcount_integral_reg_evexNode *node = new vpopcount_integral_reg_evexNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vpopcount_integral_reg_evex_0_rule: {
      vpopcount_integral_reg_evex_0Node *node = new vpopcount_integral_reg_evex_0Node();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vpopcount_integral_reg_evex_masked_rule: {
      vpopcount_integral_reg_evex_maskedNode *node = new vpopcount_integral_reg_evex_maskedNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vpopcount_integral_reg_evex_masked_0_rule: {
      vpopcount_integral_reg_evex_masked_0Node *node = new vpopcount_integral_reg_evex_masked_0Node();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vpopcount_avx_reg_rule: {
      vpopcount_avx_regNode *node = new vpopcount_avx_regNode();
      node->set_opnd_array(2, MachOperGenerator(VEC));
      node->set_opnd_array(3, MachOperGenerator(VEC));
      node->set_opnd_array(4, MachOperGenerator(VEC));
      node->set_opnd_array(5, MachOperGenerator(RREGP));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vpopcount_avx_reg_0_rule: {
      vpopcount_avx_reg_0Node *node = new vpopcount_avx_reg_0Node();
      node->set_opnd_array(2, MachOperGenerator(VEC));
      node->set_opnd_array(3, MachOperGenerator(VEC));
      node->set_opnd_array(4, MachOperGenerator(VEC));
      node->set_opnd_array(5, MachOperGenerator(RREGP));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vcount_trailing_zeros_reg_evex_rule: {
      vcount_trailing_zeros_reg_evexNode *node = new vcount_trailing_zeros_reg_evexNode();
      node->set_opnd_array(2, MachOperGenerator(VEC));
      node->set_opnd_array(3, MachOperGenerator(VEC));
      node->set_opnd_array(4, MachOperGenerator(RREGP));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vcount_trailing_zeros_short_reg_evex_rule: {
      vcount_trailing_zeros_short_reg_evexNode *node = new vcount_trailing_zeros_short_reg_evexNode();
      node->set_opnd_array(2, MachOperGenerator(VEC));
      node->set_opnd_array(3, MachOperGenerator(VEC));
      node->set_opnd_array(4, MachOperGenerator(VEC));
      node->set_opnd_array(5, MachOperGenerator(VEC));
      node->set_opnd_array(6, MachOperGenerator(RREGP));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vcount_trailing_zeros_byte_reg_evex_rule: {
      vcount_trailing_zeros_byte_reg_evexNode *node = new vcount_trailing_zeros_byte_reg_evexNode();
      node->set_opnd_array(2, MachOperGenerator(VEC));
      node->set_opnd_array(3, MachOperGenerator(VEC));
      node->set_opnd_array(4, MachOperGenerator(VEC));
      node->set_opnd_array(5, MachOperGenerator(VEC));
      node->set_opnd_array(6, MachOperGenerator(VEC));
      node->set_opnd_array(7, MachOperGenerator(KREG));
      node->set_opnd_array(8, MachOperGenerator(RREGP));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vcount_trailing_zeros_reg_avx_rule: {
      vcount_trailing_zeros_reg_avxNode *node = new vcount_trailing_zeros_reg_avxNode();
      node->set_opnd_array(2, MachOperGenerator(VEC));
      node->set_opnd_array(3, MachOperGenerator(VEC));
      node->set_opnd_array(4, MachOperGenerator(VEC));
      node->set_opnd_array(5, MachOperGenerator(VEC));
      node->set_opnd_array(6, MachOperGenerator(RREGP));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vpternlog_rule: {
      vpternlogNode *node = new vpternlogNode();
      node->set_opnd_array(5, MachOperGenerator(VEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vpternlog_mem_rule: {
      vpternlog_memNode *node = new vpternlog_memNode();
      node->set_opnd_array(5, MachOperGenerator(VEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vprotate_immI8_rule: {
      vprotate_immI8Node *node = new vprotate_immI8Node();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vprotate_immI8_0_rule: {
      vprotate_immI8_0Node *node = new vprotate_immI8_0Node();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vprorate_rule: {
      vprorateNode *node = new vprorateNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vprorate_0_rule: {
      vprorate_0Node *node = new vprorate_0Node();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vmasked_load_avx_non_subword_rule: {
      vmasked_load_avx_non_subwordNode *node = new vmasked_load_avx_non_subwordNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vmasked_load_evex_rule: {
      vmasked_load_evexNode *node = new vmasked_load_evexNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vmasked_store_avx_non_subword_rule: {
      vmasked_store_avx_non_subwordNode *node = new vmasked_store_avx_non_subwordNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vmasked_store_evex_rule: {
      vmasked_store_evexNode *node = new vmasked_store_evexNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vreverse_reg_rule: {
      vreverse_regNode *node = new vreverse_regNode();
      node->set_opnd_array(2, MachOperGenerator(VEC));
      node->set_opnd_array(3, MachOperGenerator(VEC));
      node->set_opnd_array(4, MachOperGenerator(VEC));
      node->set_opnd_array(5, MachOperGenerator(RREGI));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vreverse_reg_gfni_rule: {
      vreverse_reg_gfniNode *node = new vreverse_reg_gfniNode();
      node->set_opnd_array(2, MachOperGenerator(VEC));
      node->set_opnd_array(3, MachOperGenerator(VEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vreverse_byte_reg_rule: {
      vreverse_byte_regNode *node = new vreverse_byte_regNode();
      node->set_opnd_array(2, MachOperGenerator(VEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vreverse_byte64_reg_rule: {
      vreverse_byte64_regNode *node = new vreverse_byte64_regNode();
      node->set_opnd_array(2, MachOperGenerator(VEC));
      node->set_opnd_array(3, MachOperGenerator(VEC));
      node->set_opnd_array(4, MachOperGenerator(VEC));
      node->set_opnd_array(5, MachOperGenerator(RREGI));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vcount_leading_zeros_IL_reg_evex_rule: {
      vcount_leading_zeros_IL_reg_evexNode *node = new vcount_leading_zeros_IL_reg_evexNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vcount_leading_zeros_IL_reg_evex_masked_rule: {
      vcount_leading_zeros_IL_reg_evex_maskedNode *node = new vcount_leading_zeros_IL_reg_evex_maskedNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vcount_leading_zeros_short_reg_evex_rule: {
      vcount_leading_zeros_short_reg_evexNode *node = new vcount_leading_zeros_short_reg_evexNode();
      node->set_opnd_array(2, MachOperGenerator(VEC));
      node->set_opnd_array(3, MachOperGenerator(VEC));
      node->set_opnd_array(4, MachOperGenerator(VEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vcount_leading_zeros_byte_reg_evex_rule: {
      vcount_leading_zeros_byte_reg_evexNode *node = new vcount_leading_zeros_byte_reg_evexNode();
      node->set_opnd_array(2, MachOperGenerator(VEC));
      node->set_opnd_array(3, MachOperGenerator(VEC));
      node->set_opnd_array(4, MachOperGenerator(VEC));
      node->set_opnd_array(5, MachOperGenerator(VEC));
      node->set_opnd_array(6, MachOperGenerator(KREG));
      node->set_opnd_array(7, MachOperGenerator(RREGP));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vcount_leading_zeros_int_reg_avx_rule: {
      vcount_leading_zeros_int_reg_avxNode *node = new vcount_leading_zeros_int_reg_avxNode();
      node->set_opnd_array(2, MachOperGenerator(VEC));
      node->set_opnd_array(3, MachOperGenerator(VEC));
      node->set_opnd_array(4, MachOperGenerator(VEC));
      node->set_opnd_array(5, MachOperGenerator(VEC));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vcount_leading_zeros_reg_avx_rule: {
      vcount_leading_zeros_reg_avxNode *node = new vcount_leading_zeros_reg_avxNode();
      node->set_opnd_array(2, MachOperGenerator(VEC));
      node->set_opnd_array(3, MachOperGenerator(VEC));
      node->set_opnd_array(4, MachOperGenerator(VEC));
      node->set_opnd_array(5, MachOperGenerator(VEC));
      node->set_opnd_array(6, MachOperGenerator(RREGP));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vadd_reg_masked_rule: {
      vadd_reg_maskedNode *node = new vadd_reg_maskedNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vadd_reg_masked_0_rule: {
      vadd_reg_masked_0Node *node = new vadd_reg_masked_0Node();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vadd_reg_masked_1_rule: {
      vadd_reg_masked_1Node *node = new vadd_reg_masked_1Node();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vadd_reg_masked_2_rule: {
      vadd_reg_masked_2Node *node = new vadd_reg_masked_2Node();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vadd_reg_masked_3_rule: {
      vadd_reg_masked_3Node *node = new vadd_reg_masked_3Node();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vadd_reg_masked_4_rule: {
      vadd_reg_masked_4Node *node = new vadd_reg_masked_4Node();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vadd_mem_masked_rule: {
      vadd_mem_maskedNode *node = new vadd_mem_maskedNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vadd_mem_masked_0_rule: {
      vadd_mem_masked_0Node *node = new vadd_mem_masked_0Node();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vadd_mem_masked_1_rule: {
      vadd_mem_masked_1Node *node = new vadd_mem_masked_1Node();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vadd_mem_masked_2_rule: {
      vadd_mem_masked_2Node *node = new vadd_mem_masked_2Node();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vadd_mem_masked_3_rule: {
      vadd_mem_masked_3Node *node = new vadd_mem_masked_3Node();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vadd_mem_masked_4_rule: {
      vadd_mem_masked_4Node *node = new vadd_mem_masked_4Node();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vxor_reg_masked_rule: {
      vxor_reg_maskedNode *node = new vxor_reg_maskedNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vxor_mem_masked_rule: {
      vxor_mem_maskedNode *node = new vxor_mem_maskedNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vor_reg_masked_rule: {
      vor_reg_maskedNode *node = new vor_reg_maskedNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vor_mem_masked_rule: {
      vor_mem_maskedNode *node = new vor_mem_maskedNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vand_reg_masked_rule: {
      vand_reg_maskedNode *node = new vand_reg_maskedNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vand_mem_masked_rule: {
      vand_mem_maskedNode *node = new vand_mem_maskedNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vsub_reg_masked_rule: {
      vsub_reg_maskedNode *node = new vsub_reg_maskedNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vsub_reg_masked_0_rule: {
      vsub_reg_masked_0Node *node = new vsub_reg_masked_0Node();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vsub_reg_masked_1_rule: {
      vsub_reg_masked_1Node *node = new vsub_reg_masked_1Node();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vsub_reg_masked_2_rule: {
      vsub_reg_masked_2Node *node = new vsub_reg_masked_2Node();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vsub_reg_masked_3_rule: {
      vsub_reg_masked_3Node *node = new vsub_reg_masked_3Node();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vsub_reg_masked_4_rule: {
      vsub_reg_masked_4Node *node = new vsub_reg_masked_4Node();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vsub_mem_masked_rule: {
      vsub_mem_maskedNode *node = new vsub_mem_maskedNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vsub_mem_masked_0_rule: {
      vsub_mem_masked_0Node *node = new vsub_mem_masked_0Node();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vsub_mem_masked_1_rule: {
      vsub_mem_masked_1Node *node = new vsub_mem_masked_1Node();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vsub_mem_masked_2_rule: {
      vsub_mem_masked_2Node *node = new vsub_mem_masked_2Node();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vsub_mem_masked_3_rule: {
      vsub_mem_masked_3Node *node = new vsub_mem_masked_3Node();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vsub_mem_masked_4_rule: {
      vsub_mem_masked_4Node *node = new vsub_mem_masked_4Node();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vmul_reg_masked_rule: {
      vmul_reg_maskedNode *node = new vmul_reg_maskedNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vmul_reg_masked_0_rule: {
      vmul_reg_masked_0Node *node = new vmul_reg_masked_0Node();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vmul_reg_masked_1_rule: {
      vmul_reg_masked_1Node *node = new vmul_reg_masked_1Node();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vmul_reg_masked_2_rule: {
      vmul_reg_masked_2Node *node = new vmul_reg_masked_2Node();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vmul_reg_masked_3_rule: {
      vmul_reg_masked_3Node *node = new vmul_reg_masked_3Node();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vmul_mem_masked_rule: {
      vmul_mem_maskedNode *node = new vmul_mem_maskedNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vmul_mem_masked_0_rule: {
      vmul_mem_masked_0Node *node = new vmul_mem_masked_0Node();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vmul_mem_masked_1_rule: {
      vmul_mem_masked_1Node *node = new vmul_mem_masked_1Node();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vmul_mem_masked_2_rule: {
      vmul_mem_masked_2Node *node = new vmul_mem_masked_2Node();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vmul_mem_masked_3_rule: {
      vmul_mem_masked_3Node *node = new vmul_mem_masked_3Node();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vsqrt_reg_masked_rule: {
      vsqrt_reg_maskedNode *node = new vsqrt_reg_maskedNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vsqrt_reg_masked_0_rule: {
      vsqrt_reg_masked_0Node *node = new vsqrt_reg_masked_0Node();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vdiv_reg_masked_rule: {
      vdiv_reg_maskedNode *node = new vdiv_reg_maskedNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vdiv_reg_masked_0_rule: {
      vdiv_reg_masked_0Node *node = new vdiv_reg_masked_0Node();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vdiv_mem_masked_rule: {
      vdiv_mem_maskedNode *node = new vdiv_mem_maskedNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vdiv_mem_masked_0_rule: {
      vdiv_mem_masked_0Node *node = new vdiv_mem_masked_0Node();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vrol_imm_masked_rule: {
      vrol_imm_maskedNode *node = new vrol_imm_maskedNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vrol_imm_masked_0_rule: {
      vrol_imm_masked_0Node *node = new vrol_imm_masked_0Node();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vrol_reg_masked_rule: {
      vrol_reg_maskedNode *node = new vrol_reg_maskedNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vrol_reg_masked_0_rule: {
      vrol_reg_masked_0Node *node = new vrol_reg_masked_0Node();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vlshift_imm_masked_rule: {
      vlshift_imm_maskedNode *node = new vlshift_imm_maskedNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vlshift_imm_masked_0_rule: {
      vlshift_imm_masked_0Node *node = new vlshift_imm_masked_0Node();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vlshift_imm_masked_1_rule: {
      vlshift_imm_masked_1Node *node = new vlshift_imm_masked_1Node();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vlshift_reg_masked_rule: {
      vlshift_reg_maskedNode *node = new vlshift_reg_maskedNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vlshift_reg_masked_0_rule: {
      vlshift_reg_masked_0Node *node = new vlshift_reg_masked_0Node();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vlshift_reg_masked_1_rule: {
      vlshift_reg_masked_1Node *node = new vlshift_reg_masked_1Node();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vlshiftv_reg_masked_rule: {
      vlshiftv_reg_maskedNode *node = new vlshiftv_reg_maskedNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vlshiftv_reg_masked_0_rule: {
      vlshiftv_reg_masked_0Node *node = new vlshiftv_reg_masked_0Node();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vlshiftv_reg_masked_1_rule: {
      vlshiftv_reg_masked_1Node *node = new vlshiftv_reg_masked_1Node();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vlshift_mem_masked_rule: {
      vlshift_mem_maskedNode *node = new vlshift_mem_maskedNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vlshift_mem_masked_0_rule: {
      vlshift_mem_masked_0Node *node = new vlshift_mem_masked_0Node();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vlshift_mem_masked_1_rule: {
      vlshift_mem_masked_1Node *node = new vlshift_mem_masked_1Node();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vrshift_imm_masked_rule: {
      vrshift_imm_maskedNode *node = new vrshift_imm_maskedNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vrshift_imm_masked_0_rule: {
      vrshift_imm_masked_0Node *node = new vrshift_imm_masked_0Node();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vrshift_imm_masked_1_rule: {
      vrshift_imm_masked_1Node *node = new vrshift_imm_masked_1Node();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vrshift_reg_masked_rule: {
      vrshift_reg_maskedNode *node = new vrshift_reg_maskedNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vrshift_reg_masked_0_rule: {
      vrshift_reg_masked_0Node *node = new vrshift_reg_masked_0Node();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vrshift_reg_masked_1_rule: {
      vrshift_reg_masked_1Node *node = new vrshift_reg_masked_1Node();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vrshiftv_reg_masked_rule: {
      vrshiftv_reg_maskedNode *node = new vrshiftv_reg_maskedNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vrshiftv_reg_masked_0_rule: {
      vrshiftv_reg_masked_0Node *node = new vrshiftv_reg_masked_0Node();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vrshiftv_reg_masked_1_rule: {
      vrshiftv_reg_masked_1Node *node = new vrshiftv_reg_masked_1Node();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vrshift_mem_masked_rule: {
      vrshift_mem_maskedNode *node = new vrshift_mem_maskedNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vrshift_mem_masked_0_rule: {
      vrshift_mem_masked_0Node *node = new vrshift_mem_masked_0Node();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vrshift_mem_masked_1_rule: {
      vrshift_mem_masked_1Node *node = new vrshift_mem_masked_1Node();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vurshift_imm_masked_rule: {
      vurshift_imm_maskedNode *node = new vurshift_imm_maskedNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vurshift_imm_masked_0_rule: {
      vurshift_imm_masked_0Node *node = new vurshift_imm_masked_0Node();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vurshift_imm_masked_1_rule: {
      vurshift_imm_masked_1Node *node = new vurshift_imm_masked_1Node();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vurshift_reg_masked_rule: {
      vurshift_reg_maskedNode *node = new vurshift_reg_maskedNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vurshift_reg_masked_0_rule: {
      vurshift_reg_masked_0Node *node = new vurshift_reg_masked_0Node();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vurshift_reg_masked_1_rule: {
      vurshift_reg_masked_1Node *node = new vurshift_reg_masked_1Node();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vurshiftv_reg_masked_rule: {
      vurshiftv_reg_maskedNode *node = new vurshiftv_reg_maskedNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vurshiftv_reg_masked_0_rule: {
      vurshiftv_reg_masked_0Node *node = new vurshiftv_reg_masked_0Node();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vurshiftv_reg_masked_1_rule: {
      vurshiftv_reg_masked_1Node *node = new vurshiftv_reg_masked_1Node();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vurshift_mem_masked_rule: {
      vurshift_mem_maskedNode *node = new vurshift_mem_maskedNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vurshift_mem_masked_0_rule: {
      vurshift_mem_masked_0Node *node = new vurshift_mem_masked_0Node();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vurshift_mem_masked_1_rule: {
      vurshift_mem_masked_1Node *node = new vurshift_mem_masked_1Node();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vmaxv_reg_masked_rule: {
      vmaxv_reg_maskedNode *node = new vmaxv_reg_maskedNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vmaxv_mem_masked_rule: {
      vmaxv_mem_maskedNode *node = new vmaxv_mem_maskedNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vminv_reg_masked_rule: {
      vminv_reg_maskedNode *node = new vminv_reg_maskedNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vminv_mem_masked_rule: {
      vminv_mem_maskedNode *node = new vminv_mem_maskedNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vrearrangev_reg_masked_rule: {
      vrearrangev_reg_maskedNode *node = new vrearrangev_reg_maskedNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vabs_masked_rule: {
      vabs_maskedNode *node = new vabs_maskedNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vabs_masked_0_rule: {
      vabs_masked_0Node *node = new vabs_masked_0Node();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vabs_masked_1_rule: {
      vabs_masked_1Node *node = new vabs_masked_1Node();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vabs_masked_2_rule: {
      vabs_masked_2Node *node = new vabs_masked_2Node();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vfma_reg_masked_rule: {
      vfma_reg_maskedNode *node = new vfma_reg_maskedNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vfma_reg_masked_0_rule: {
      vfma_reg_masked_0Node *node = new vfma_reg_masked_0Node();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vfma_mem_masked_rule: {
      vfma_mem_maskedNode *node = new vfma_mem_maskedNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vfma_mem_masked_0_rule: {
      vfma_mem_masked_0Node *node = new vfma_mem_masked_0Node();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case evcmp_masked_rule: {
      evcmp_maskedNode *node = new evcmp_maskedNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case mask_all_evexI_LE32_rule: {
      mask_all_evexI_LE32Node *node = new mask_all_evexI_LE32Node();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case mask_opers_evex_rule: {
      mask_opers_evexNode *node = new mask_opers_evexNode();
      node->set_opnd_array(3, MachOperGenerator(KREG));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case mask_opers_evex_0_rule: {
      mask_opers_evex_0Node *node = new mask_opers_evex_0Node();
      node->set_opnd_array(3, MachOperGenerator(KREG));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case mask_opers_evex_1_rule: {
      mask_opers_evex_1Node *node = new mask_opers_evex_1Node();
      node->set_opnd_array(3, MachOperGenerator(KREG));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vternlog_reg_masked_rule: {
      vternlog_reg_maskedNode *node = new vternlog_reg_maskedNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case vternlogd_mem_masked_rule: {
      vternlogd_mem_maskedNode *node = new vternlogd_mem_maskedNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case castMM_rule: {
      castMMNode *node = new castMMNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case castVV_rule: {
      castVVNode *node = new castVVNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case castVVLeg_rule: {
      castVVLegNode *node = new castVVLegNode();
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  case FloatClassCheck_reg_reg_vfpclass_rule: {
      FloatClassCheck_reg_reg_vfpclassNode *node = new FloatClassCheck_reg_reg_vfpclassNode();
      node->set_opnd_array(2, MachOperGenerator(KREG));
      return node;
    }
  case DoubleClassCheck_reg_reg_vfpclass_rule: {
      DoubleClassCheck_reg_reg_vfpclassNode *node = new DoubleClassCheck_reg_reg_vfpclassNode();
      node->set_opnd_array(2, MachOperGenerator(KREG));
      return node;
    }
  case compareAndSwapP_shenandoah_rule: {
      compareAndSwapP_shenandoahNode *node = new compareAndSwapP_shenandoahNode();
      node->set_opnd_array(4, MachOperGenerator(EREGP));
      node->set_opnd_array(5, MachOperGenerator(EREGP));
      return node;
    }
  case compareAndSwapP_shenandoah_0_rule: {
      compareAndSwapP_shenandoah_0Node *node = new compareAndSwapP_shenandoah_0Node();
      node->set_opnd_array(4, MachOperGenerator(EREGP));
      node->set_opnd_array(5, MachOperGenerator(EREGP));
      return node;
    }
  case compareAndExchangeP_shenandoah_rule: {
      compareAndExchangeP_shenandoahNode *node = new compareAndExchangeP_shenandoahNode();
      node->set_opnd_array(4, MachOperGenerator(EREGP));
      node->set_opnd_array(5, MachOperGenerator(EREGP));
      node->_bottom_type = _leaf->bottom_type();
      return node;
    }
  
  default:
    fprintf(stderr, "Default MachNode Generator invoked for: \n");
    fprintf(stderr, "   opcode = %d\n", opcode);
    break;
  };
  return nullptr;
}
// Check consistency of C++ compilation with ADLC options:
// Check adlc -DLINUX=1
#ifndef LINUX
#  error "LINUX must be defined"
#endif // LINUX
// Check adlc -D_GNU_SOURCE=1
#ifndef _GNU_SOURCE
#  error "_GNU_SOURCE must be defined"
#endif // _GNU_SOURCE
// Check adlc -DIA32=1
#ifndef IA32
#  error "IA32 must be defined"
#endif // IA32
// Check adlc -U_LP64
#ifdef _LP64
#  error "_LP64 must not be defined"
#endif // _LP64
// Check adlc -DNDEBUG=1
#ifndef NDEBUG
#  error "NDEBUG must be defined"
#endif // NDEBUG
// Check adlc -DPRODUCT=1
#ifndef PRODUCT
#  error "PRODUCT must be defined"
#endif // PRODUCT
